/* A Bison parser, made by GNU Bison 3.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 50 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_PREFERENCE:
      setter = f_new_inst(FI_PREF_SET, expr);
      getter = f_new_inst(FI_PREF_GET);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;
  
  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}


static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (EMPTY_LIST(this_proto->channels))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 50 "conf/gen_parser.m4"

#line 867 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    CF_SYM_KNOWN = 275,
    CF_SYM_UNDEFINED = 276,
    TEXT = 277,
    PREFIX_DUMMY = 278,
    NMA = 279,
    DEFINE = 280,
    ON = 281,
    OFF = 282,
    YES = 283,
    NO = 284,
    S = 285,
    MS = 286,
    US = 287,
    PORT = 288,
    VPN = 289,
    MPLS = 290,
    FROM = 291,
    FLOW4 = 292,
    FLOW6 = 293,
    DST = 294,
    SRC = 295,
    PROTO = 296,
    NEXT = 297,
    HEADER = 298,
    DPORT = 299,
    SPORT = 300,
    ICMP = 301,
    TYPE = 302,
    CODE = 303,
    TCP = 304,
    FLAGS = 305,
    LENGTH = 306,
    DSCP = 307,
    DONT_FRAGMENT = 308,
    IS_FRAGMENT = 309,
    FIRST_FRAGMENT = 310,
    LAST_FRAGMENT = 311,
    FRAGMENT = 312,
    LABEL = 313,
    OFFSET = 314,
    QUIT = 315,
    EXIT = 316,
    HELP = 317,
    FUNCTION = 318,
    PRINT = 319,
    PRINTN = 320,
    UNSET = 321,
    RETURN = 322,
    ACCEPT = 323,
    REJECT = 324,
    ERROR = 325,
    INT = 326,
    BOOL = 327,
    IP = 328,
    PREFIX = 329,
    RD = 330,
    PAIR = 331,
    QUAD = 332,
    EC = 333,
    LC = 334,
    SET = 335,
    STRING = 336,
    BGPMASK = 337,
    BGPPATH = 338,
    CLIST = 339,
    ECLIST = 340,
    LCLIST = 341,
    IF = 342,
    THEN = 343,
    ELSE = 344,
    CASE = 345,
    TRUE = 346,
    FALSE = 347,
    RT = 348,
    RO = 349,
    UNKNOWN = 350,
    GENERIC = 351,
    GW = 352,
    NET = 353,
    MASK = 354,
    SOURCE = 355,
    SCOPE = 356,
    DEST = 357,
    IFNAME = 358,
    IFINDEX = 359,
    WEIGHT = 360,
    PREFERENCE = 361,
    ROA_CHECK = 362,
    ASN = 363,
    IS_V4 = 364,
    IS_V6 = 365,
    LEN = 366,
    MAXLEN = 367,
    DEFINED = 368,
    ADD = 369,
    DELETE = 370,
    CONTAINS = 371,
    RESET = 372,
    PREPEND = 373,
    FIRST = 374,
    LAST = 375,
    LAST_NONAGGREGATED = 376,
    MATCH = 377,
    EMPTY = 378,
    FILTER = 379,
    WHERE = 380,
    EVAL = 381,
    ATTRIBUTE = 382,
    BT_ASSERT = 383,
    BT_TEST_SUITE = 384,
    BT_CHECK_ASSIGN = 385,
    BT_TEST_SAME = 386,
    FORMAT = 387,
    ROUTER = 388,
    ID = 389,
    HOSTNAME = 390,
    PROTOCOL = 391,
    TEMPLATE = 392,
    DISABLED = 393,
    DEBUG = 394,
    ALL = 395,
    DIRECT = 396,
    INTERFACE = 397,
    IMPORT = 398,
    EXPORT = 399,
    NONE = 400,
    VRF = 401,
    DEFAULT = 402,
    TABLE = 403,
    STATES = 404,
    ROUTES = 405,
    FILTERS = 406,
    IPV4 = 407,
    IPV6 = 408,
    VPN4 = 409,
    VPN6 = 410,
    ROA4 = 411,
    ROA6 = 412,
    SADR = 413,
    RECEIVE = 414,
    LIMIT = 415,
    ACTION = 416,
    WARN = 417,
    BLOCK = 418,
    RESTART = 419,
    DISABLE = 420,
    KEEP = 421,
    FILTERED = 422,
    RPKI = 423,
    PASSWORD = 424,
    PASSIVE = 425,
    TO = 426,
    EVENTS = 427,
    PACKETS = 428,
    PROTOCOLS = 429,
    CHANNELS = 430,
    INTERFACES = 431,
    ALGORITHM = 432,
    KEYED = 433,
    HMAC = 434,
    MD5 = 435,
    SHA1 = 436,
    SHA256 = 437,
    SHA384 = 438,
    SHA512 = 439,
    PRIMARY = 440,
    STATS = 441,
    COUNT = 442,
    BY = 443,
    FOR = 444,
    COMMANDS = 445,
    PREEXPORT = 446,
    NOEXPORT = 447,
    EXPORTED = 448,
    GENERATE = 449,
    BGP = 450,
    PASSWORDS = 451,
    DESCRIPTION = 452,
    SORTED = 453,
    RELOAD = 454,
    IN = 455,
    OUT = 456,
    MRTDUMP = 457,
    MESSAGES = 458,
    RESTRICT = 459,
    MEMORY = 460,
    IGP_METRIC = 461,
    CLASS = 462,
    TIMEFORMAT = 463,
    ISO = 464,
    SHORT = 465,
    LONG = 466,
    ROUTE = 467,
    BASE = 468,
    LOG = 469,
    GRACEFUL = 470,
    WAIT = 471,
    MAX = 472,
    FLUSH = 473,
    AS = 474,
    MIN = 475,
    IDLE = 476,
    RX = 477,
    TX = 478,
    INTERVAL = 479,
    MULTIPLIER = 480,
    CHECK = 481,
    LINK = 482,
    IPV4_MC = 483,
    IPV4_MPLS = 484,
    IPV6_MC = 485,
    IPV6_MPLS = 486,
    IPV6_SADR = 487,
    VPN4_MC = 488,
    VPN4_MPLS = 489,
    VPN6_MC = 490,
    VPN6_MPLS = 491,
    PRI = 492,
    SEC = 493,
    SHOW = 494,
    STATUS = 495,
    SUMMARY = 496,
    SYMBOLS = 497,
    DUMP = 498,
    RESOURCES = 499,
    SOCKETS = 500,
    NEIGHBORS = 501,
    ATTRIBUTES = 502,
    ECHO = 503,
    ENABLE = 504,
    BFD = 505,
    MULTIHOP = 506,
    NEIGHBOR = 507,
    DEV = 508,
    LOCAL = 509,
    AUTHENTICATION = 510,
    SIMPLE = 511,
    METICULOUS = 512,
    SESSIONS = 513,
    BABEL = 514,
    METRIC = 515,
    RXCOST = 516,
    HELLO = 517,
    UPDATE = 518,
    WIRED = 519,
    WIRELESS = 520,
    BUFFER = 521,
    PRIORITY = 522,
    HOP = 523,
    BABEL_METRIC = 524,
    ENTRIES = 525,
    RANDOMIZE = 526,
    HOLD = 527,
    TIME = 528,
    CONNECT = 529,
    RETRY = 530,
    KEEPALIVE = 531,
    STARTUP = 532,
    VIA = 533,
    SELF = 534,
    PATH = 535,
    START = 536,
    DELAY = 537,
    FORGET = 538,
    AFTER = 539,
    BGP_PATH = 540,
    BGP_LOCAL_PREF = 541,
    BGP_MED = 542,
    BGP_ORIGIN = 543,
    BGP_NEXT_HOP = 544,
    BGP_ATOMIC_AGGR = 545,
    BGP_AGGREGATOR = 546,
    BGP_COMMUNITY = 547,
    BGP_EXT_COMMUNITY = 548,
    BGP_LARGE_COMMUNITY = 549,
    ADDRESS = 550,
    RR = 551,
    RS = 552,
    CLIENT = 553,
    CLUSTER = 554,
    AS4 = 555,
    ADVERTISE = 556,
    CAPABILITIES = 557,
    PREFER = 558,
    OLDER = 559,
    MISSING = 560,
    LLADDR = 561,
    DROP = 562,
    IGNORE = 563,
    REFRESH = 564,
    INTERPRET = 565,
    COMMUNITIES = 566,
    BGP_ORIGINATOR_ID = 567,
    BGP_CLUSTER_LIST = 568,
    IGP = 569,
    GATEWAY = 570,
    RECURSIVE = 571,
    MED = 572,
    TTL = 573,
    SECURITY = 574,
    DETERMINISTIC = 575,
    SECONDARY = 576,
    ALLOW = 577,
    PATHS = 578,
    AWARE = 579,
    EXTENDED = 580,
    SETKEY = 581,
    STRICT = 582,
    BIND = 583,
    CONFEDERATION = 584,
    MEMBER = 585,
    MULTICAST = 586,
    LIVED = 587,
    STALE = 588,
    IBGP = 589,
    EBGP = 590,
    MANDATORY = 591,
    INTERNAL = 592,
    EXTERNAL = 593,
    SETS = 594,
    DYNAMIC = 595,
    RANGE = 596,
    NAME = 597,
    DIGITS = 598,
    BGP_AIGP = 599,
    AIGP = 600,
    ORIGINATE = 601,
    COST = 602,
    ENFORCE = 603,
    CEASE = 604,
    HIT = 605,
    ADMINISTRATIVE = 606,
    SHUTDOWN = 607,
    PEER = 608,
    CONFIGURATION = 609,
    CHANGE = 610,
    DECONFIGURED = 611,
    CONNECTION = 612,
    REJECTED = 613,
    COLLISION = 614,
    OF = 615,
    MRT = 616,
    FILENAME = 617,
    PERIOD = 618,
    ALWAYS = 619,
    OSPF = 620,
    V2 = 621,
    V3 = 622,
    OSPF_METRIC1 = 623,
    OSPF_METRIC2 = 624,
    OSPF_TAG = 625,
    OSPF_ROUTER_ID = 626,
    AREA = 627,
    RFC1583COMPAT = 628,
    STUB = 629,
    TICK = 630,
    COST2 = 631,
    RETRANSMIT = 632,
    TRANSMIT = 633,
    DEAD = 634,
    BROADCAST = 635,
    BCAST = 636,
    NONBROADCAST = 637,
    NBMA = 638,
    POINTOPOINT = 639,
    PTP = 640,
    POINTOMULTIPOINT = 641,
    PTMP = 642,
    CRYPTOGRAPHIC = 643,
    ELIGIBLE = 644,
    POLL = 645,
    NETWORKS = 646,
    HIDDEN = 647,
    VIRTUAL = 648,
    ONLY = 649,
    LARGE = 650,
    NORMAL = 651,
    STUBNET = 652,
    TAG = 653,
    LSADB = 654,
    ECMP = 655,
    NSSA = 656,
    TRANSLATOR = 657,
    STABILITY = 658,
    GLOBAL = 659,
    LSID = 660,
    INSTANCE = 661,
    REAL = 662,
    NETMASK = 663,
    MERGE = 664,
    LSA = 665,
    SUPPRESSION = 666,
    RFC5838 = 667,
    PE = 668,
    TOPOLOGY = 669,
    STATE = 670,
    PERF = 671,
    EXP = 672,
    REPEAT = 673,
    THRESHOLD = 674,
    MODE = 675,
    PIPE = 676,
    RADV = 677,
    RA = 678,
    SOLICITED = 679,
    UNICAST = 680,
    MANAGED = 681,
    OTHER = 682,
    CONFIG = 683,
    LINGER = 684,
    MTU = 685,
    REACHABLE = 686,
    RETRANS = 687,
    TIMER = 688,
    CURRENT = 689,
    VALID = 690,
    PREFERRED = 691,
    MULT = 692,
    LIFETIME = 693,
    SKIP = 694,
    ONLINK = 695,
    AUTONOMOUS = 696,
    RDNSS = 697,
    DNSSL = 698,
    NS = 699,
    DOMAIN = 700,
    TRIGGER = 701,
    SENSITIVE = 702,
    LOW = 703,
    MEDIUM = 704,
    HIGH = 705,
    PROPAGATE = 706,
    RA_PREFERENCE = 707,
    RA_LIFETIME = 708,
    RIP = 709,
    NG = 710,
    INFINITY = 711,
    TIMEOUT = 712,
    GARBAGE = 713,
    VERSION = 714,
    SPLIT = 715,
    HORIZON = 716,
    POISON = 717,
    REVERSE = 718,
    ZERO = 719,
    PLAINTEXT = 720,
    DEMAND = 721,
    CIRCUIT = 722,
    RIP_METRIC = 723,
    RIP_TAG = 724,
    REMOTE = 725,
    BIRD = 726,
    PRIVATE = 727,
    PUBLIC = 728,
    KEY = 729,
    SSH = 730,
    TRANSPORT = 731,
    USER = 732,
    EXPIRE = 733,
    STATIC = 734,
    PROHIBIT = 735,
    BLACKHOLE = 736,
    UNREACHABLE = 737,
    KERNEL = 738,
    KRT_PREFSRC = 739,
    KRT_REALM = 740,
    KRT_SCOPE = 741,
    KRT_MTU = 742,
    KRT_WINDOW = 743,
    KRT_RTT = 744,
    KRT_RTTVAR = 745,
    KRT_SSTRESH = 746,
    KRT_CWND = 747,
    KRT_ADVMSS = 748,
    KRT_REORDERING = 749,
    KRT_HOPLIMIT = 750,
    KRT_INITCWND = 751,
    KRT_RTO_MIN = 752,
    KRT_INITRWND = 753,
    KRT_QUICKACK = 754,
    KRT_LOCK_MTU = 755,
    KRT_LOCK_WINDOW = 756,
    KRT_LOCK_RTT = 757,
    KRT_LOCK_RTTVAR = 758,
    KRT_LOCK_SSTRESH = 759,
    KRT_LOCK_CWND = 760,
    KRT_LOCK_ADVMSS = 761,
    KRT_LOCK_REORDERING = 762,
    KRT_LOCK_HOPLIMIT = 763,
    KRT_LOCK_RTO_MIN = 764,
    KRT_FEATURE_ECN = 765,
    KRT_FEATURE_ALLFRAG = 766,
    SYSLOG = 767,
    TRACE = 768,
    INFO = 769,
    WARNING = 770,
    AUTH = 771,
    FATAL = 772,
    BUG = 773,
    STDERR = 774,
    SOFT = 775,
    CONFIRM = 776,
    UNDO = 777,
    LATENCY = 778,
    WATCHDOG = 779,
    CONFIGURE = 780,
    DOWN = 781,
    PERSIST = 782,
    SCAN = 783,
    LEARN = 784,
    DEVICE = 785,
    KRT_SOURCE = 786,
    KRT_METRIC = 787
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 54 "conf/confbase.Y"

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;

#line 1495 "obj/conf/cf-parse.tab.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */



#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))

/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6694

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  554
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  421
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1421
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2616

#define YYUNDEFTOK  2
#define YYMAXUTOK   787


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    34,     2,     2,     2,    33,     2,     2,
     545,   546,    31,    29,   547,    30,    35,    32,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   550,   544,
      25,    24,    26,   553,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   551,     2,   552,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,    27,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    28,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   134,   134,   135,   138,   140,   143,   148,   151,   159,
     160,   161,   167,   168,   169,   172,   172,   177,   178,   179,
     180,   181,   182,   189,   190,   191,   198,   199,   206,   212,
     222,   235,   254,   260,   266,   274,   282,   288,   288,   289,
     289,   290,   290,   293,   294,   295,   296,   297,   298,   305,
     306,   314,   315,   323,   324,   332,   333,   334,   335,   336,
     346,   354,   355,   364,   372,   373,   380,   381,    37,    38,
      39,    40,    41,    42,    43,    44,    48,    49,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    64,    65,    66,
      67,    70,    71,    75,    79,    83,    84,    88,    92,   101,
     102,   106,   110,   114,   121,   122,   126,   127,   128,   129,
     133,   136,   139,   145,   149,   150,   151,   155,   159,   165,
     166,   167,   168,   171,   173,   176,   178,   182,   189,   190,
     192,   198,   204,   204,     9,     9,    10,    10,    11,    11,
     315,   317,   317,   327,   329,   332,   333,   337,   339,   350,
     352,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   403,   405,   412,
     413,   420,   421,   427,   430,   434,   442,   449,   455,   457,
     457,   470,   471,   474,   482,   483,   497,   500,   509,   510,
     523,   524,   525,   526,   527,   531,   539,   540,   541,   542,
     546,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   563,   564,   565,   566,   570,   571,   572,   576,   577,
     578,   579,   580,   581,   582,   583,   588,   589,   590,   591,
     592,   596,   597,   598,   599,   600,   604,   605,   609,   610,
     614,   615,   616,   617,   625,   626,   629,   630,   638,   648,
     649,   653,   657,   658,   659,   663,   664,   665,   666,   667,
     671,   672,   673,   674,   675,   676,   677,   678,   683,   684,
     688,   689,   690,   691,   696,   697,   698,   701,   725,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   757,
     758,   759,   760,   761,   762,   763,   764,   765,   766,   767,
     768,   769,   770,   771,   772,   773,   775,   776,   777,   779,
     781,   783,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   807,   808,   809,   810,   811,
     812,   813,   814,   816,   817,   819,   823,   827,   828,   829,
     832,   833,   834,   843,   846,   849,   861,   865,   868,   873,
     876,   879,   890,   894,   897,   898,   902,   903,   904,   905,
     906,   907,   908,   912,   917,   918,   919,   920,   133,   136,
     137,   141,   142,   143,   144,   154,   156,   158,   160,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   183,
     186,   187,   190,   200,   203,   204,   208,   214,   218,   228,
     238,   240,   241,   242,   243,   244,   245,   246,   250,   256,
     261,   262,   263,   264,   265,   266,   267,   268,   273,   274,
     277,   279,   282,   284,   288,   295,   298,   301,   302,   303,
     304,   308,   309,   310,   311,   312,   316,   317,   321,   324,
     325,   326,   331,   334,   335,   336,   337,   341,   342,   343,
     344,   345,   346,   347,   348,   352,   359,   367,   368,   372,
     373,   377,   382,   383,   387,   389,   397,   401,   402,   407,
     409,   416,   417,   418,   419,   420,   424,   432,   438,   439,
     440,   444,   445,   449,   450,   451,   452,   453,   454,   460,
     461,   462,   466,   467,   471,   472,   478,   479,   482,   484,
     488,   489,   493,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   541,   542,   543,   544,   545,   546,   547,   550,
     552,   556,   562,   562,   565,   565,   568,   568,   571,   571,
     575,   576,   579,   579,   582,   582,   586,   586,   590,   596,
     601,   607,   613,   620,   625,   630,   635,   640,   644,   648,
     652,   662,   669,   678,   682,   689,   693,   694,   695,   696,
     700,   704,   708,   722,   723,   724,   725,   728,   729,   730,
     731,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   759,   769,   769,   773,   776,   777,   778,   779,   780,
     781,   786,   786,   788,   788,   790,   790,   792,   792,   794,
     794,   796,   796,   798,   798,   800,   800,   802,   802,   805,
     805,   809,   809,   815,   816,   817,   821,   822,   828,   828,
     830,   830,   832,   832,   834,   834,   836,   836,   838,   838,
     842,   842,   846,   847,   851,   851,   854,   854,   858,   859,
     860,   864,   865,   866,   869,    34,    36,    46,    47,    48,
      49,    50,    53,    55,    59,    63,    64,    65,    66,    70,
      74,    78,    92,   112,   113,   114,   115,   116,   117,   118,
     119,   123,   124,   125,   126,   127,   128,   131,   133,   136,
     138,   142,   145,   150,   151,   152,   156,   157,   161,   162,
     165,   184,   184,    32,    34,    42,    43,    44,    45,    48,
      50,    54,    58,    72,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   114,
     116,   119,   121,   126,   128,   132,   132,   135,   135,   138,
     138,   141,   141,    47,    49,    80,    82,    83,    86,    88,
      89,    90,    91,    96,    97,   101,   102,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   118,   119,   120,   121,
     122,   126,   127,   133,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   197,   197,
     198,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   216,   242,   243,   244,   246,   246,   246,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   283,   285,   288,   290,   294,   301,   304,   306,
     308,   310,   312,   314,   316,   318,   320,   322,   324,   326,
     328,    26,    28,    34,    35,    36,    37,    38,    39,    40,
      41,    44,    46,    50,    53,    53,    57,    58,    59,    60,
      61,    62,   211,   214,   215,   216,   219,   235,   236,   240,
     241,   245,   255,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   275,   290,
     293,   295,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   308,   309,   309,   310,   311,   312,   316,   317,
     321,   329,   331,   335,   336,   337,   341,   342,   345,   347,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   363,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   423,   425,   428,   430,   438,   440,   441,   444,   446,
     450,   451,   454,   464,   486,   488,   492,   492,   495,   497,
     500,   502,   506,   509,   510,   511,   512,   515,   515,   518,
     518,   521,   521,   526,   526,   529,   529,   534,   534,   537,
     537,   541,   541,   550,   553,   554,   555,   556,   557,   558,
     559,   560,    24,    26,    40,    41,    42,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    23,    26,    25,
      40,    41,    42,    43,    44,    46,    57,    58,    59,    60,
      61,    61,    62,    62,    63,    64,    67,    69,    73,    77,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   115,   119,   120,   121,   122,   123,   124,   124,   125,
     125,   126,   127,   131,   132,   133,   136,   174,   176,   179,
     181,   185,   188,   200,   201,   202,   203,   207,   214,   222,
     224,   227,   229,   233,   237,   247,   252,   253,   254,   258,
     270,   272,   276,   277,   281,   294,   299,   300,   301,   305,
     317,   319,   323,   324,   329,   330,   334,   335,   338,   339,
      46,    49,    50,    53,    67,    68,    69,    70,    71,    72,
      75,    77,    81,    85,   110,   140,   141,   142,   143,   144,
     145,   146,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   173,   174,   175,   176,   179,   181,   184,   186,
     190,   193,   194,   198,   198,   201,   201,    41,    43,    50,
      52,    54,    58,    59,    60,    61,    62,    63,    64,    70,
      76,    82,    86,    87,    90,    93,    97,   108,   109,   113,
     120,   130,   132,   136,   137,   138,   142,    54,    56,    63,
      64,    65,    66,    67,    75,    79,    84,    89,    92,    95,
      99,   105,   106,   109,   121,   122,   126,   131,   132,   133,
     134,   135,   136,   140,   149,   151,   154,   156,   160,   160,
      22,    25,    26,    29,    30,    31,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    60,
      61,    31,    33,    35,    42,    43,    46,    48,    52,    62,
      63,    67,    68,    72,    73,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    89,    92,    93,   104,   107,   108,
     109,   110,   118,   118,   121,   121,   128,   128,   131,   131,
     134,   134,   137,   137,   140,   140,   145,   145,   150,   151,
     155,   156,   157,    41,    43,    48,    49,    52,    53,    57,
      58,    59,    60,    64,    71,    72,    83,    85,    88,    89,
      92,    93,    94,   101,   108,   111,   113,   116,   118,   122,
     125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED",
  "TEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'",
  "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO",
  "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "FLOW4", "FLOW6", "DST",
  "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP", "TYPE",
  "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT",
  "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "QUIT",
  "EXIT", "HELP", "FUNCTION", "PRINT", "PRINTN", "UNSET", "RETURN",
  "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP", "PREFIX", "RD", "PAIR",
  "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH", "CLIST",
  "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "TRUE", "FALSE", "RT",
  "RO", "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "SOURCE", "SCOPE",
  "DEST", "IFNAME", "IFINDEX", "WEIGHT", "PREFERENCE", "ROA_CHECK", "ASN",
  "IS_V4", "IS_V6", "LEN", "MAXLEN", "DEFINED", "ADD", "DELETE",
  "CONTAINS", "RESET", "PREPEND", "FIRST", "LAST", "LAST_NONAGGREGATED",
  "MATCH", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "ROUTER",
  "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL",
  "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT",
  "TABLE", "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6",
  "ROA4", "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK",
  "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "PASSIVE",
  "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES",
  "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256", "SHA384",
  "SHA512", "PRIMARY", "STATS", "COUNT", "BY", "FOR", "COMMANDS",
  "PREEXPORT", "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS",
  "DESCRIPTION", "SORTED", "RELOAD", "IN", "OUT", "MRTDUMP", "MESSAGES",
  "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO",
  "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT", "MAX",
  "FLUSH", "AS", "MIN", "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER",
  "CHECK", "LINK", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD",
  "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE",
  "METICULOUS", "SESSIONS", "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE",
  "WIRED", "WIRELESS", "BUFFER", "PRIORITY", "HOP", "BABEL_METRIC",
  "ENTRIES", "RANDOMIZE", "HOLD", "TIME", "CONNECT", "RETRY", "KEEPALIVE",
  "STARTUP", "VIA", "SELF", "PATH", "START", "DELAY", "FORGET", "AFTER",
  "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "MANDATORY", "INTERNAL", "EXTERNAL", "SETS", "DYNAMIC", "RANGE", "NAME",
  "DIGITS", "BGP_AIGP", "AIGP", "ORIGINATE", "COST", "ENFORCE", "CEASE",
  "HIT", "ADMINISTRATIVE", "SHUTDOWN", "PEER", "CONFIGURATION", "CHANGE",
  "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF", "MRT",
  "FILENAME", "PERIOD", "ALWAYS", "OSPF", "V2", "V3", "OSPF_METRIC1",
  "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT",
  "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST",
  "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP",
  "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR", "STABILITY", "GLOBAL",
  "LSID", "INSTANCE", "REAL", "NETMASK", "MERGE", "LSA", "SUPPRESSION",
  "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP", "REPEAT",
  "THRESHOLD", "MODE", "PIPE", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN", "TRIGGER",
  "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE",
  "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT", "GARBAGE", "VERSION",
  "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO", "PLAINTEXT", "DEMAND",
  "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD", "PRIVATE",
  "PUBLIC", "KEY", "SSH", "TRANSPORT", "USER", "EXPIRE", "STATIC",
  "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL", "KRT_PREFSRC",
  "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT",
  "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW", "KRT_LOCK_RTT",
  "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'", "'('",
  "')'", "','", "'{'", "'}'", "':'", "'['", "']'", "'?'", "$accept",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "symbol", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_",
  "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_",
  "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_label_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "where_filter", "function_body", "function_def", "$@2", "cmds",
  "cmd_prep", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list", "function_call", "symbol_value",
  "static_attr", "term", "break_command", "print_list", "cmd",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type", "table_sorted", "table", "proto_start",
  "proto_name", "proto_item", "channel_start", "channel_item_",
  "channel_item", "channel_opts", "channel_opt_list", "channel_end",
  "proto_channel", "rtable", "imexport", "limit_action", "limit_spec",
  "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "password_algorithm",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts", "bfd_proto",
  "bfd_accept_item", "bfd_accept", "bfd_iface_start", "bfd_iface_finish",
  "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_proto", "$@3", "$@4", "bgp_afi", "bgp_channel_start", "bgp_nh",
  "bgp_lladdr", "bgp_channel_item", "bgp_channel_opts",
  "bgp_channel_opt_list", "bgp_channel_end", "bgp_proto_channel",
  "mrt_proto_start", "mrt_proto_item", "mrt_proto_opts", "mrt_proto",
  "cmd_MRT_DUMP", "mrt_dump_args", "ospf_variant", "ospf_proto_start",
  "ospf_proto", "ospf_af_mc", "ospf_channel_start", "ospf_channel",
  "ospf_proto_item", "ospf_area_start", "ospf_area", "ospf_area_opts",
  "ospf_area_item", "$@5", "$@6", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@7", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@8", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@9", "$@10", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@11", "$@12", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    61,    60,    62,   126,   279,    43,
      45,    42,    47,    37,    33,    46,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,    59,    40,    41,    44,   123,   125,
      58,    91,    93,    63
};
# endif

#define YYPACT_NINF (-2061)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-838)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     218,  3128,   281,    91,   283,   309,   528,  4915,   574,   902,
     902,   614,   902,   537,   285,  2169,  1011,    22,   902,   392,
     365,   653, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061,   707, -2061, -2061, -2061,   707,   707,  4915,  3845,   146,
     245,   520,   547, -2061, -2061,   319, -2061,   632, -2061, -2061,
   -2061, -2061,   599,   745, -2061,   642,    12, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,   665,
   -2061,  3461, -2061, -2061, -2061,   953,  3679,   953, -2061,   953,
   -2061,   953,  6145,   953, -2061,   953,  2667,   953,  2531,   304,
    2629,   953, -2061,   953, -2061,   953, -2061,   953,  3024,  3058,
   -2061, -2061, -2061,   953,   953,  1326, -2061, -2061, -2061,    60,
   -2061, -2061,   847,   859,   749,   372, -2061,   802,   467,  4915,
     962, -2061,   471,   477, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061,   441,   454,   460,   525,
     530,   542,   546, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061,  3012,   161,   854,   869,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    2102, -2061,  1080, -2061, -2061,    69,  1153,    69, -2061,  1147,
    1147,   902,   902,  1170,    74, -2061,  1174,   920,   206,  1186,
   -2061,  1189, -2061,   933,   350,    38,   561,  1190,  1055,  1224,
    1269,  1285,  1288,  1302,  1336,  1360,  1363, -2061, -2061,   872,
    1458,  1147, -2061, -2061,  1444,  1478,  1444,  1481,  1492,  1035,
   -2061, -2061, -2061,  1500, -2061, -2061,  2943, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061,   742,  1518,  1528,   247, -2061, -2061,  1015,    69,
      69,   361,   300, -2061,    74,  1019, -2061, -2061, -2061, -2061,
     153,  1039,   134,  1328,   361,   361,   707, -2061, -2061, -2061,
   -2061, -2061, -2061,   551, -2061, -2061, -2061,  1112, -2061, -2061,
   -2061, -2061, -2061,  1567,  1545,  1048,  1456,   612,    69, -2061,
     820,   547,    74,  1370, -2061, -2061,  1071,  1081,  1107,  1108,
    1105,  1106,  1113, -2061, -2061,   601,  1356,  1127,  1645,   646,
      30,    77,    80,    96,  1386,   547,   612,  1339,  1509,  1453,
     524,   121,   118,   417,  1331,  1405,   429,  1410,  1421,  1442,
    1425,   729,  1413,  1568,   612,  1408,  1409,  1459,  1462,  1406,
    1407,   564,   612,  1412,   360,  1384,  1610, -2061,  1206, -2061,
    1205,  1212,  1207,  1210,  1345,  1596,   230,   612,  1630,   361,
     612,  1650,  1449,   612, -2061,  1460, -2061,  1081, -2061,  1249,
    1251, -2061,  1255,   612,  1798,   288,  1799,   325,   973, -2061,
    1276, -2061,  1282, -2061,   361,  1211,  1157,  1807,  1659,  1621,
    1673, -2061,  1289,  1298,  1295,  1297,  1299,  1301,  1748,  1608,
    1691, -2061,  1307,  1318,   496,  1315,  1692,   361,  1537,  1707,
     612,  1588,   612, -2061, -2061, -2061,  1329,  1330,  1337,  1338,
   -2061,  1603, -2061, -2061,  1346,    67, -2061,    60,    60,  4915,
     184,    60,    60,  1875, -2061,  1876, -2061,  1877,   847,  1861,
   -2061, -2061,  4915,  1878,   576,  1874,  1870, -2061, -2061, -2061,
    1807,  4915,  4915,  4915,  4915,  4915,  4915, -2061, -2061,  1893,
   -2061,  1364,   158, -2061, -2061,  1861, -2061, -2061,  2349, -2061,
   -2061,    90, -2061,  1910, -2061, -2061, -2061, -2061,  -303, -2061,
     438,  1903,  1905, -2061,  4915,  4915,  4915,  4915,  4915,  4915,
    4915,  4915,  4915,  4915,  4915,  4915,  4915,  4915,  3935,  3194,
   -2061, -2061,  1525, -2061, -2061, -2061, -2061,  1916,  1920,  1921,
    1923, -2061, -2061, -2061,   557,  1934, -2061, -2061, -2061,   995,
    1935, -2061,  1937, -2061,  5795, -2061,  1814,  1190,  1190,  1190,
    1190,  1190, -2061,  1190,  1190, -2061,   185,   410,  1938,  1190,
    1190,  1939,  1940, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
     654, -2061, -2061,  1942,  1943,   977,  1944, -2061,  1035, -2061,
   -2061,   361,  1945,  4915,  1420, -2061, -2061,  1422,  1423,  1424,
   -2061, -2061, -2061, -2061,  4915,  1438, -2061, -2061, -2061, -2061,
   -2061,  4915, -2061, -2061, -2061, -2061, -2061,   361, -2061, -2061,
    1443, -2061,   361,  1025, -2061,  1598, -2061,   361,  -128,   361,
     870, -2061, -2061,  1743, -2061, -2061,   953, -2061, -2061,  1947,
   -2061,   230, -2061, -2061, -2061, -2061, -2061, -2061, -2061,   612,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,  1670,  1672,
    1331, -2061,  1446,   361,   361, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061,    72,  1448,  1461,     8,   233,   612,  1637,
     612,  1754,  1463,  1467,  1435, -2061,  1469, -2061, -2061, -2061,
    1372,  1955,   447,  1955,   175,   361,  1685,  1713,   361,  1715,
     612,  1716,   612,  1857,   612,   612,  1470,   612,   612,   612,
     612,   612,   612,  1653,  1774,   612,  1471,   612,   612,  1472,
      50,  1776, -2061, -2061, -2061, -2061, -2061, -2061,   612,   437,
   -2061, -2061,   612, -2061,  1846,   361,   612, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061,  2003,  2006, -2061,   361,
     361, -2061, -2061, -2061, -2061, -2061,  2002,  4915, -2061, -2061,
     478,  1845, -2061, -2061,   478, -2061, -2061, -2061,   478,   612,
    1807, -2061, -2061, -2061, -2061, -2061, -2061,   859,   749, -2061,
   -2061, -2061,   612,  1807, -2061, -2061, -2061,  1222, -2061,  1331,
   -2061, -2061, -2061,   413,  1735, -2061,  1482,   612, -2061,   612,
     361, -2061,   361, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
     361, -2061,  2010, -2061, -2061, -2061,  1123, -2061, -2061,   446,
   -2061, -2061, -2061, -2061,  1980,  2013,   797,  2943, -2061,  1896,
    2007, -2061, -2061, -2061,   808,  1156,   386,   415,   457,   726,
    1226, -2061,  4915, -2061,  4915,  1491,    26,  1493,  1272, -2061,
   -2061,  2029,   310,   184, -2061,   749, -2061,  1827,  1828,  3420,
    3420,  3420,  3550,  3550,  3420,  3420,  3420,  3420,  3420,   989,
     989,  1870,  1870, -2061, -2061, -2061, -2061, -2061,  1515, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061,   913, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061,   940, -2061, -2061,  2058, -2061, -2061, -2061,  2002,  2042,
   -2061,  1906,  1907,   453, -2061, -2061, -2061, -2061,  1143, -2061,
   -2061, -2061, -2061, -2061,  2047, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061,  2068,  1147,  1147,  1147,  1147,  1147,  1147,  1494,
    1190,  1147,  1190,  1147, -2061,  1147,  1147, -2061, -2061,   872,
   -2061, -2061, -2061, -2061,  2002,  1397,   547, -2061, -2061,  2069,
   -2061, -2061,  2378,  1529, -2061,  2672, -2061, -2061, -2061,   547,
    2054, -2061,  1538,  1306, -2061,  1348, -2061, -2061,  2059,  1221,
    1352,   547, -2061,   547, -2061, -2061,   872,  1540,  1541, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,  2046, -2061,  1539,
    1543,  1020, -2061,  1401,  2774,   361,   361,  1544, -2061,  1546,
    1549,   612,   263, -2061, -2061,  1925,  1812,   361,  1554,  1558,
    1560,   612,  1562,   612, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061,   707, -2061,   361,   361, -2061, -2061, -2061, -2061,
     361,   361, -2061,  1563,   361,   361,  1565,   361,  1572,   361,
    1573,   230,  1578,  1579, -2061,  1591,  1592,  1594,  1599,  1600,
    1601,   612,   142,  1604, -2061,  1605,  1607, -2061,   361,  1609,
     612,  4219, -2061,  2776, -2061,   361, -2061, -2061, -2061,   361,
   -2061, -2061, -2061,  1936, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061,  2943, -2061,  1967, -2061,   612, -2061, -2061, -2061,  1611,
    3455,  3595,  2519,  1612,  1613, -2061,  1955,  2094,  2127,   361,
     612,   612,   413,  5174, -2061, -2061,  1976, -2061, -2061,  1539,
    1619, -2061,    60, -2061,    60,  2134, -2061, -2061,  4915,  2128,
    2129, -2061, -2061, -2061,  4915, -2061,  4915,  4915,  4915,  4915,
   -2061,   858,   186,  3355,  4915,  3667,  4915, -2061,  1622,  4915,
   -2061, -2061, -2061,  2145,  2153,  4915,  1525, -2061,   557, -2061,
   -2061, -2061, -2061,  2151,  2151, -2061, -2061,   847,   662,  1414,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,  1080, -2061,
   -2061,  2170,  2171,  2172,  2174,  2184,  2187, -2061, -2061,  2157,
     230, -2061, -2061,   230, -2061,   230,  1147,  2188,  1147,  2189,
    2190,  2192, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    3845, -2061,  5505,   742,  1651,  1649,  1539, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,   952, -2061, -2061,
   -2061,  2177, -2061, -2061,    69, -2061, -2061,  1658, -2061, -2061,
   -2061,  1331, -2061, -2061,  1660, -2061,  2063, -2061, -2061, -2061,
    1669,  1656,  1671, -2061, -2061, -2061,  1675,   512, -2061,  1676,
     495,   361,  1677, -2061, -2061, -2061,  1678, -2061,  1679,   740,
    1680,   451, -2061,   586, -2061, -2061,   179, -2061, -2061, -2061,
    1681,  1682, -2061,  1683, -2061,  1689, -2061,  1690, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061,  1699, -2061,  1700, -2061,
   -2061, -2061,  1701, -2061,  1702,  1930,  1880,  1411,  1665,  1892,
    2072,  1952,  2092,   145,   612,  2199,   612,   416,   361, -2061,
   -2061,  1709,  2002,  1484,   547,   361,  2139, -2061, -2061, -2061,
    1726, -2061, -2061, -2061,   813,   612, -2061,   504, -2061,  2033,
    1372, -2061,   633, -2061,  1729, -2061,  1858,  1102, -2061, -2061,
   -2061,  1502, -2061, -2061, -2061,  1502,  2113, -2061, -2061, -2061,
    1732, -2061,   612,   361, -2061, -2061, -2061,  1733,   361,  2101,
    2051,  2101,  1303,    13,  2101, -2061, -2061, -2061,  1736, -2061,
   -2061, -2061, -2061,  2127, -2061, -2061,  2249, -2061, -2061, -2061,
      10,  4915,  4915,  1737,  4915, -2061, -2061, -2061,  4915,  4915,
    2262,  1745,  1747, -2061,  1744,  2269,  4915, -2061,   208, -2061,
     361, -2061, -2061, -2061, -2061, -2061,  2266,  2943,  2264, -2061,
    1161,   895,  1002,  1398,  1426,  1501,  1595,  4915, -2061,  4915,
     899,    25,  2943,  1752,   931,    17,  1753,  2286,  1272, -2061,
   -2061,  1648, -2061, -2061,  1080, -2061, -2061,  2284,   847,  1861,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    2301, -2061,  2302, -2061, -2061, -2061,   742,  1757, -2061,  5505,
   -2061,  1764, -2061,  2292, -2061,  1396,  1454, -2061, -2061, -2061,
   -2061,   845, -2061, -2061,  1761, -2061,   197, -2061, -2061, -2061,
   -2061,  2165, -2061,   361, -2061, -2061,  2140,  1948, -2061,   133,
    1946,  1954,  1121,   988, -2061, -2061,  1770,  1779,  1783, -2061,
   -2061, -2061,   612, -2061,  1274,  2084,   361,   361, -2061,  1785,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061,   335,   294,   612,   612,   164,   612,   470,
    1807, -2061, -2061, -2061,  2055, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061,  2039, -2061, -2061, -2061,   361,
     361,   612, -2061,  1789,   361, -2061,  1791,   230, -2061, -2061,
    1793,   361, -2061, -2061,   361,  1794, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061,  1803, -2061, -2061, -2061,   154,    44, -2061,
     612, -2061, -2061, -2061,  2162, -2061, -2061, -2061, -2061,   361,
    2285,   361, -2061, -2061, -2061,  2308, -2061, -2061, -2061,   361,
   -2061,  2249,  2331,  4915,  1094,  1809,  1811,  6120,  2471,  2878,
     120,  4915, -2061, -2061, -2061,  4915,  1813,  4915,   926, -2061,
     177,  2343,  2333, -2061, -2061, -2061, -2061,  2307, -2061, -2061,
    1457,  2311, -2061, -2061, -2061, -2061, -2061,   267,  2339,  2339,
    1372,  1830, -2061, -2061,   267,  2339,  2339,  2339,  1502,  1832,
    4915, -2061, -2061, -2061, -2061,  1717,  1751, -2061,  2346,  4915,
   -2061,  3979, -2061,  2350,  4915,  2375,  4291,  4603,  1835, -2061,
   -2061, -2061, -2061,  1027, -2061, -2061, -2061,  1847,   847,  1861,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,  1761,
   -2061, -2061,   707,   547,  2126,  1851,   612,  1850,  2050,  2159,
   -2061, -2061, -2061, -2061, -2061, -2061,   512, -2061, -2061, -2061,
   -2061, -2061,  2180,  2181,  2183, -2061, -2061, -2061,   362,   362,
    1331, -2061, -2061, -2061, -2061, -2061,  2225,  2141, -2061, -2061,
   -2061, -2061, -2061, -2061,   612,   612,  1539,  1879, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061,  1883, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061,  1884,   361, -2061,   612, -2061, -2061, -2061,  1885, -2061,
   -2061,  2499,  4915, -2061, -2061,  1882, -2061,  5246, -2061,  2527,
    4915,  5764,  2564, -2061,  2595,  1881,  1889,  1890,  1894,  1891,
    1331, -2061,  1897, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,  2417,   361,  1532,
   -2061,  1898, -2061,    52,   361,  1320,    92, -2061, -2061,  1532,
      52,    92,    52,  2367, -2061,  1780, -2061, -2061,  1900,  1901,
    1034,    29,  1913,  1044,  1895,  1922,    31,  1924,    49, -2061,
   -2061, -2061, -2061, -2061,  1404, -2061, -2061, -2061,  1331,  2182,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,   361,   361,   361,
   -2061, -2061, -2061, -2061, -2061, -2061,   612,   361, -2061, -2061,
    1858, -2061, -2061,    88,    93,   507,  1079,   627, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    1899,  5505,  2369, -2061,    84, -2061,  2943, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061,  4915,  4915,  4915, -2061,  4915, -2061,
   -2061,   361, -2061, -2061,   361,  1439,   361, -2061,  2339,  2339,
    2439, -2061, -2061, -2061, -2061, -2061,  2339,  2339,  2457, -2061,
   -2061, -2061, -2061,  2445,  4915, -2061, -2061, -2061,  2446,  4915,
   -2061,  4915,  2479, -2061,  4915, -2061, -2061,   547,   612,  1941,
    1379,  2253,   361,   361,   776, -2061, -2061, -2061,  1956,  1949,
   -2061,   612, -2061,  1037, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061,  5976, -2061, -2061, -2061,   500, -2061,   612,   361,   612,
   -2061,  1950,   361,   140,   361,   361,  2195,   231, -2061, -2061,
    1961,  2041,  2064,   612,   612,   612, -2061,  1968,  1763, -2061,
     445,    51,  2783, -2061,   738, -2061,  1965,  5246,  5505, -2061,
   -2061,  2349, -2061, -2061,  2484, -2061, -2061, -2061, -2061,   515,
    1969,  1970,  1829,  1871,  1904,  2024, -2061,  1898,   361, -2061,
     361,   361,   361,  1320,  1320, -2061,  1972,  1973,  1975,  1985,
    1987,  1971,  1994, -2061, -2061,  2342,  2306,  2312,  2313, -2061,
   -2061, -2061,  1440, -2061,  2360, -2061,  1314, -2061, -2061,   361,
    2271,  1358,   361,  2283,   597,  2323,   361,  2329,  2336, -2061,
    2034,  1583,   361,  2304,   681,  2344,  2163,  2035,   612,   347,
     361,   361,  2255,  2193,   361,   612,   361,  2294,   264,   224,
     361,  2481,  2209, -2061, -2061,  2057, -2061,   361,  2065, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,   361,
     361, -2061, -2061,   361,   361, -2061, -2061, -2061, -2061,   188,
     -65,   125,  2168,  -129,  2167,  2176,   612,  2173,  2327,  2191,
    2334,  2351,  2352, -2061,  2070,   291,  1331, -2061,  2071,   291,
    2596, -2061,  2087,   361,   612,  2355,   839,  -121,   612,   717,
     361,  2353,  1331,  2298,  2354,  2517,  -199,  2356,  2357,   359,
    2164,  2186,  2161, -2061, -2061,  2098,  2160,  2175,   547, -2061,
    2099, -2061, -2061, -2061,  2154,   326,   333,  5505,  2111,  4915,
    2112,  2117,  2118,  2120, -2061,  2625,  2633, -2061, -2061, -2061,
   -2061, -2061, -2061,  4915, -2061,  4915, -2061,  2121,  2122,   361,
     361,   361, -2061, -2061,  1451,  2645,   336,   361,  2645,  1455,
     344,  2125, -2061,  1483, -2061, -2061, -2061,   361,   361,   361,
     361,   361, -2061,   612, -2061,   361,   361, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,   248,   361,   361,
   -2061,   612,  2256, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
     767,   612, -2061, -2061, -2061,   361,   361, -2061,   612,   612,
   -2061,   361,   612, -2061, -2061, -2061, -2061, -2061,  2213,  2213,
    2393, -2061,   943,   361,   943,  2395,   361,  2454,   361,  2455,
     361,  2257, -2061,   612,   361,   361,  2520,   612,   154,   612,
      44, -2061,   361, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061,   361,   361,   361, -2061,   612,   612,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,   361, -2061,   782,
     361,   361, -2061, -2061,   361,   361,   612, -2061,   612,   612,
     612, -2061,  2207,  2216, -2061, -2061, -2061, -2061,  4915, -2061,
   -2061, -2061, -2061,  2230, -2061, -2061, -2061, -2061,   361,   361,
    2156,  2158, -2061,  2342, -2061, -2061, -2061, -2061, -2061, -2061,
    2166,  2645,  2645,  2178,  2179,   948,  1248,  2194,  2645,  2645,
   -2061,  1331,  1331, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,   612,    98,  2314,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,   612, -2061,
   -2061,   361, -2061, -2061, -2061, -2061,  2213, -2061,   361,  2213,
     361, -2061,   361, -2061,   612, -2061, -2061, -2061,   361, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    2315, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
     547,   547,  2154,  2196, -2061, -2061, -2061,  4915, -2061,  1314,
    2197,  2198,  1314,  1314, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061,  1314,  2201,  2203, -2061, -2061, -2061,
   -2061,  2303, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,  2202, -2061,  1314,
    1314, -2061, -2061, -2061,  1314,  1314, -2061,  2204,  4915, -2061,
   -2061, -2061, -2061, -2061,  2205, -2061
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1388,     0,     3,   134,   136,   138,   532,   534,   536,   538,
     542,   544,   546,   602,   611,   613,   615,   617,   619,   621,
     623,   625,   627,   629,   631,   638,   640,   642,   644,   646,
     648,   650,   654,   656,   711,   745,   747,   749,   751,   914,
    1057,  1059,  1061,  1063,  1065,  1067,  1069,  1071,  1243,  1245,
    1308,  1372,  1374,  1376,  1378,  1380,  1382,  1384,  1386,     1,
       2,     0,   388,   386,   387,     0,     0,     0,     0,     0,
       0,     0,     0,   394,   395,     0,   379,   380,   382,   383,
     384,   385,     0,     0,  1342,     0,     0,     6,     5,     7,
     140,   143,   145,   147,   149,   178,   368,   375,   377,     0,
     389,     0,   438,   442,   393,   396,   400,   396,   665,   396,
     713,   396,   400,   396,   901,   396,   400,   396,   400,     0,
     400,   396,  1104,   396,  1190,   396,  1247,   396,   400,   400,
    1341,  1364,  1367,   396,   396,   400,   135,   137,   139,   259,
     260,   269,   188,   189,   265,   278,   263,     0,     0,     0,
       0,   279,     0,     0,   282,   261,   262,   280,   281,   283,
     284,   285,   286,   287,   288,   309,     0,     0,     0,     0,
       0,     0,     0,   664,   744,   889,   892,   891,   888,   890,
     893,   894,   895,   898,   900,   896,   897,   899,  1053,  1054,
    1055,  1056,  1188,  1189,  1241,  1242,  1313,  1314,  1315,  1316,
    1317,  1318,  1319,  1320,  1321,  1322,  1323,  1324,  1325,  1326,
    1327,  1328,  1329,  1330,  1331,  1332,  1333,  1334,  1335,  1336,
    1337,  1338,  1339,  1340,  1420,  1421,     0,     0,    37,    38,
      47,    39,    40,    41,    42,    48,    43,    44,    45,   266,
     132,   133,    46,   264,   273,   307,   308,   336,   306,   310,
       0,   311,   658,   660,   659,     0,     0,     0,   658,    67,
      67,     0,     0,     0,     0,   657,     0,   662,     0,     0,
     548,     0,   604,     0,     0,   541,     0,   541,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   634,   633,     0,
     636,    67,   916,  1389,  1388,     0,  1388,     0,     0,  1390,
    1385,    16,    15,     0,   179,   141,   144,   151,   152,   153,
     155,   154,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,     0,     0,     0,     0,    65,    64,     0,     0,
       0,     0,    22,   381,     0,     0,   444,   443,   445,   446,
       0,     0,     0,     0,     0,     0,     0,   470,  1248,   754,
     666,   714,   902,   923,  1083,  1098,  1105,  1191,  1278,  1394,
    1407,   926,  1193,     0,   397,     0,     0,    22,     0,   476,
       0,     0,     0,     0,   469,   408,     0,   422,     0,     0,
       0,     0,     0,   851,   852,     0,     0,     0,     0,     0,
     841,   842,     0,     0,     0,     0,    22,     0,     0,     0,
       0,    22,     0,   758,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,     0,   753,     0,   853,
     884,     0,     0,     0,     0,     0,     0,    22,     0,     0,
      22,     0,     0,    22,   922,   929,   933,   422,   934,     0,
       0,   947,     0,    22,     0,     0,     0,     0,     0,  1082,
       0,  1087,     0,  1100,     0,     0,     0,     0,     0,     0,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1277,     0,     0,  1297,  1306,     0,     0,     0,     0,
      22,     0,    22,  1393,  1399,  1400,     0,     0,     0,     0,
    1413,     0,  1406,  1410,     0,   259,   278,   259,   259,     0,
       0,   259,   259,     0,   249,     0,    29,     0,     0,     0,
      32,    33,   274,     0,     0,     0,   304,    36,   127,   127,
       0,     0,     0,     0,     0,     0,     0,   211,   212,     0,
     214,     0,     0,   190,   193,   189,   192,   195,     0,    37,
      38,   240,   191,   229,   226,   227,   228,   236,     0,   244,
       0,     0,     0,   630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     479,   478,     0,   653,   651,   652,    66,     0,     0,     0,
       0,   645,   490,   489,     0,     0,  1387,   661,   663,   662,
       0,   543,     0,   535,     0,   533,     0,   541,   541,   541,
     541,   541,   540,   541,   541,  1073,   541,   541,     0,   541,
     541,     0,     0,   624,   616,   626,   618,   612,   614,   620,
     622,  1360,  1355,  1358,  1356,  1357,  1359,  1361,  1362,  1363,
       0,  1353,   637,     0,     0,     0,     0,  1381,  1390,  1377,
    1379,  1391,     0,     0,     0,   171,   166,     0,     0,     0,
     371,   373,   374,   465,     0,     0,   376,   439,   440,     9,
      11,     0,   441,    18,    20,    19,    21,     0,    17,  1368,
       0,  1366,   447,     0,   455,  1345,  1350,  1346,     0,     0,
       0,  1371,  1370,   390,   924,   925,   396,  1192,   398,     0,
     471,     0,   401,   402,   456,   407,   406,   405,   403,    22,
     472,   420,   424,   473,   474,   672,   719,   776,     0,     0,
       0,   792,     0,     0,     0,   845,   843,   846,   844,   847,
     849,   848,   850,     0,     0,     0,     0,    22,    22,     0,
      22,     0,     0,     0,     0,   793,     0,    23,    24,    25,
       0,    26,     0,    26,     0,     0,     0,     0,     0,     0,
      22,     0,    22,     0,    22,    22,     0,    22,    22,    22,
      22,    22,    22,     0,     0,    22,     0,    22,    22,     0,
       0,     0,   777,   882,   886,   778,   911,   927,    22,    22,
     948,   935,    22,   945,   942,     0,    22,   936,   930,   931,
     424,   928,   950,  1084,  1094,  1093,     0,     0,  1090,     0,
       0,  1095,  1096,  1086,  1085,   415,   171,     0,   429,   430,
       0,     0,   428,   410,     0,   411,   426,   409,     0,    22,
       0,  1101,  1102,  1116,  1200,  1250,  1279,     0,     0,    54,
      53,  1293,    22,     0,  1280,  1281,  1299,     0,  1298,     0,
    1302,  1300,  1301,  1291,  1294,  1304,     0,    22,  1312,    22,
       0,  1401,     0,  1403,  1310,  1396,  1395,  1408,   456,  1411,
       0,  1409,     0,   252,   257,   255,     0,   188,   189,     0,
     256,   258,   251,    28,    30,     0,     0,   275,   325,     0,
       0,   326,   128,   129,     0,     0,     0,     0,     0,     0,
       0,   213,     0,   289,     0,     0,     0,     0,   200,   241,
     242,     0,     0,     0,   267,     0,   268,     0,     0,   301,
     299,   297,   294,   295,   296,   298,   300,   302,   303,   290,
     291,   292,   293,   320,   319,   313,   314,   315,     0,   318,
     312,   316,   317,   322,   323,   324,   598,   596,   597,   581,
     584,   588,   591,   594,   595,   582,   583,   585,   586,   587,
     589,   590,   592,   593,   599,   600,   601,   483,   484,   485,
     487,   488,   486,     0,   481,   643,   639,   647,   649,   494,
     495,     0,   492,   655,     0,   537,   545,   547,   171,     0,
     557,     0,   578,     0,   559,   558,   563,   564,     0,   577,
     579,   580,   549,   556,     0,   603,   606,   607,   608,   609,
     605,   610,     0,    67,    67,    67,    67,    67,    67,     0,
     541,    67,   541,    67,  1058,    67,    67,  1309,   628,     0,
     635,   632,   641,   915,   171,     0,     0,   920,  1383,     0,
    1392,  1373,     0,   167,   171,     0,   142,   173,   146,     0,
       0,   456,     0,     0,   369,     0,  1369,  1365,     0,   449,
     452,     0,  1349,     0,  1348,  1351,     0,     0,     0,    12,
      13,    14,   391,   392,  1099,   399,   404,   459,   462,   477,
       0,     0,   425,   400,   400,     0,     0,     0,   784,     0,
       0,    22,    22,   819,   821,     0,     0,     0,     0,     0,
       0,    22,     0,    22,   836,   835,   529,   838,   794,    52,
      51,   758,     0,   758,     0,     0,   761,   762,   781,   755,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   818,     0,     0,     0,     0,     0,
       0,    22,     0,     0,   820,     0,     0,   788,     0,     0,
      22,     0,   887,   400,   937,     0,   940,   939,   938,     0,
     946,   944,   932,     0,  1088,  1089,  1092,  1091,   174,   175,
     427,   176,   437,   431,   413,    22,   414,   412,   417,     0,
     400,   400,   400,     0,     0,  1286,    26,  1295,     0,     0,
      22,    22,  1292,     0,  1284,  1404,  1397,  1311,  1402,   464,
    1417,  1412,   259,   250,   259,     0,    30,   277,     0,     0,
       0,   123,   125,   333,     0,   305,     0,     0,     0,     0,
     335,     0,     0,     0,     0,     0,     0,   194,     0,     0,
     230,   237,   245,     0,     0,     0,     0,   480,     0,   491,
     539,   555,   562,     0,     0,   551,   552,   575,   576,     0,
     572,   573,   574,   568,   566,   567,   550,   565,   560,   561,
     712,     0,     0,     0,     0,     0,     0,  1072,  1081,     0,
       0,  1076,  1079,     0,  1074,     0,    67,     0,    67,     0,
       0,     0,  1354,   919,   918,   917,   921,  1375,     8,   169,
       0,   180,   181,     0,     0,     0,   466,   370,   372,    10,
     448,   450,   451,   453,   454,  1344,  1347,     0,  1343,   378,
     460,    67,   456,   475,     0,   423,   418,     0,   679,   681,
     681,     0,   674,   667,     0,   722,     0,   721,   715,   716,
       0,     0,     0,   805,   804,   803,     0,     0,   763,     0,
      22,     0,     0,   828,   827,   834,     0,   815,     0,     0,
       0,     0,    27,     0,   759,   760,     0,   756,   757,   790,
       0,     0,   809,     0,   798,     0,   786,     0,   787,   817,
     801,   822,   800,   799,   833,   802,     0,   823,     0,   825,
     797,   789,     0,   795,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    22,     0,    22,    22,     0,   885,
     860,     0,   171,     0,     0,     0,     0,   913,   907,   903,
       0,   941,   943,  1043,     0,    22,   963,    22,   961,     0,
       0,   953,    22,   949,     0,   967,  1044,     0,   436,   416,
    1103,     0,  1119,  1110,  1112,     0,     0,  1118,  1106,  1107,
       0,  1203,    22,     0,  1202,  1194,  1195,     0,     0,  1262,
       0,  1262,     0,     0,  1262,  1249,  1252,  1253,     0,  1256,
    1282,  1283,  1285,     0,    60,    61,  1287,  1289,  1290,  1288,
       0,   340,   340,     0,     0,   337,   338,   339,     0,     0,
       0,     0,     0,  1307,     0,     0,   340,  1303,     0,  1305,
       0,  1405,  1415,  1419,   253,   254,     0,   276,     0,   327,
       0,     0,     0,     0,     0,     0,     0,     0,   270,     0,
       0,     0,   200,     0,     0,     0,     0,     0,     0,    34,
      35,     0,   482,   493,     0,   553,   554,     0,   569,   570,
     752,   746,   748,   750,  1062,  1060,  1077,  1080,  1075,  1078,
       0,  1064,     0,  1068,  1244,  1246,     0,     0,   184,   182,
     183,     0,   148,     0,  1352,   457,     0,   461,   463,   419,
     421,   668,   456,   669,   699,   670,   703,   671,   673,   456,
     717,     0,   720,     0,   810,   812,     0,     0,   767,     0,
       0,     0,     0,     0,   765,   813,     0,     0,     0,   829,
     814,   816,    22,   528,     0,     0,     0,     0,   531,     0,
     839,   783,   782,   780,   808,   807,   791,   806,   785,   826,
     824,   796,   840,     0,    22,    22,    22,     0,    22,     0,
       0,   866,   867,   868,     0,   864,   879,   878,   880,   883,
     906,   905,   904,   908,   909,     0,   912,   456,   966,     0,
       0,    22,   954,     0,     0,   952,     0,     0,   970,   965,
     969,     0,   959,   951,     0,   977,   432,   433,   434,   435,
      50,    49,  1152,  1161,  1109,   456,  1108,     0,     0,  1114,
      22,  1117,   456,  1199,  1196,  1198,  1201,  1264,  1263,     0,
       0,     0,    25,  1266,  1265,  1254,  1269,  1270,  1257,     0,
    1251,  1296,     0,     0,   341,     0,     0,     0,     0,     0,
       0,     0,   363,   363,   354,     0,     0,     0,     0,  1398,
       0,     0,     0,    80,    91,    92,    78,     0,    81,    82,
       0,     0,    85,    86,    89,   130,    87,     0,   104,   104,
       0,     0,    90,   131,     0,   104,   104,   104,     0,     0,
       0,   330,   331,   329,   332,     0,     0,   209,     0,     0,
     207,     0,   203,     0,     0,   201,     0,     0,     0,   321,
     571,  1066,  1070,     0,   177,   185,   172,     0,    57,    58,
      59,    55,    56,   458,   677,   675,   676,   678,   680,   699,
     697,   682,     0,     0,   706,   741,    22,     0,     0,     0,
     771,   769,   770,   773,   772,   774,     0,   764,   831,   830,
     832,   527,     0,     0,     0,   522,   526,   530,    22,    22,
       0,   873,   874,   875,   876,   877,     0,     0,   869,   857,
     858,   859,   865,   881,    22,    22,  1046,  1050,   956,   957,
     955,  1031,   958,  1031,   991,   971,   960,  1045,   978,  1159,
    1158,  1149,  1165,  1164,  1172,  1111,  1174,  1175,  1182,  1113,
    1115,  1238,     0,  1259,    22,  1258,  1255,  1267,     0,  1260,
      62,     0,   340,   352,   353,     0,   346,     0,   246,     0,
       0,     0,     0,   351,     0,     0,     0,     0,     0,     0,
       0,  1418,     0,    31,   328,    79,    83,    84,    88,    74,
      72,    70,    69,    71,    73,    68,    75,    97,     0,   114,
      99,    95,   105,   115,     0,     0,   116,   113,   124,   119,
     120,   121,   122,   117,   126,     0,   271,   272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   243,
     168,   170,   150,   682,     0,   702,   704,   705,     0,   708,
     739,   723,   718,   811,   768,   775,   766,     0,     0,     0,
     855,   856,   854,   863,   862,   861,    22,     0,   872,   910,
    1044,  1048,  1052,     0,     0,     0,   980,     0,  1163,  1147,
    1146,  1170,  1180,  1236,  1204,  1197,  1261,  1271,   345,   342,
       0,   181,   343,   186,     0,   349,   363,   364,   365,   366,
     363,   367,   348,   347,     0,     0,     0,   356,     0,  1414,
    1416,     0,    93,    77,    76,     0,     0,    76,   104,   104,
       0,   106,   107,   108,   109,   110,   104,   104,     0,   334,
     224,   208,   206,     0,     0,   204,   222,   202,     0,     0,
     220,     0,   218,   217,     0,   215,   701,     0,    22,     0,
       0,     0,     0,     0,     0,   700,   690,   497,   501,     0,
     707,    22,   710,   724,   743,   523,   524,   525,   870,   871,
    1047,     0,   964,  1034,  1032,  1035,   962,    22,     0,    22,
     968,     0,     0,     0,     0,     0,     0,     0,   976,   990,
       0,     0,     0,    22,    22,    22,  1162,     0,     0,  1151,
    1166,  1176,     0,  1240,     0,   350,     0,     0,   181,   196,
     199,     0,   355,   198,   234,   231,   232,   233,   238,     0,
       0,     0,     0,     0,     0,     0,    98,    96,     0,   100,
       0,     0,     0,     0,     0,   118,     0,     0,     0,     0,
       0,     0,     0,   502,   688,   498,     0,     0,     0,   683,
     687,   691,     0,   692,     0,   689,   503,   698,   709,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   742,
       0,     0,     0,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,     0,  1051,  1030,     0,  1036,     0,     0,   974,
     975,   973,   972,   984,   987,   988,   989,   981,   982,     0,
       0,   985,   979,     0,     0,  1153,  1154,  1155,  1160,     0,
       0,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,  1137,  1139,  1150,     0,     0,     0,  1169,     0,     0,
       0,  1179,     0,     0,    22,     0,     0,     0,    22,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1239,  1231,     0,     0,     0,     0,  1276,
       0,   187,   344,   248,   200,     0,     0,   181,     0,     0,
       0,     0,     0,     0,    94,     0,     0,   101,   112,   111,
     223,   205,   221,     0,   219,     0,   216,     0,     0,     0,
       0,     0,   693,   694,     0,     0,     0,     0,     0,     0,
       0,     0,   725,     0,   728,   729,   727,     0,     0,     0,
       0,     0,   734,    22,   726,     0,     0,   740,   999,  1000,
    1001,  1002,  1003,  1004,  1005,  1006,   996,     0,     0,     0,
    1024,    22,     0,  1038,  1029,  1018,  1019,  1020,   993,  1011,
      22,    22,   992,  1013,   995,     0,     0,   997,    22,    22,
     994,     0,    22,  1049,  1037,  1033,   983,   986,  1186,  1186,
       0,  1136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1124,    22,     0,     0,     0,    22,     0,    22,
       0,  1148,     0,  1184,  1168,  1167,  1173,  1171,  1178,  1177,
    1183,  1181,  1210,  1208,     0,     0,     0,  1224,    22,    22,
    1229,  1232,  1235,  1234,  1233,  1230,  1205,     0,  1209,    22,
       0,     0,  1206,  1207,     0,     0,    22,  1211,    22,    22,
      22,  1237,     0,     0,  1275,  1268,  1272,   197,     0,   235,
     239,   247,   361,     0,   358,   359,   357,   360,     0,     0,
       0,     0,   496,   498,   684,   685,   686,   695,   696,    63,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     500,     0,     0,   732,   733,   468,   467,   735,   736,   730,
     731,  1022,  1021,  1023,  1026,  1025,  1014,    22,     0,     0,
    1027,  1012,  1010,   998,  1009,  1008,  1015,  1007,    22,  1156,
    1157,     0,  1143,  1144,  1145,  1132,  1186,  1133,     0,  1186,
       0,  1122,     0,  1126,    22,  1125,  1127,  1128,     0,  1141,
    1138,  1142,  1140,  1185,  1222,  1223,  1225,  1228,  1215,  1217,
       0,  1226,  1220,  1221,  1218,  1219,  1212,  1213,  1214,  1216,
       0,     0,     0,     0,   103,   102,   210,     0,   499,   503,
       0,     0,   503,   503,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   503,     0,     0,   737,   738,  1016,
    1017,  1040,  1039,  1028,  1187,  1134,  1130,  1135,  1131,  1121,
    1120,  1123,  1129,  1227,  1274,  1273,   362,     0,   508,   503,
     503,   510,   509,   511,   503,   503,  1041,     0,     0,   506,
     507,   504,   505,  1042,     0,   225
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2061, -2061, -2061, -2061, -2061,   -99,  -351,   -68,   908,  -418,
    -705, -2061,  -155,  -161,  1688,  1693,  1703, -2061, -2061, -2061,
    -245, -2061, -2061,  -218, -1330,  -758,  2083, -2061, -2061,  1234,
   -1541,  -102,  -187,   684,  -722, -2061,  1197,  1203,  1204, -2061,
    1213,   972,   709,   712,  -191,  -970,  -494,   981, -2061, -2061,
   -2061, -2061,  2214, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -1003, -2061,
   -2061, -2061,  2075,  -920,  -580,  1706, -2061, -2061, -1765,  1164,
   -2061,   626,  -240,  1839,   487, -1217, -1962,  2528, -1780, -1777,
    1842,   491,  2250, -2061,  1852, -2061, -2061, -2061, -2061,  -482,
   -2061, -2061, -2061, -1198,  -139, -1191,    -6, -2061, -1207, -1192,
   -1516, -2061, -2061,  -452, -2061, -2061,   430, -2061, -2061, -2061,
     -76,  -101, -2061,  2641,  1614, -2061,  2324,  1974,  -108,  -542,
    -467, -2061,   112, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    1464,  -708,  -444, -2061, -2061, -1633, -2061, -2061, -2061, -2061,
   -2061,  -266, -2061,  1534,  -257, -2061,  1535, -1268,   329, -2060,
   -2061, -1006, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    -272, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,  -945,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061,   702,  2185, -1203, -2061, -2061,
   -2061, -2061, -2061, -2061,  1466,   842, -2061, -2061, -2061,   998,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061,  1661,   443, -2061, -2061,   982, -2061, -2061, -2061,
   -2061, -2061,   974, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061,   949, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061,   821, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061,   423, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061,   580,   568, -2061, -2061,
   -2061, -2061,   412,   565, -2061, -2061, -2061, -2061,   418,   570,
   -1858, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,  -791,
    1116, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
    1951, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061,  1740,  1787, -2061, -2061,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,  1263,  2206,
   -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061, -2061,
   -2061
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,   108,   109,   698,   711,   384,  1972,  1863,
    1133,   536,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,  1682,  2083,   861,  1793,  1485,  1486,
    2470,   348,   607,  1918,  2029,  1746,  1747,  1748,  1749,  1757,
    1750,  1919,  1920,  1921,  1923,  1924,  2035,  1926,  1751,  1759,
    1520,  1521,   912,  1231,  1232,   260,   261,   262,    22,    23,
      24,    25,   110,   675,   111,   112,   113,   114,   342,  1310,
    1064,  1065,  1189,  1190,   842,  1067,   115,   674,  1567,  1568,
    1569,  2002,   263,   573,  2124,   926,   574,   927,   575,   576,
     577,  2128,   578,  2129,   579,   580,  2004,   532,   264,   533,
     265,   266,   906,   267,   268,   269,  1532,  1506,  1715,  1570,
    1890,  2010,   116,   685,   117,   118,   395,  1093,   120,   121,
     385,   396,   397,  1336,  1337,  1101,   732,  1102,   398,   847,
     843,  1448,  1194,   122,   360,   361,   123,  1097,  1577,  1331,
    1098,  1219,  1220,  1071,  1072,  2332,   124,   125,   126,   724,
     399,   603,   993,   994,   615,  1001,  1002,  2066,  2307,  2067,
    2068,  2321,  2477,  1619,  1369,  1127,    26,    27,    28,    29,
     638,    30,    31,    32,   624,  1276,  1277,  1024,   986,   275,
      33,   626,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,   310,   663,    45,    46,    47,    48,    49,
      50,    51,   276,    52,    53,   277,   620,   271,   127,  1344,
    1103,   128,  1798,  1581,  1582,  1955,  2069,  2165,  1954,  1801,
    1583,  1585,  1804,  1959,  2072,  1587,    54,   129,  1350,  1104,
     130,  1589,  2074,  2180,  2073,  1961,  1590,    55,    56,    57,
      58,   131,   774,   772,  1359,  1603,  1604,   132,   764,  1370,
     449,   450,  1973,  1842,  1421,  1171,   804,  1172,   451,   133,
    1430,  1173,   134,    59,   665,   381,   135,   136,   819,   467,
     468,   469,   470,   471,  1183,  1444,  1666,  1663,  1669,  1670,
    1985,  2091,  1445,  1986,  2100,  1446,  2205,  1983,  2084,  2085,
    2208,  2498,  2607,  2582,  1657,  1675,  1847,  1980,  2081,  1982,
    1658,    60,    61,    62,    63,    64,    65,    66,    67,  1039,
     137,   138,   482,   139,   716,   140,   141,  1460,  1687,  1688,
    1200,   142,  1685,  2244,  2398,  2400,  2515,  2109,  2108,  1990,
    1686,  1683,  2107,  1988,  1987,  1860,  1684,  1864,  1991,  2248,
    2406,  2110,  1865,  1868,  1992,  2252,  2410,  2111,  1869,  2404,
    2509,   382,   143,  1467,  1201,   144,  1692,  2113,  2275,  2425,
    2112,  1994,  1693,    68,    69,   145,   146,  1202,  1478,  1699,
    1479,  1705,  1708,  1877,  1878,  2114,  2280,  2445,   147,   148,
     873,   874,   504,   505,  1509,  1213,   876,    70,   149,   516,
     362,   150,  1082,  1084,   708,  1087,   660,   661,   151,   152,
      71,    72,    73,    74,    75,    76,    77,    78,   319,   672,
     153,  1511,   517,   154,   155,   524,   888,  1902,  1730,  1513,
     889
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     355,   270,   571,   541,   810,   771,   773,   572,   914,   540,
    1508,   605,  1131,   323,   712,  1504,  1099,   324,   325,   845,
     534,  1507,  1505,  1085,  1774,   641,  1531,  1533,  1535,  1536,
     481,   448,  1769,  1244,  1713,   466,  2044,   480,  2051,   492,
     503,   515,  2125,   893,  1023,   894,   895,   502,   514,   900,
     901,   400,  2382,   401,   523,   402,  2054,   452,   632,   453,
     307,   472,  1313,  2023,  2027,   494,  1866,   495,  1139,   496,
     346,   497,   347,  1706,   892,   525,   745,   518,   519,  1279,
     526,   326,   525,   687,   688,  1057,   570,   526,  1261,   527,
    2118,   528,   569,   608,    80,  2308,   527,   700,   528,  2119,
    2120,   897,   898,  2023,  2027,   538,   539,   600,  1129,  1508,
     538,   539,   612,  1129,  1504,   767,   768,  2418,   769,   929,
     930,  1505,   723,   747,   664,  1689,   749,    81,   584,   585,
     586,   587,   588,   689,  1303,   728,   689,    82,   690,    83,
      84,   690,   751,  2432,   589,   590,   591,   592,   593,   594,
     595,   596,   597,  1111,   346,   598,   347,   689,   693,   694,
     695,   696,   690,   546,  2388,    85,   584,   585,   586,   587,
     588,   767,   768,   308,   769,   702,   563,   564,   162,   565,
     566,   567,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   633,  2433,   598,   584,   585,   586,   587,   588,   563,
     564,   897,   898,   566,   567,   632,   539,  1891,  1680,   621,
     589,   590,   591,   592,   593,   594,   595,   596,   597,  1140,
     601,   598,     1,  1140,  2126,   613,    86,  2127,    87,    88,
    1802,    89,  1727,    90,  1115,    91,  2116,    92,    93,    94,
     562,    95,  2384,  1728,   933,   680,   689,   681,   689,   934,
     682,   690,   692,   690,    96,    97,    98,    99,   100,   101,
     707,  1810,   680,   689,   681,   710,   710,   682,   690,  1096,
     693,   694,   695,   696,   677,  1909,  1910,  1911,   689,   689,
     860,    79,   689,   690,   690,  1716,   156,   690,   726,   727,
     572,  1912,  1913,  1914,   683,   634,  2214,  1641,   713,  1726,
     693,   694,   695,   696,   102,  2389,   689,  1566,  1199,   689,
     103,   690,   157,   754,   690,   689,   104,   105,  1545,  1546,
     690,  1204,  1107,   766,  2125,   563,   564,   897,   898,   566,
     567,   693,   694,   695,   696,   826,  1040,   693,   694,   695,
     696,  2119,  2120,   897,   898,   799,  1076,   762,  2119,  2120,
     897,   898,  1116,  2283,  2419,  1032,  1033,  1034,  1035,  1036,
     813,  1037,  1038,  1316,  1041,  1043,  1508,  1045,  1046,  1915,
    1916,  1504,   746,   703,   689,   689,   689,   689,  1505,   690,
     690,   690,   690,  2471,  2383,   835,   534,   313,   534,   534,
    1836,  2478,   534,   534,   584,   585,   586,   587,   588,   693,
     694,   695,   696,  2308,  1168,  1141,   860,  2215,   878,  1141,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   748,
    1086,   598,   750,   584,   585,   586,   587,   588,  1933,  2220,
     632,   689,  1112,   119,   767,   768,   690,   769,   752,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   635,  1206,
     598,  1207,   689,   693,   694,   695,   696,   690,   622,  1208,
     286,  1803,  2366,   636,   637,   584,   585,   586,   587,   588,
     827,   697,  1642,  1265,   693,   694,   695,   696,  1186,  1187,
     364,   589,   590,   591,   592,   593,   594,   595,   596,   597,
    2130,  1134,   598,   689,  2131,  1134,  1811,   544,   690,  1707,
    2249,  1482,  1650,  2355,   349,   350,  2126,  2250,  1837,  2127,
     689,   628,  1828,  1305,  1885,   690,  1192,  1117,  2472,   689,
     351,  2510,  2451,   896,   690,  1130,  2479,  1831,  1832,  1209,
    2368,   158,   693,   694,   695,   696,   907,   629,   365,  2216,
     285,   693,   694,   695,   696,   915,   916,   917,   918,   919,
     920,  2350,  1939,   829,  1941,   542,   830,  1943,  1031,  1946,
    1948,  1042,   928,  1775,  1776,  2385,   465,   346,  1118,   347,
     309,  1770,  1060,  1245,  2386,  2045,   866,  2052,   939,   940,
     941,   942,   943,   944,   945,   946,   947,   948,   949,   950,
     951,   952,  1867,  1428,   272,  2055,   273,  1596,   710,  2028,
    2251,   545,   314,  1078,  1266,   529,   909,   630,  1083,   570,
    1088,   530,   529,   531,  2356,   569,   315,   602,   530,   346,
     531,   347,   614,  2417,  1900,  1829,   106,   689,  2380,  2121,
    1134,   631,   690,  2122,   278,   107,   273,  2082,   931,  2036,
    1094,  1830,  2086,  2369,  1109,  1110,   312,  2580,   689,   693,
     694,   695,   696,   690,  2491,  2492,   320,   705,  2586,  2328,
    2329,  2588,   765,   691,   706,   345,   691,  1062,  1888,  -837,
     693,   694,   695,   696,  1210,  1999,  1143,  1135,  1073,  1146,
    1701,  1135,  1668,  1709,  1508,  1075,  1397,   691,  2011,  1504,
     571,   343,   572,   572,   537,  2003,  1505,   541,  1169,  1387,
    2009,   798,  1862,   540,   923,   924,   568,  1970,  1971,  1547,
     910,   279,   280,   283,   284,   776,  1180,   999,  2099,  1142,
     311,  1175,   777,  1623,  1597,   274,  1901,   321,   322,   568,
     710,   710,  1528,  1529,   584,   585,   586,   587,   588,  2402,
    1514,  1193,  1515,  2348,  2329,  1193,  2357,   759,   639,  1193,
     589,   590,   591,   592,   593,   594,   595,   596,   597,  2087,
    1839,   598,   321,   322,  2436,   274,   538,   539,  1296,   770,
    1298,  1000,  1176,  1646,   570,   684,   691,  2474,   691,  1925,
     569,  1217,   689,  1218,   354,   867,  1925,   690,  1840,  1841,
     344,  1221,   684,   691,   793,  1136,  1137,   689,  1508,  1136,
    1137,   353,   690,  1504,   693,   694,   695,   696,   691,   691,
    1505,  1357,   691,  2204,   868,  2330,  1135,   363,   640,   693,
     694,   695,   696,   869,   366,   281,   282,  2147,   738,   794,
    1606,  1191,  2149,   676,  2150,   760,   691,  2152,  1557,   691,
     346,  1558,   347,  1559,  2274,   691,  1281,  1282,  1283,  1284,
    1285,  1286,   483,   352,  1297,  1249,  1299,  1272,  1300,  1301,
     761,   795,  1664,  1271,  1211,  2088,   584,   585,   586,   587,
     588,  2448,  1598,  2421,  1599,  2331,  1600,  1601,  2121,   535,
    1602,  1652,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   537,   356,   598,  2245,   739,   316,   317,   318,  2330,
    2246,  2415,  2329,  2206,   691,   691,   691,   691,  2422,  2207,
    2089,  1089,  1090,  1091,  1508,  1508,  1241,   542,  1242,  1504,
    1504,  1612,   278,  1586,   273,  2003,  1505,  1505,   714,   715,
    2560,  2561,  2161,  1236,  1136,  1137,   543,  2575,  2576,  1733,
     617,   845,   618,   743,   744,  1734,  1735,  1736,  1737,  1846,
    1738,  1739,  1740,   651,  1306,  1741,  1196,  1742,  1743,  2349,
    1197,   691,  1237,  1744,  1752,  2162,  1613,  1314,   357,   358,
     359,  1614,  1615,   321,   322,  1616,  1617,   547,   725,  1325,
    1053,  1326,   691,   609,   610,   935,   550,   870,   871,   872,
     936,  1138,  1927,   933,  2247,  1621,  1349,  1794,  1224,   551,
     383,  2499,  1343,  1348,  1238,   552,  1351,  1352,  1795,  1796,
     584,   585,   586,   587,   588,   617,  2540,   618,  1362,   548,
     596,   597,   652,   691,   598,   549,   589,   590,   591,   592,
     593,   594,   595,   596,   597,  1374,  1375,   598,   782,   783,
     691,  1377,  1378,  2163,  2164,  1380,  1381,  1671,  1383,   691,
    1385,  1895,  1896,   274,  1703,  1897,  2090,  2330,  2140,  2141,
    1898,  1899,  2286,  1398,  1372,  2287,  2143,  2144,  1579,  1402,
     553,   619,  1429,  2101,  2102,   554,  1431,  2103,  2104,  2105,
    1432,  2169,   581,   534,  1508,   534,  2460,   555,  2461,  1504,
    2170,   556,  1459,  1466,  1477,  2171,  1505,   582,  1843,  1458,
    1465,  1476,   584,   585,   586,   587,   588,  1797,   541,  1560,
    1487,  1562,  1054,   837,   540,   599,  2423,  2416,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   831,   832,   598,
    1622,   584,   585,   586,   587,   588,  1055,   484,  1799,  2564,
    2565,  2566,  2567,  2568,  1576,  1805,   298,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   604,   691,   598,  1056,
    1267,  1268,  1269,  1270,   584,   585,   586,   587,   588,   606,
    1334,  1659,   299,   611,   485,   486,  2106,   616,   691,   487,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   623,
     488,   598,   625,  2424,   300,  1130,   301,  2025,   302,   489,
    1660,  1049,   627,  1050,  2037,  1733,   642,  2025,  2172,  2037,
     632,  1734,  1735,  1736,  1737,  1854,  1738,  1739,  1740,  2276,
    2277,  1741,  1517,  1742,  1743,  1661,  2278,   643,  1522,  1744,
    1523,  1524,  1525,  1526,   584,   585,   586,   587,   588,   767,
     768,  1861,   769,  1538,  1205,  1571,  1079,  1080,  1871,  1541,
     589,   590,   591,   592,   593,   594,   595,   596,   597,  2057,
     699,   598,  1608,  1321,  1322,  1825,   303,   304,   305,   306,
    2173,  2174,   644,  1239,  2175,  1676,  1677,  1678,  1679,   570,
     584,   585,   586,   587,   588,   569,  2059,  2279,   645,  1618,
    1681,   646,   836,   837,  1681,   722,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   647,  2092,   598,   838,  2176,
    2177,  2178,   691,   839,   584,   585,   586,   587,   588,  1648,
     767,   768,  1653,  1702,   755,   347,  1654,   691,   844,   763,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   648,
    2597,   598,   786,  1227,  1228,  2093,   836,   837,   767,   768,
     796,   769,  2094,   653,  1233,  1234,   584,   585,   586,   587,
     588,  2315,   838,   649,  1695,   811,   650,   839,   814,  1697,
    1704,   817,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   824,   840,   598,  2031,  2032,  2033,  2034,   841,   538,
     539,  2614,  1129,  2316,  1323,  1324,   654,   655,   656,   657,
     658,   659,  2512,  2513,  2514,  1527,   584,   585,   586,   587,
     588,  1729,  1975,   -66,   -66,  1792,   -66,   846,   881,  1304,
     883,  1791,   589,   590,   591,   592,   593,   594,   595,   596,
     597,  1548,  1549,   598,   584,   585,   586,   587,   588,  2569,
    2570,  2571,  2572,  2573,  1753,  1767,  1768,  1909,  1910,  1911,
     589,   590,   591,   592,   593,   594,   595,   596,   597,  2317,
    1256,   598,  1257,  1912,  1913,  1914,   313,  2095,  2096,  2097,
     386,  1788,  1789,   662,  1790,   387,   388,  1772,  1773,   520,
    1338,   667,  2019,   390,   669,  1714,  1714,  1258,  1718,  1259,
    1814,  1815,  1719,  1720,  1807,   670,  2318,  1287,  1783,  1049,
    1714,  1574,  2319,   671,   846,  1130,  1651,  1822,  1823,   584,
     585,   586,   587,   588,  1288,  1906,  1907,   710,  1826,  2320,
     539,  1765,  1680,  1766,   673,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   391,  1816,   598,  1817,   678,   392,
    2070,  1915,  1916,  2023,  2024,   386,   836,   837,   679,  1760,
     387,   388,  1289,  2598,  1339,   709,  2601,  2602,   390,   686,
    1848,  1849,   838,   701,  1930,  1852,  1932,   839,  2603,  1335,
    1635,  1950,  1856,  1951,  1371,  1857,  1373,   666,   717,   668,
    2042,  2043,   840,   704,  2057,  2058,  2179,   718,   841,   570,
    2047,  2048,   719,  2609,  2610,   569,   720,  1681,  2611,  2612,
    1873,   721,  1875,   584,   585,   586,   587,   588,   729,   391,
    1879,  2059,  2156,  2157,   392,   730,  2075,  2076,  2077,   589,
     590,   591,   592,   593,   594,   595,   596,   597,  2098,   731,
     598,  2312,  2313,  2324,  2325,  2060,  2061,  1100,  1290,  2062,
    2063,  1882,  2467,  2468,  2475,  2476,  2481,  2482,  1917,  2298,
    2299,   733,   734,   735,   736,  1917,   584,   585,   586,   587,
     588,   737,   740,  1340,  1341,  1119,  1120,   742,  1122,  1223,
    2064,   741,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   753,   756,   598,   757,   987,   988,   989,  1148,   775,
    1150,   758,  1152,  1153,   778,  1155,  1156,  1157,  1158,  1159,
    1160,  1957,  1235,  1163,   779,  1165,  1166,  1881,   990,   991,
    1745,  2159,   992,   780,   785,  1889,  1174,  1177,   781,  1892,
    1178,  1894,   784,   787,  1181,   584,   585,   586,   587,   588,
     789,   788,  1291,   790,  1956,   792,   791,   800,  1130,  1130,
     801,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     802,   797,   598,   803,  1935,   806,   805,  1198,   807,   584,
     585,   586,   587,   588,  2123,   538,   857,   858,   859,   808,
    1203,   809,  1240,  1995,   812,   589,   590,   591,   592,   593,
     594,   595,   596,   597,  1292,  1215,   598,  1216,   584,   585,
     586,   587,   588,   821,   170,   815,   172,   173,   816,   822,
     836,   837,   818,   823,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   825,   828,   598,   838,  1025,  1247,  2022,
     833,   839,   570,   570,  1636,  2030,   834,   846,   569,   569,
     848,   849,   850,   851,   321,   322,   844,   584,   585,   586,
     587,   588,   852,   853,  2428,   854,   862,   855,  2229,   856,
     863,   864,  1318,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   865,   875,   598,   521,   880,   877,   710,   710,
     710,   879,   882,   884,   885,   522,  1714,  1293,  2079,   584,
     585,   586,   587,   588,  2006,   886,   887,   890,  1026,   902,
     891,   903,   904,   905,  1319,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   911,   598,   598,   908,   921,  1294,
    1295,   922,   584,   585,   586,   587,   588,   932,   937,   995,
     938,  2230,  2136,   996,   997,  1917,   998,  1917,   589,   590,
     591,   592,   593,   594,   595,   596,   597,  1003,  1005,   598,
    1006,  1044,  1047,  1048,  1761,  1051,  1052,  1058,  1061,  1027,
    1342,  1081,  1092,  2065,  1105,  2153,  1106,  1121,  2464,  2465,
    2466,  1028,  1029,   710,  2160,  1063,  1068,  1095,  1123,  1144,
    1069,  1070,  1762,  1030,  2338,  2339,  2340,  2341,  2342,  2343,
    2344,  2345,  1074,  1126,  2489,  2490,  2231,  1077,  1132,  2210,
    1108,  2232,  1113,  2213,  2233,  2217,  2218,  1145,  2221,  1147,
    1149,  2234,  1151,  1161,  1162,  1114,  1170,  1124,  2132,  2133,
    2134,  1125,  2135,  1128,  1154,  1164,  1167,  1179,  1184,  1356,
    1358,  1185,  1188,  1195,   867,  1222,  1214,  1225,  1226,  1366,
    1229,  1368,   584,   585,   586,   587,   588,  1230,  1243,  2294,
    1246,  2295,  2296,  2297,  1248,  2123,  2123,  1763,   589,   590,
     591,   592,   593,   594,   595,   596,   597,  1253,  1254,   598,
    1255,  1260,  1262,  2577,  2578,  1263,  1264,  1278,  1681,  1396,
    2322,  1280,  1307,  2326,  1315,  1309,  1330,  2334,  1404,  2542,
    2581,  1320,  1317,  2346,  1328,  1329,  1332,  1333,  1353,  1433,
    1354,  2358,  2359,  1355,  1434,  2362,  1361,  2364,  1363,  2367,
    1360,  2370,  1364,  1449,  1365,   583,  1367,  1379,  2374,  1382,
     584,   585,   586,   587,   588,  2284,  1384,  1386,  1488,  1489,
    2376,  2377,  1388,  1389,  2378,  2379,   589,   590,   591,   592,
     593,   594,   595,   596,   597,  1390,  1391,   598,  1392,  1447,
    1483,  1764,  1484,  1393,  1394,  1395,  2403,  1510,  1399,  1400,
    2403,  1401,  1516,  1403,  2412,  1450,  1480,  1481,  1518,  1519,
    1539,  2426,   584,   585,   586,   587,   588,  1512,  1540,  1537,
    2437,  1544,  1556,  1550,  1551,  1552,  2444,  1553,   589,   590,
     591,   592,   593,   594,   595,   596,   597,  1554,  1435,   598,
    1555,  1561,  1563,  1564,  1779,  1565,  1573,  1572,  2235,  1575,
    2236,  2237,  1580,  1593,  1588,  2238,  2239,  1591,  2240,  1633,
     710,   710,   710,  1592,  1634,  1594,  2241,  2242,  2473,  1595,
    1605,  1609,  1610,  1611,  1620,  1624,  1625,  1626,  2483,  2484,
    2485,  2486,  2487,  1627,  1628,  1637,   710,   710,   584,   585,
     586,   587,   588,  1629,  1630,  1631,  1632,  1638,  2493,  2494,
    2495,  1640,  1644,  1649,   589,   590,   591,   592,   593,   594,
     595,   596,   597,  1936,  1655,   598,  2502,  2503,  1607,  1639,
    1656,  1667,  2506,  1673,  1690,  1674,  1691,  1696,  1698,  1700,
    1710,  1712,  1717,  2453,  2516,  1436,  1721,  2519,  1724,  2521,
    1722,  2523,  1723,  1725,  1732,  2526,  2527,  1937,  1731,  1771,
    1777,  1778,  1780,  2533,  1781,  1782,  1784,  1787,  1786,  1800,
    1806,  1808,  2243,  1812,  1818,  2534,  2535,  2536,  1824,  1809,
    1813,  1437,  1643,  1819,  1645,  1647,  2039,  1820,  2539,  1827,
    1845,   710,  2543,  1872,  1844,  2544,  2545,  1851,  1438,  1853,
    1439,  1855,  1858,  1662,  1440,  1665,  1880,  1874,  1441,  1442,
    1672,  1859,  1468,  1883,   287,  1884,   288,  1893,  1903,  2554,
    2555,  1905,   159,  1904,   160,   161,   162,   163,   164,   165,
    1694,   166,  1908,  1922,  1928,  2290,  1934,  1938,   167,   168,
     925,  1942,  1944,   169,  1949,   289,   584,   585,   586,   587,
     588,  1958,   290,  1952,  1963,   170,   171,   172,   173,  1960,
    1976,   174,   589,   590,   591,   592,   593,   594,   595,   596,
     597,  1964,  2585,   598,  1965,  1967,  1968,  2291,  1969,  2587,
     291,  2589,   292,  2590,  2021,  1977,  2014,  1981,  2000,  2592,
     293,  1989,  1993,  1997,  2015,  2016,  2018,  2038,  2017,   294,
    2049,  2020,  2552,  2115,  2071,  2026,  2040,  2041,  2594,  2595,
    2292,   175,   176,   557,   558,   559,   560,   177,   178,  2046,
     179,   180,   181,   182,   183,   184,   185,   186,  2050,  2117,
    2053,  2142,  2145,   187,   188,   189,  2146,  2148,   190,   584,
     585,   586,   587,   588,   191,  1443,  2151,  2158,  2219,  2155,
    2223,  2285,   192,  2167,  2212,   589,   590,   591,   592,   593,
     594,   595,   596,   597,  2166,  2222,   598,   584,   585,   586,
     587,   588,  2228,  2224,  2281,  2288,  2305,  2289,  2300,  2301,
    1821,  2302,  2057,   589,   590,   591,   592,   593,   594,   595,
     596,   597,  2303,  2304,   598,   584,   585,   586,   587,   588,
    2306,  2309,  1833,  1834,  1835,   295,  1838,  2310,  2311,  2314,
    2323,   589,   590,   591,   592,   593,   594,   595,   596,   597,
    2327,  2333,   598,  1468,  2335,    82,   193,    83,    84,  1850,
    2293,  2336,   584,   585,   586,   587,   588,    82,  2337,    83,
      84,  2347,  2351,  2353,  2352,  2360,  2361,  2365,   589,   590,
     591,   592,   593,   594,   595,   596,   597,  2371,  1870,   598,
    2372,  2373,  2387,   584,   585,   586,   587,   588,  2390,  2375,
    2391,  2394,  2393,  2396,  2401,  2407,  2397,  2399,  1866,   589,
     590,   591,   592,   593,   594,   595,   596,   597,  2429,   194,
     598,  2411,  2414,  2431,   296,  2395,  2438,  2427,  2430,  2440,
    2434,  2435,  2441,  2446,  2442,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,  2452,  2454,  2458,  2443,   297,
    2439,  2455,  2456,   386,  2457,  2459,  2463,  2469,   387,   388,
    2462,  2508,   205,   206,  2480,   386,   390,  2511,  2497,  2518,
     387,   388,    96,    97,    98,    99,   100,   101,   390,  2520,
    2522,  2528,  2550,  2524,    96,    97,    98,    99,   100,   101,
    2447,  2551,  2556,  2606,   207,  2557,  1273,  1022,   473,  2138,
    2559,  1274,   454,    82,  1962,    83,    84,  1711,  1754,  2583,
    2593,  1275,  2562,  2563,  1755,  1756,  1929,   391,   208,   209,
     210,   211,   392,  1785,  1758,  2139,  2137,  1931,  2574,   391,
    2596,  2599,  2600,  2282,   392,  2604,   484,  2605,  2613,  2608,
    1066,  2615,  1978,  1979,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   913,   336,   337,   338,   339,   340,   341,
    1311,  1250,  2449,   386,   561,  1251,  2553,  2450,   387,   388,
     899,   493,  1996,   485,   486,  1420,   390,  1252,   487,   474,
    1542,   820,  2558,  1543,  1182,  2056,  1578,  1953,  1966,   488,
    1376,  2080,  1984,  1974,  1004,  1469,  1584,  2517,   489,  2381,
    2530,   386,   212,   213,  2405,  2409,   387,   388,  2532,  2408,
      82,  1876,    83,    84,   390,  1212,  1327,  2253,   214,   215,
      96,    97,    98,    99,   100,   101,  1302,   391,  1470,  1471,
       0,     0,   392,     0,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,     0,  1059,   391,     0,     0,     0,     0,
     392,     0,     0,     0,  2078,     0,   584,   585,   586,   587,
     588,   244,   245,   455,   246,     0,     0,     0,     0,     0,
     247,     0,   589,   590,   591,   592,   593,   594,   595,   596,
     597,  1422,   837,   598,     0,     0,     0,     0,   386,     0,
     386,     0,  1308,   387,   388,   387,   388,  1345,     0,     0,
       0,   390,     0,   390,     0,  1423,     0,    96,    97,    98,
      99,   100,   101,     0,     0,     0,     0,     0,     0,     0,
       0,   584,   585,   586,   587,   588,     0,     0,     0,   475,
     476,   477,   478,  2057,  2254,     0,  2154,   589,   590,   591,
     592,   593,   594,   595,   596,   597,     0,  1887,   598,  2168,
       0,     0,   391,     0,   391,     0,     0,   392,     0,   392,
    2059,     0,     0,   490,     0,  2209,     0,  2211,     0,     0,
    1472,     0,     0,     0,     0,     0,  1473,     0,  1474,     0,
       0,  2225,  2226,  2227,     0,  1886,  2255,  2256,     0,     0,
    2257,     0,     0,     0,     0,   159,     0,   160,   161,   162,
     163,   164,   165,     0,   166,     0,     0,     0,     0,     0,
       0,   167,   168,  1998,  2258,     0,   169,     0,     0,  2259,
     456,   457,   458,   459,  2260,     0,  1346,  2261,   170,   171,
     172,   173,     0,     0,   174,     0,     0,     0,  1475,     0,
      82,  2005,    83,    84,     0,     0,     0,     0,   460,     0,
     479,     0,     0,     0,   461,     0,     0,   462,     0,  2262,
     463,     0,     0,     0,     0,     0,  2354,     0,     0,     0,
       0,     0,     0,  2363,    82,     0,    83,    84,  2012,     0,
       0,     0,  2263,     0,   175,   176,   557,   558,   559,   560,
     177,   178,     0,   179,   180,   181,   182,   183,   184,   185,
     186,     0,     0,     0,     0,     0,   187,   188,   189,  2013,
       0,   190,     0,     0,  2392,     0,     0,   191,     0,  1424,
    1425,  1426,     0,     0,     0,   192,     0,     0,     0,     0,
       0,     0,  2413,     0,     0,     0,  2420,     0,   386,     0,
       0,  2264,     0,   387,   388,     0,     0,     0,   491,     0,
       0,   390,     0,     0,     0,     0,     0,    96,    97,    98,
      99,   100,   101,     0,  2265,     0,     0,     0,     0,     4,
       5,     6,   386,     0,     0,     0,     0,   387,   388,     0,
       0,     0,     0,     0,  2266,   390,   464,     0,     0,     0,
    1312,    96,    97,    98,    99,   100,   101,     0,     0,   193,
       0,     0,   391,     0,     0,     0,     0,   392,     0,     0,
     966,  2488,   967,   968,     0,     0,     0,   498,     0,     0,
       0,  2267,  2268,  2269,  2270,     0,  2271,     0,     0,  2496,
    2272,   499,     0,     0,     0,     7,   391,     0,  2500,  2501,
       0,   392,     0,     0,     0,     0,  2504,  2505,     8,     0,
    2507,     0,     0,     0,   506,     0,     0,     0,     0,     0,
       0,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,  2525,     0,     9,    10,  2529,     0,  2531,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,     0,     0,
       0,     0,     0,  1347,     0,  1427,  2537,  2538,     0,   507,
       0,     0,  2273,     0,     0,   205,   206,  2541,    11,     0,
       0,    12,     0,    13,  2546,     0,  2547,  2548,  2549,   500,
       0,     0,     0,     0,    14,     0,     0,   969,   970,   971,
     972,   973,   974,     0,     0,     0,     0,   207,   159,     0,
     160,   161,   162,   163,   164,   165,     0,   166,    15,     0,
       0,     0,    16,     0,   167,   168,  1530,    17,    18,   169,
       0,   208,   209,   210,   211,     0,     0,     0,     0,     0,
       0,   170,   171,   172,   173,  2579,     0,   174,     0,     0,
       0,     0,     0,     0,     0,     0,  2584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -838,  -838,
    -838,     0,  2591,   975,   976,   977,   978,   979,   980,   981,
     982,   983,   984,   985,  -838,  -838,  -838,  -838,  -838,   594,
     595,   596,   597,     0,     0,   598,     0,   175,   176,     0,
       0,     0,     0,   177,   178,     0,   179,   180,   181,   182,
     183,   184,   185,   186,     0,   212,   213,     0,   508,   187,
     188,   189,     0,     0,   190,     0,     0,     0,     0,     0,
     191,   214,   215,     0,     0,     0,     0,     0,   192,     0,
      19,    82,     0,    83,    84,     0,     0,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   509,     0,   244,   245,     0,   246,   584,   585,
     586,     0,     0,   247,     0,     0,     0,     0,     0,     0,
       0,     0,   193,   501,   589,   590,   591,   592,   593,   594,
     595,   596,   597,     0,     0,   598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   510,   511,   512,   386,
       0,     0,     0,     0,   387,   388,     0,   513,  1452,     0,
       0,     0,   390,   367,     0,     0,     0,     0,    96,    97,
      98,    99,   100,   101,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   194,     0,     0,     0,     0,
     368,    82,     0,    83,    84,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,     0,     0,   391,    20,    21,     0,   369,   392,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,   206,
     159,     0,   160,   161,   162,   163,   164,   165,     0,   166,
       0,     0,     0,     0,     0,     0,   167,   168,  1534,     0,
       0,   169,     0,     0,     0,     0,     0,     0,     0,     0,
     207,     0,     0,   170,   171,   172,   173,     0,     0,   174,
       0,     0,   370,     0,     0,    82,     0,    83,    84,     0,
       0,   371,     0,     0,   208,   209,   210,   211,     0,   386,
       0,     0,     0,     0,   387,   388,     0,     0,  1461,     0,
       0,     0,   390,     0,     0,     0,     0,     0,    96,    97,
      98,    99,   100,   101,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,   177,   178,     0,   179,   180,
     181,   182,   183,   184,   185,   186,     0,     0,     0,     0,
       0,   187,   188,   189,     0,     0,   190,     0,     0,     0,
       0,     0,   191,   391,     0,     0,     0,     0,   392,     0,
     192,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,     0,     0,   386,     0,     0,     0,     0,   387,   388,
       0,     0,   389,   372,   214,   215,   390,   373,     0,     0,
       0,     0,    96,    97,    98,    99,   100,   101,     0,     0,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,     0,
       0,     0,     0,     0,   193,     0,     0,   391,   374,     0,
       0,     0,   392,   375,   376,     0,     0,   244,   245,     0,
     246,     0,     0,     0,     0,     0,   247,     0,  1453,  1454,
       0,     0,  1455,     0,     0,     0,   393,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,   377,   327,   328,   329,
     330,   331,   332,   333,   334,   335,     0,   336,   337,   338,
     339,   340,   341,     0,     0,     0,     0,   194,     0,     0,
       0,   378,     0,     0,     0,   379,     0,     0,     0,     0,
       0,     0,     0,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   953,   954,     0,     0,     0,
     205,   206,   159,   955,   160,   161,   162,   163,   164,   165,
       0,   166,   380,     0,  1457,     0,  1462,     0,   167,   168,
    1940,     0,     0,   169,     0,     0,     0,     0,     0,   956,
       0,   957,   207,     0,     0,   170,   171,   172,   173,     0,
       0,   174,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   958,   208,   209,   210,   211,
       0,     0,     0,     0,   959,   960,     0,   961,   962,     0,
       0,     0,  1463,     0,     0,   963,   964,   965,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,   177,   178,     0,
     179,   180,   181,   182,   183,   184,   185,   186,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,   190,     0,
       0,     0,     0,     0,   191,     0,     0,     0,     0,     0,
       0,     0,   192,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1464,     0,   214,   215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,     0,     0,     0,     0,     0,   193,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   244,
     245,     0,   246,     0,     0,     0,     0,     0,   247,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   394,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1405,     0,     0,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   205,   206,   159,     0,   160,   161,   162,   163,
     164,   165,     0,   166,     0,     0,     0,     0,     0,     0,
     167,   168,  1945,     0,     0,   169,     0,     0,     0,     0,
       0,     0,     0,     0,   207,     0,   484,   170,   171,   172,
     173,     0,     0,   174,  1406,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,  1334,
       0,     0,     0,  1407,  1408,     0,     0,     0,   487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   488,
       0,     0,     0,   175,   176,     0,     0,     0,   489,   177,
     178,     0,   179,   180,   181,   182,   183,   184,   185,   186,
       0,     0,     0,     0,     0,   187,   188,   189,     0,     0,
     190,     0,     0,     0,     0,     0,   191,     0,     0,     0,
       0,     0,     0,     0,   192,     0,     0,     0,     0,     0,
       0,  1409,   212,   213,     0,  1410,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   214,   215,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,     0,     0,     0,     0,     0,   193,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   244,   245,     0,   246,     0,     0,     0,     0,     0,
     247,     0,     0,     0,     0,  1411,     0,     0,     0,     0,
       0,     0,     0,     0,  1412,  1413,     0,     0,     0,     0,
       0,  1414,     0,     0,     0,  1415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1416,     0,     0,     0,
       0,   194,     0,     0,     0,  1417,     0,  1418,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   205,   206,   159,     0,   160,   161,
     162,   163,   164,   165,     0,   166,     0,     0,     0,     0,
       0,     0,   167,   168,  1947,     0,     0,   169,     0,     0,
       0,     0,     0,     0,     0,     0,   207,     0,     0,   170,
     171,   172,   173,     0,     0,   174,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,   177,   178,     0,   179,   180,   181,   182,   183,   184,
     185,   186,     0,     0,     0,     0,     0,   187,   188,   189,
       0,     0,   190,     0,     0,     0,     0,     0,   191,     0,
       0,     0,     0,     0,     0,     0,   192,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1419,     0,
     214,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,     0,     0,     0,     0,     0,
     193,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   244,   245,     0,   246,     0,     0,     0,
       0,     0,   247,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   205,   206,   159,     0,
     160,   161,   162,   163,   164,   165,     0,   166,     0,     0,
       0,     0,     0,     0,   167,   168,     0,     0,     0,   169,
       0,     0,     0,     0,     0,     0,     0,     0,   207,     0,
       0,   170,   171,   172,   173,     0,     0,   174,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,   177,   178,     0,   179,   180,   181,   182,
     183,   184,   185,   186,     0,     0,     0,     0,     0,   187,
     188,   189,     0,     0,   190,     0,     0,     0,     0,     0,
     191,     0,     0,     0,     0,     0,     0,     0,   192,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,   215,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,     0,     0,     0,
       0,     0,   193,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   244,   245,     0,   246,     0,
       0,     0,     0,     0,   247,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,   194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   171,     0,     0,     0,     0,   174,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,   206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
    1492,  1493,  1494,  1495,  1496,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
     207,     0,  1498,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,   177,   178,     0,   179,   180,   181,   182,   183,
     184,  1500,     0,   171,   208,   209,   210,   211,   174,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,  1502,     0,     0,     0,     0,
       0,  1491,  1492,  1493,  1494,  1495,  1496,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,   177,   178,     0,   179,   180,   181,
     182,   183,   184,  1500,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,     0,     0,     0,     0,  1501,     0,  1502,     0,     0,
       0,   193,     0,     0,   214,   215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   194,     0,     0,   244,   245,     0,
     246,     0,     0,   193,     0,     0,   247,     0,     0,     0,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   205,   206,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,   194,     0,     0,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   171,   208,   209,   210,   211,   174,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   205,
     206,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,  1492,  1493,  1494,  1495,  1496,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   207,     0,  1498,     0,     0,  1499,     0,     0,     0,
       0,     0,     0,   177,   178,     0,   179,   180,   181,   182,
     183,   184,  1500,     0,     0,   208,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
       0,     0,     0,     0,  1501,     0,  1502,     0,     0,     0,
       0,     0,     0,   214,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,     0,     0,     0,     0,   244,   245,     0,     0,
       0,     0,   193,  1503,     0,   214,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2007,   194,     0,     0,   244,   245,
       0,     0,     0,     0,  2001,     0,     0,     0,  1007,     0,
       0,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   171,   538,   857,   858,   859,   174,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,   206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   170,     0,   172,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   177,   178,     0,   179,   180,   181,   182,   183,
     184,  2008,     0,     0,   208,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1008,   837,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1009,     0,     0,     0,  1010,     0,     0,  1011,
    1012,     0,     0,     0,  1013,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,     0,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,   193,     0,     0,   214,   215,     0,     0,     0,     0,
       0,  1015,  1016,  1017,     0,  1018,     0,  1019,  1020,  1021,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,     0,
       0,     0,     0,     0,  2181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   194,     0,     0,   244,   245,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   205,   206,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2059,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,  2182,     0,     0,     0,     0,     0,  2183,
    2184,     0,     0,  2185,  2186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   405,   212,   213,     0,
       0,     0,     0,  2187,     0,     0,     0,  2188,     0,     0,
       0,     0,  2189,   214,   215,     0,     0,     0,     0,  2190,
       0,     0,     0,     0,  2191,     0,   406,     0,     0,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,     0,   386,
       0,     0,     0,     0,   387,   388,     0,   407,   408,     0,
       0,     0,   390,   409,     0,  2192,   244,   245,   410,   411,
     412,   413,     0,     0,  2193,     0,     0,     0,     0,     0,
       0,   414,     0,     0,     0,   415,   416,     0,     0,     0,
       0,     0,     0,     0,  2194,     0,     0,   193,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   391,     0,     0,     0,     0,   392,     0,
       0,  2195,     0,     0,  2196,  2197,  2198,   417,     0,     0,
       0,   418,  2199,     0,     0,     0,     0,  2200,     0,     0,
       0,     0,   419,     0,     0,     0,     0,  2201,     0,     0,
       0,     0,     0,     0,  2202,     0,     0,     0,     0,     0,
     194,     0,     0,     0,     0,   420,   421,   422,   423,     0,
     424,     0,     0,     0,     0,     0,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,     0,     0,   425,     0,
     426,     0,   427,   428,     0,     0,   429,   430,     0,     0,
       0,     0,     0,   205,   206,     0,     0,     0,     0,     0,
       0,     0,   431,   432,     0,     0,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,   436,     0,     0,     0,
     437,     0,     0,   438,   439,   207,   440,     0,   441,     0,
       0,     0,   442,   443,     0,   444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   445,     0,     0,   208,
     209,   210,   211,     0,   446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   214,
     215,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   244,   245,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   447
};

static const yytype_int16 yycheck[] =
{
     102,     7,   247,   164,   456,   423,   424,   247,   550,   164,
    1213,   277,   770,    81,   365,  1213,   724,    85,    86,   486,
     159,  1213,  1213,   151,     7,   297,  1243,  1244,  1245,  1246,
     138,   132,     7,     7,    24,   136,     7,   138,     7,   140,
     148,   149,  2004,   525,   624,   527,   528,   148,   149,   531,
     532,   127,   117,   129,   155,   131,     7,   133,    20,   135,
      38,   137,  1065,    11,    12,   141,    22,   143,   773,   145,
      20,   147,    22,    60,     7,    15,    46,   153,   154,  1024,
      20,    87,    15,   349,   350,   665,   247,    20,  1008,    29,
       6,    31,   247,   280,     3,  2155,    29,   354,    31,    15,
      16,    17,    18,    11,    12,    17,    18,    38,    20,  1312,
      17,    18,    38,    20,  1312,    17,    18,   238,    20,    29,
      30,  1312,   388,    46,   311,  1455,    46,    36,     8,     9,
      10,    11,    12,    15,  1054,   392,    15,    46,    20,    48,
      49,    20,    46,   342,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    81,    20,    35,    22,    15,    37,    38,
      39,    40,    20,   169,   293,    74,     8,     9,    10,    11,
      12,    17,    18,   151,    20,    22,    15,    16,    17,    18,
      19,    20,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   153,   391,    35,     8,     9,    10,    11,    12,    15,
      16,    17,    18,    19,    20,    20,    18,  1723,    20,     3,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    44,
     151,    35,     4,    44,  2004,   151,   135,  2004,   137,   138,
      33,   140,    24,   142,   226,   144,  2001,   146,   147,   148,
     246,   150,   117,    35,   547,    15,    15,    17,    15,   552,
      20,    20,   351,    20,   163,   164,   165,   166,   167,   168,
     362,   128,    15,    15,    17,   364,   365,    20,    20,   721,
      37,    38,    39,    40,   342,     8,     9,    10,    15,    15,
     498,     0,    15,    20,    20,  1492,     3,    20,   390,   391,
     530,    24,    25,    26,    47,   257,   156,   152,   366,  1506,
      37,    38,    39,    40,   213,   434,    15,  1310,   850,    15,
     219,    20,     3,   415,    20,    15,   225,   226,  1263,  1264,
      20,   863,   740,   422,  2286,    15,    16,    17,    18,    19,
      20,    37,    38,    39,    40,    47,   151,    37,    38,    39,
      40,    15,    16,    17,    18,   444,   697,   226,    15,    16,
      17,    18,   344,  2118,   475,   627,   628,   629,   630,   631,
     459,   633,   634,  1071,   636,   637,  1569,   639,   640,   102,
     103,  1569,   342,   220,    15,    15,    15,    15,  1569,    20,
      20,    20,    20,    47,   449,   484,   525,    22,   527,   528,
     226,    47,   531,   532,     8,     9,    10,    11,    12,    37,
      38,    39,    40,  2463,   354,   230,   624,   267,   507,   230,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   342,
     548,    35,   342,     8,     9,    10,    11,    12,  1758,   198,
      20,    15,   360,     3,    17,    18,    20,    20,   342,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   410,   867,
      35,   869,    15,    37,    38,    39,    40,    20,   252,    46,
     175,   264,   198,   425,   426,     8,     9,    10,    11,    12,
     182,   171,   327,    20,    37,    38,    39,    40,   829,   830,
     468,    24,    25,    26,    27,    28,    29,    30,    31,    32,
    2006,    44,    35,    15,  2010,    44,   363,    30,    20,   486,
     449,  1206,  1422,   156,   185,   186,  2286,   456,   344,  2286,
      15,   161,   177,  1055,  1717,    20,    38,   284,   182,    15,
     201,  2379,  2287,   529,    20,   770,   182,   233,   234,   116,
     306,     3,    37,    38,    39,    40,   542,   187,   526,   399,
       3,    37,    38,    39,    40,   551,   552,   553,   554,   555,
     556,  2184,  1769,   228,  1771,   545,   231,  1774,   626,  1776,
    1777,   151,   568,   546,   547,   440,   136,    20,   335,    22,
     548,   546,   671,   547,   449,   546,    80,   546,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   548,  1173,    20,   546,    22,    85,   697,   547,
     549,   134,   237,   702,   151,   545,    30,   257,   707,   770,
     709,   551,   545,   553,   267,   770,   251,   548,   551,    20,
     553,    22,   548,  2256,   447,   290,   535,    15,   440,   545,
      44,   281,    20,   549,    20,   544,    22,   549,   548,   547,
     716,   306,   549,   419,   743,   744,   254,   549,    15,    37,
      38,    39,    40,    20,   406,   407,     3,   523,  2516,    62,
      63,  2519,   544,   545,   530,   145,   545,   673,   548,   548,
      37,    38,    39,    40,   261,  1882,   775,   230,   684,   778,
    1471,   230,  1440,  1474,  1887,   691,   544,   545,  1891,  1887,
     935,   545,   932,   933,    32,  1887,  1887,   858,   800,  1151,
    1891,   341,   548,   858,   546,   547,   545,   345,   346,    47,
     134,     9,    10,    11,    12,   286,   815,   160,  1986,   544,
      18,   284,   293,   544,   212,   151,   549,    20,    21,   545,
     829,   830,   546,   547,     8,     9,    10,    11,    12,   448,
    1222,   840,  1224,    62,    63,   844,   399,   223,   187,   848,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   252,
     290,    35,    20,    21,   405,   151,    17,    18,  1040,   352,
    1042,   214,   335,   357,   935,   545,   545,  2318,   545,  1749,
     935,   880,    15,   882,   185,   289,  1756,    20,   318,   319,
     545,   890,   545,   545,   230,   348,   349,    15,  2001,   348,
     349,   169,    20,  2001,    37,    38,    39,    40,   545,   545,
    2001,   548,   545,  2081,   318,   218,   230,   175,   257,    37,
      38,    39,    40,   327,   159,   211,   212,  2044,   227,   265,
     335,   837,  2049,    91,  2051,   311,   545,  2054,  1290,   545,
      20,  1293,    22,  1295,  2112,   545,  1033,  1034,  1035,  1036,
    1037,  1038,   548,   534,  1041,   545,  1043,  1018,  1045,  1046,
     336,   297,   358,  1018,   451,   358,     8,     9,    10,    11,
      12,   545,   360,   156,   362,   278,   364,   365,   545,    32,
     368,  1423,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    32,   147,    35,   449,   294,   531,   532,   533,   218,
     455,    62,    63,   403,   545,   545,   545,   545,   191,   409,
     403,    41,    42,    43,  2117,  2118,   922,   545,   924,  2117,
    2118,   181,    20,  1341,    22,  2117,  2117,  2118,   377,   378,
    2471,  2472,   156,   547,   348,   349,   134,  2478,  2479,    44,
      20,  1408,    22,   297,   298,    50,    51,    52,    53,  1657,
      55,    56,    57,    81,  1056,    60,   844,    62,    63,   278,
     848,   545,   547,    68,    69,   189,   226,  1069,   223,   224,
     225,   231,   232,    20,    21,   235,   236,    15,   158,  1081,
       3,  1083,   545,   281,   282,   547,   545,   491,   492,   493,
     552,   544,  1750,   547,   549,   544,  1104,   152,   552,   545,
      47,   234,  1103,  1104,   547,   545,  1105,  1106,   163,   164,
       8,     9,    10,    11,    12,    20,   234,    22,  1117,   548,
      31,    32,   150,   545,    35,   548,    24,    25,    26,    27,
      28,    29,    30,    31,    32,  1134,  1135,    35,   309,   310,
     545,  1140,  1141,   267,   268,  1144,  1145,   414,  1147,   545,
    1149,   125,   126,   151,  1472,   129,   549,   218,  2028,  2029,
     134,   135,   547,  1162,  1132,   550,  2036,  2037,  1334,  1168,
     545,   151,  1173,   446,   447,   545,  1175,   450,   451,   452,
    1179,    44,   228,  1222,  2287,  1224,  2303,   545,  2305,  2287,
      53,   545,  1200,  1201,  1202,    58,  2287,   228,  1640,  1200,
    1201,  1202,     8,     9,    10,    11,    12,   262,  1269,  1296,
    1209,  1298,   135,   136,  1269,    35,   399,   278,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   154,   155,    35,
     544,     8,     9,    10,    11,    12,   159,   117,  1582,   191,
     192,   193,   194,   195,  1331,  1589,   135,    24,    25,    26,
      27,    28,    29,    30,    31,    32,     3,   545,    35,   182,
      17,    18,    19,    20,     8,     9,    10,    11,    12,    22,
     150,   358,   161,     3,   154,   155,   549,     3,   545,   159,
      24,    25,    26,    27,    28,    29,    30,    31,    32,     3,
     170,    35,     3,   476,   183,  1440,   185,  1919,   187,   179,
     387,   547,   269,   549,  1926,    44,   151,  1929,   171,  1931,
      20,    50,    51,    52,    53,  1667,    55,    56,    57,   481,
     482,    60,  1228,    62,    63,   412,   488,     3,  1234,    68,
    1236,  1237,  1238,  1239,     8,     9,    10,    11,    12,    17,
      18,  1685,    20,  1249,    22,  1313,   221,   222,  1692,  1255,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   180,
     352,    35,  1361,    42,    43,  1616,   255,   256,   257,   258,
     233,   234,     3,   547,   237,   173,   174,   175,   176,  1440,
       8,     9,    10,    11,    12,  1440,   207,   549,     3,   549,
    1451,     3,   135,   136,  1455,   387,    24,    25,    26,    27,
      28,    29,    30,    31,    32,     3,   227,    35,   151,   272,
     273,   274,   545,   156,     8,     9,    10,    11,    12,  1418,
      17,    18,  1424,    20,   416,    22,  1425,   545,   171,   421,
      24,    25,    26,    27,    28,    29,    30,    31,    32,     3,
    2557,    35,   434,   546,   547,   266,   135,   136,    17,    18,
     442,    20,   273,   481,   546,   547,     8,     9,    10,    11,
      12,    47,   151,     3,  1463,   457,     3,   156,   460,  1468,
    1472,   463,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   473,   171,    35,    64,    65,    66,    67,   177,    17,
      18,  2608,    20,    79,    42,    43,   524,   525,   526,   527,
     528,   529,   459,   460,   461,   547,     8,     9,    10,    11,
      12,  1510,  1830,    17,    18,  1576,    20,    20,   510,    22,
     512,  1576,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    17,    18,    35,     8,     9,    10,    11,    12,   191,
     192,   193,   194,   195,   549,   546,   547,     8,     9,    10,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   145,
     547,    35,   549,    24,    25,    26,    22,   388,   389,   390,
     144,    17,    18,    15,    20,   149,   150,   546,   547,   153,
      79,     3,  1900,   157,     3,  1491,  1492,   547,  1494,   549,
     369,   370,  1498,  1499,  1593,     3,   182,     3,  1566,   547,
    1506,   549,   188,   468,    20,  1750,    22,   233,   234,     8,
       9,    10,    11,    12,    20,    58,    59,  1616,  1617,   205,
      18,  1527,    20,  1529,    24,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   208,   547,    35,   549,    20,   213,
    1958,   102,   103,    11,    12,   144,   135,   136,    20,   547,
     149,   150,    58,  2559,   153,   227,  2562,  2563,   157,   544,
    1659,  1660,   151,   544,  1755,  1664,  1757,   156,  2574,   549,
     159,   544,  1671,   546,  1131,  1674,  1133,   314,   466,   316,
     546,   547,   171,   544,   180,   181,   549,    20,   177,  1750,
     546,   547,    47,  2599,  2600,  1750,   548,  1758,  2604,  2605,
    1699,   145,  1701,     8,     9,    10,    11,    12,   238,   208,
    1709,   207,   233,   234,   213,   544,  1967,  1968,  1969,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   549,   548,
      35,   191,   192,   275,   276,   231,   232,   729,   144,   235,
     236,   547,   191,   192,   189,   190,   163,   164,  1747,  2143,
    2144,   544,   544,   548,   548,  1754,     8,     9,    10,    11,
      12,   548,   306,   262,   263,   757,   758,    22,   760,   546,
     266,   544,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   295,   343,    35,   175,   160,   161,   162,   780,   284,
     782,   238,   784,   785,   284,   787,   788,   789,   790,   791,
     792,  1803,   546,   795,   283,   797,   798,  1713,   183,   184,
     549,  2062,   187,   271,   146,  1721,   808,   809,   293,  1725,
     812,  1727,   309,   315,   816,     8,     9,    10,    11,    12,
     271,   322,   238,   271,  1802,   328,   330,   353,  1983,  1984,
     130,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     544,   339,    35,   548,  1760,   548,   544,   849,   548,     8,
       9,    10,    11,    12,  2004,    17,    18,    19,    20,   424,
     862,   175,   546,  1872,   144,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   290,   877,    35,   879,     8,     9,
      10,    11,    12,   544,    46,   145,    48,    49,   349,   548,
     135,   136,   342,   548,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    15,    15,    35,   151,     3,   546,  1918,
     544,   156,  1983,  1984,   159,  1924,   544,    20,  1983,  1984,
     171,   210,   159,   544,    20,    21,   171,     8,     9,    10,
      11,    12,   544,   548,  2262,   548,   238,   548,    85,   548,
     159,   544,   546,    24,    25,    26,    27,    28,    29,    30,
      31,    32,   544,   548,    35,   539,   159,   175,  1967,  1968,
    1969,   334,   284,   544,   544,   549,  1882,   383,  1977,     8,
       9,    10,    11,    12,  1890,   548,   548,   284,    74,    14,
     544,    15,    15,    32,   546,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    30,    35,    35,    29,    15,   415,
     416,   547,     8,     9,    10,    11,    12,     7,    15,     3,
      15,   158,  2021,     3,     3,  2024,     3,  2026,    24,    25,
      26,    27,    28,    29,    30,    31,    32,     3,     3,    35,
       3,     3,     3,     3,   546,     3,     3,     3,     3,   135,
     549,   353,   209,   549,   284,  2057,   284,   320,  2309,  2310,
    2311,   147,   148,  2062,  2063,   545,   544,    20,   214,   284,
     547,   547,   546,   159,   391,   392,   393,   394,   395,   396,
     397,   398,   544,   548,  2335,  2336,   223,   544,    33,  2088,
     544,   228,   544,  2092,   231,  2094,  2095,   284,  2097,   284,
     284,   238,   145,   350,   230,   544,   230,   544,  2014,  2015,
    2016,   544,  2018,   544,   544,   544,   544,   171,    15,  1111,
    1112,    15,    20,   178,   289,    15,   544,    47,    15,  1121,
     134,  1123,     8,     9,    10,    11,    12,    30,   547,  2138,
     547,  2140,  2141,  2142,    15,  2285,  2286,   546,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   230,   230,    35,
     545,     3,    20,  2481,  2482,   159,   159,    20,  2229,  1161,
    2169,     3,     3,  2172,    20,   546,    30,  2176,  1170,  2430,
    2498,    22,   544,  2182,   544,   544,   547,   544,   544,   153,
     544,  2190,  2191,   544,   158,  2194,   284,  2196,   544,  2198,
     175,  2200,   544,  1195,   544,     3,   544,   544,  2207,   544,
       8,     9,    10,    11,    12,  2121,   544,   544,  1210,  1211,
    2219,  2220,   544,   544,  2223,  2224,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   544,   544,    35,   544,   172,
      46,   546,    15,   544,   544,   544,  2245,   171,   544,   544,
    2249,   544,    18,   544,  2253,   544,   544,   544,    30,    30,
      15,  2260,     8,     9,    10,    11,    12,   548,    15,   547,
    2269,    20,    15,     3,     3,     3,  2278,     3,    24,    25,
      26,    27,    28,    29,    30,    31,    32,     3,   252,    35,
       3,     3,     3,     3,   546,     3,   547,   546,   435,    22,
     437,   438,   544,   547,   544,   442,   443,   144,   445,   279,
    2309,  2310,  2311,   544,   334,   544,   453,   454,  2317,   544,
     544,   544,   544,   544,   544,   544,   544,   544,  2327,  2328,
    2329,  2330,  2331,   544,   544,   343,  2335,  2336,     8,     9,
      10,    11,    12,   544,   544,   544,   544,   175,  2347,  2348,
    2349,   159,    53,   544,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   546,   125,    35,  2365,  2366,  1360,   317,
     544,   238,  2371,   544,   161,   417,   544,   544,   177,   228,
     544,    32,   545,  2289,  2383,   349,    24,  2386,   544,  2388,
     545,  2390,   545,    24,    30,  2394,  2395,   546,    32,   547,
     547,    15,    18,  2402,     3,     3,   549,    15,   544,   548,
     145,   171,   549,   367,   544,  2414,  2415,  2416,   234,   371,
     366,   385,  1414,   544,  1416,  1417,   546,   544,  2427,   544,
     291,  2430,  2431,   171,   279,  2434,  2435,   548,   402,   548,
     404,   548,   548,  1435,   408,  1437,    15,    62,   412,   413,
    1442,   548,    44,   544,   185,   544,   187,   544,    15,  2458,
    2459,    54,    13,    30,    15,    16,    17,    18,    19,    20,
    1462,    22,    61,    34,   544,   546,   544,    31,    29,    30,
      31,    31,     7,    34,   549,   216,     8,     9,    10,    11,
      12,   265,   223,   546,   544,    46,    47,    48,    49,   548,
     175,    52,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   361,  2511,    35,   255,   235,   235,   546,   235,  2518,
     251,  2520,   253,  2522,     7,   284,   545,   548,   546,  2528,
     261,   548,   548,   548,   545,   545,   545,    70,   544,   270,
     545,   544,  2448,   544,   262,   547,   546,   546,  2550,  2551,
     546,   102,   103,   104,   105,   106,   107,   108,   109,   546,
     111,   112,   113,   114,   115,   116,   117,   118,   546,   100,
     546,    32,    15,   124,   125,   126,    31,    31,   129,     8,
       9,    10,    11,    12,   135,   549,     7,   234,   293,   548,
     449,     7,   143,   544,   544,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   548,   544,    35,     8,     9,    10,
      11,    12,   544,   449,   549,   546,   545,   547,   546,   546,
    1612,   546,   180,    24,    25,    26,    27,    28,    29,    30,
      31,    32,   547,   546,    35,     8,     9,    10,    11,    12,
     546,   235,  1634,  1635,  1636,   376,  1638,   235,   235,   189,
     279,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     277,   238,    35,    44,   235,    46,   217,    48,    49,  1661,
     546,   235,     8,     9,    10,    11,    12,    46,   544,    48,
      49,   277,   238,   548,   421,   330,   393,   293,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   116,  1690,    35,
     391,   544,   434,     8,     9,    10,    11,    12,   441,   544,
     434,   284,   439,   279,   544,   544,   265,   265,    22,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   330,   280,
      35,   544,   277,   116,   465,   444,   472,   284,   284,   478,
     284,   284,   544,   544,   484,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   544,   544,    32,   483,   490,
     474,   544,   544,   144,   544,    32,   544,    22,   149,   150,
     549,   458,   323,   324,   549,   144,   157,   284,   422,   284,
     149,   150,   163,   164,   165,   166,   167,   168,   157,   235,
     235,   171,   485,   436,   163,   164,   165,   166,   167,   168,
     546,   485,   546,   400,   355,   547,  1018,   624,   177,  2025,
     544,  1018,    45,    46,  1806,    48,    49,  1483,  1521,   405,
     405,  1018,   544,   544,  1521,  1521,  1754,   208,   379,   380,
     381,   382,   213,  1569,  1521,  2026,  2024,  1756,   544,   208,
     544,   544,   544,  2117,   213,   544,   117,   544,   544,   547,
     675,   546,  1844,  1845,    82,    83,    84,    85,    86,    87,
      88,    89,    90,   549,    92,    93,    94,    95,    96,    97,
    1064,   932,  2285,   144,   246,   933,   546,  2286,   149,   150,
     530,   140,  1874,   154,   155,  1171,   157,   935,   159,   258,
    1256,   467,  2463,  1258,   820,  1953,  1332,  1799,  1816,   170,
    1139,  1980,  1853,  1829,   619,   286,  1340,  2384,   179,  2229,
    2398,   144,   463,   464,  2246,  2250,   149,   150,  2400,  2249,
      46,  1705,    48,    49,   157,   874,  1086,    44,   479,   480,
     163,   164,   165,   166,   167,   168,  1049,   208,   319,   320,
      -1,    -1,   213,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,    -1,   668,   208,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,  1976,    -1,     8,     9,    10,    11,
      12,   542,   543,   226,   545,    -1,    -1,    -1,    -1,    -1,
     551,    -1,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   135,   136,    35,    -1,    -1,    -1,    -1,   144,    -1,
     144,    -1,   544,   149,   150,   149,   150,   153,    -1,    -1,
      -1,   157,    -1,   157,    -1,   159,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,   428,
     429,   430,   431,   180,   181,    -1,  2058,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    99,    35,  2071,
      -1,    -1,   208,    -1,   208,    -1,    -1,   213,    -1,   213,
     207,    -1,    -1,   364,    -1,  2087,    -1,  2089,    -1,    -1,
     481,    -1,    -1,    -1,    -1,    -1,   487,    -1,   489,    -1,
      -1,  2103,  2104,  2105,    -1,   544,   233,   234,    -1,    -1,
     237,    -1,    -1,    -1,    -1,    13,    -1,    15,    16,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    29,    30,   544,   261,    -1,    34,    -1,    -1,   266,
     383,   384,   385,   386,   271,    -1,   282,   274,    46,    47,
      48,    49,    -1,    -1,    52,    -1,    -1,    -1,   549,    -1,
      46,   544,    48,    49,    -1,    -1,    -1,    -1,   411,    -1,
     549,    -1,    -1,    -1,   417,    -1,    -1,   420,    -1,   306,
     423,    -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,    -1,
      -1,    -1,    -1,  2195,    46,    -1,    48,    49,   544,    -1,
      -1,    -1,   329,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,    -1,    -1,    -1,    -1,   124,   125,   126,   544,
      -1,   129,    -1,    -1,  2236,    -1,    -1,   135,    -1,   373,
     374,   375,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,  2254,    -1,    -1,    -1,  2258,    -1,   144,    -1,
      -1,   388,    -1,   149,   150,    -1,    -1,    -1,   549,    -1,
      -1,   157,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   411,    -1,    -1,    -1,    -1,    71,
      72,    73,   144,    -1,    -1,    -1,    -1,   149,   150,    -1,
      -1,    -1,    -1,    -1,   431,   157,   549,    -1,    -1,    -1,
     548,   163,   164,   165,   166,   167,   168,    -1,    -1,   217,
      -1,    -1,   208,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      46,  2333,    48,    49,    -1,    -1,    -1,   223,    -1,    -1,
      -1,   468,   469,   470,   471,    -1,   473,    -1,    -1,  2351,
     477,   237,    -1,    -1,    -1,   137,   208,    -1,  2360,  2361,
      -1,   213,    -1,    -1,    -1,    -1,  2368,  2369,   150,    -1,
    2372,    -1,    -1,    -1,   226,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2393,    -1,   175,   176,  2397,    -1,  2399,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,    -1,
      -1,    -1,    -1,   549,    -1,   549,  2418,  2419,    -1,   271,
      -1,    -1,   549,    -1,    -1,   323,   324,  2429,   210,    -1,
      -1,   213,    -1,   215,  2436,    -1,  2438,  2439,  2440,   325,
      -1,    -1,    -1,    -1,   226,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,    -1,    -1,   355,    13,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,   250,    -1,
      -1,    -1,   254,    -1,    29,    30,    31,   259,   260,    34,
      -1,   379,   380,   381,   382,    -1,    -1,    -1,    -1,    -1,
      -1,    46,    47,    48,    49,  2497,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2508,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,     9,
      10,    -1,  2524,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    35,    -1,   102,   103,    -1,
      -1,    -1,    -1,   108,   109,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   463,   464,    -1,   420,   124,
     125,   126,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
     135,   479,   480,    -1,    -1,    -1,    -1,    -1,   143,    -1,
     372,    46,    -1,    48,    49,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,    -1,   542,   543,    -1,   545,     8,     9,
      10,    -1,    -1,   551,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,   549,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   538,   539,   540,   144,
      -1,    -1,    -1,    -1,   149,   150,    -1,   549,   153,    -1,
      -1,    -1,   157,   152,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,
     179,    46,    -1,    48,    49,    -1,    -1,    -1,    -1,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,    -1,   208,   536,   537,    -1,   206,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   324,
      13,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    29,    30,    31,    -1,
      -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     355,    -1,    -1,    46,    47,    48,    49,    -1,    -1,    52,
      -1,    -1,   261,    -1,    -1,    46,    -1,    48,    49,    -1,
      -1,   270,    -1,    -1,   379,   380,   381,   382,    -1,   144,
      -1,    -1,    -1,    -1,   149,   150,    -1,    -1,   153,    -1,
      -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,    -1,    -1,    -1,   102,
     103,    -1,    -1,    -1,    -1,   108,   109,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,    -1,
      -1,   124,   125,   126,    -1,    -1,   129,    -1,    -1,    -1,
      -1,    -1,   135,   208,    -1,    -1,    -1,    -1,   213,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,   464,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,   149,   150,
      -1,    -1,   153,   372,   479,   480,   157,   376,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,    -1,   208,   427,    -1,
      -1,    -1,   213,   432,   433,    -1,    -1,   542,   543,    -1,
     545,    -1,    -1,    -1,    -1,    -1,   551,    -1,   453,   454,
      -1,    -1,   457,    -1,    -1,    -1,   237,   462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   465,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,    -1,    -1,   280,    -1,    -1,
      -1,   490,    -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
     323,   324,    13,    58,    15,    16,    17,    18,    19,    20,
      -1,    22,   541,    -1,   549,    -1,   411,    -1,    29,    30,
      31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    86,   355,    -1,    -1,    46,    47,    48,    49,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   379,   380,   381,   382,
      -1,    -1,    -1,    -1,   119,   120,    -1,   122,   123,    -1,
      -1,    -1,   467,    -1,    -1,   130,   131,   132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,    -1,    -1,    -1,    -1,   108,   109,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,    -1,    -1,   124,   125,   126,    -1,    -1,   129,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,    -1,   479,   480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
     543,    -1,   545,    -1,    -1,    -1,    -1,    -1,   551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    -1,    -1,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,   324,    13,    -1,    15,    16,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,
      29,    30,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   355,    -1,   117,    46,    47,    48,
      49,    -1,    -1,    52,   125,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,
     381,   382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,   154,   155,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,
      -1,    -1,    -1,   102,   103,    -1,    -1,    -1,   179,   108,
     109,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,    -1,    -1,   124,   125,   126,    -1,    -1,
     129,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,   222,   463,   464,    -1,   226,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,   480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,   543,    -1,   545,    -1,    -1,    -1,    -1,    -1,
     551,    -1,    -1,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,   326,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,    -1,    -1,
      -1,   280,    -1,    -1,    -1,   356,    -1,   358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,   324,    13,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    -1,    29,    30,    31,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   355,    -1,    -1,    46,
      47,    48,    49,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     379,   380,   381,   382,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,    -1,    -1,    -1,
      -1,   108,   109,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,    -1,    -1,   124,   125,   126,
      -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   463,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,    -1,
     479,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,   543,    -1,   545,    -1,    -1,    -1,
      -1,    -1,   551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   323,   324,    13,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,    -1,
      -1,    46,    47,    48,    49,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   379,   380,   381,   382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,    -1,
      -1,    -1,    -1,   108,   109,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,    -1,    -1,   124,
     125,   126,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,   464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,   480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,   543,    -1,   545,    -1,
      -1,    -1,    -1,    -1,   551,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    47,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,    -1,
     355,    -1,    98,    -1,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,   108,   109,    -1,   111,   112,   113,   114,   115,
     116,   117,    -1,    47,   379,   380,   381,   382,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    98,    -1,    -1,   101,    -1,    -1,
      -1,    -1,    -1,    -1,   108,   109,    -1,   111,   112,   113,
     114,   115,   116,   117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,   464,
      -1,    -1,    -1,    -1,    -1,   139,    -1,   141,    -1,    -1,
      -1,   217,    -1,    -1,   479,   480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   280,    -1,    -1,   542,   543,    -1,
     545,    -1,    -1,   217,    -1,    -1,   551,    -1,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,   280,    -1,    -1,   355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    47,   379,   380,   381,   382,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
     324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   355,    -1,    98,    -1,    -1,   101,    -1,    -1,    -1,
      -1,    -1,    -1,   108,   109,    -1,   111,   112,   113,   114,
     115,   116,   117,    -1,    -1,   379,   380,   381,   382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,   464,    -1,
      -1,    -1,    -1,    -1,   139,    -1,   141,    -1,    -1,    -1,
      -1,    -1,    -1,   479,   480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
     464,    -1,    -1,    -1,    -1,    -1,   542,   543,    -1,    -1,
      -1,    -1,   217,   549,    -1,   479,   480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,   280,    -1,    -1,   542,   543,
      -1,    -1,    -1,    -1,   548,    -1,    -1,    -1,     3,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    47,    17,    18,    19,    20,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    46,    -1,    48,    49,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,   109,    -1,   111,   112,   113,   114,   115,
     116,   117,    -1,    -1,   379,   380,   381,   382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,   151,    -1,    -1,   154,
     155,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,   464,
      -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,   479,   480,    -1,    -1,    -1,    -1,
      -1,   196,   197,   198,    -1,   200,    -1,   202,   203,   204,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   280,    -1,    -1,   542,   543,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   379,   380,   381,   382,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,
     234,    -1,    -1,   237,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    81,   463,   464,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,   266,   479,   480,    -1,    -1,    -1,    -1,   273,
      -1,    -1,    -1,    -1,   278,    -1,   111,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   149,   150,    -1,   152,   153,    -1,
      -1,    -1,   157,   158,    -1,   329,   542,   543,   163,   164,
     165,   166,    -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,
      -1,   176,    -1,    -1,    -1,   180,   181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   358,    -1,    -1,   217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,   213,    -1,
      -1,   385,    -1,    -1,   388,   389,   390,   222,    -1,    -1,
      -1,   226,   396,    -1,    -1,    -1,    -1,   401,    -1,    -1,
      -1,    -1,   237,    -1,    -1,    -1,    -1,   411,    -1,    -1,
      -1,    -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,
     280,    -1,    -1,    -1,    -1,   260,   261,   262,   263,    -1,
     265,    -1,    -1,    -1,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,    -1,   283,    -1,
     285,    -1,   287,   288,    -1,    -1,   291,   292,    -1,    -1,
      -1,    -1,    -1,   323,   324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,   308,    -1,    -1,    -1,   312,   313,   314,
      -1,    -1,    -1,    -1,    -1,    -1,   321,    -1,    -1,    -1,
     325,    -1,    -1,   328,   329,   355,   331,    -1,   333,    -1,
      -1,    -1,   337,   338,    -1,   340,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,   379,
     380,   381,   382,    -1,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,   464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,
     480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,   543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     4,   555,   556,    71,    72,    73,   137,   150,   175,
     176,   210,   213,   215,   226,   250,   254,   259,   260,   372,
     536,   537,   612,   613,   614,   615,   720,   721,   722,   723,
     725,   726,   727,   734,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   746,   749,   750,   751,   752,   753,
     754,   755,   757,   758,   780,   791,   792,   793,   794,   817,
     855,   856,   857,   858,   859,   860,   861,   862,   917,   918,
     941,   954,   955,   956,   957,   958,   959,   960,   961,     0,
       3,    36,    46,    48,    49,    74,   135,   137,   138,   140,
     142,   144,   146,   147,   148,   150,   163,   164,   165,   166,
     167,   168,   213,   219,   225,   226,   535,   544,   557,   558,
     616,   618,   619,   620,   621,   630,   666,   668,   669,   670,
     672,   673,   687,   690,   700,   701,   702,   762,   765,   781,
     784,   795,   801,   813,   816,   820,   821,   864,   865,   867,
     869,   870,   875,   906,   909,   919,   920,   932,   933,   942,
     945,   952,   953,   964,   967,   968,     3,     3,     3,    13,
      15,    16,    17,    18,    19,    20,    22,    29,    30,    34,
      46,    47,    48,    49,    52,   102,   103,   108,   109,   111,
     112,   113,   114,   115,   116,   117,   118,   124,   125,   126,
     129,   135,   143,   217,   280,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   323,   324,   355,   379,   380,
     381,   382,   463,   464,   479,   480,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   542,   543,   545,   551,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     609,   610,   611,   636,   652,   654,   655,   657,   658,   659,
     660,   761,    20,    22,   151,   733,   756,   759,    20,   759,
     759,   211,   212,   759,   759,     3,   175,   185,   187,   216,
     223,   251,   253,   261,   270,   376,   465,   490,   135,   161,
     183,   185,   187,   255,   256,   257,   258,    38,   151,   548,
     747,   759,   254,    22,   237,   251,   531,   532,   533,   962,
       3,    20,    21,   561,   561,   561,   660,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    92,    93,    94,    95,
      96,    97,   622,   545,   545,   145,    20,    22,   585,   185,
     186,   201,   534,   169,   185,   585,   147,   223,   224,   225,
     688,   689,   944,   175,   468,   526,   159,   152,   179,   206,
     261,   270,   372,   376,   427,   432,   433,   465,   490,   494,
     541,   819,   905,    47,   561,   674,   144,   149,   150,   153,
     157,   208,   213,   237,   549,   670,   675,   676,   682,   704,
     674,   674,   674,    48,    49,    81,   111,   152,   153,   158,
     163,   164,   165,   166,   176,   180,   181,   222,   226,   237,
     260,   261,   262,   263,   265,   283,   285,   287,   288,   291,
     292,   307,   308,   312,   313,   314,   321,   325,   328,   329,
     331,   333,   337,   338,   340,   351,   359,   549,   675,   804,
     805,   812,   674,   674,    45,   226,   383,   384,   385,   386,
     411,   417,   420,   423,   549,   670,   675,   823,   824,   825,
     826,   827,   674,   177,   258,   428,   429,   430,   431,   549,
     675,   682,   866,   548,   117,   154,   155,   159,   170,   179,
     364,   549,   675,   677,   674,   674,   674,   674,   223,   237,
     325,   549,   675,   682,   936,   937,   226,   271,   420,   494,
     538,   539,   540,   549,   675,   682,   943,   966,   674,   674,
     153,   539,   549,   675,   969,    15,    20,    29,    31,   545,
     551,   553,   651,   653,   658,    32,   565,    32,    17,    18,
     566,   567,   545,   134,    30,   134,   660,    15,   548,   548,
     545,   545,   545,   545,   545,   545,   545,   104,   105,   106,
     107,   641,   660,    15,    16,    18,    19,    20,   545,   566,
     567,   574,   636,   637,   640,   642,   643,   644,   646,   648,
     649,   228,   228,     3,     8,     9,    10,    11,    12,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    35,    35,
      38,   151,   548,   705,     3,   705,    22,   586,   586,   759,
     759,     3,    38,   151,   548,   708,     3,    20,    22,   151,
     760,     3,   252,     3,   728,     3,   735,   269,   161,   187,
     257,   281,    20,   153,   257,   410,   425,   426,   724,   187,
     257,   724,   151,     3,     3,     3,     3,     3,     3,     3,
       3,    81,   150,   481,   524,   525,   526,   527,   528,   529,
     950,   951,    15,   748,   586,   818,   962,     3,   962,     3,
       3,   468,   963,    24,   631,   617,    91,   561,    20,    20,
      15,    17,    20,    47,   545,   667,   544,   705,   705,    15,
      20,   545,   559,    37,    38,    39,    40,   171,   559,   562,
     708,   544,    22,   220,   544,   523,   530,   585,   948,   227,
     559,   560,   560,   561,   377,   378,   868,   466,    20,    47,
     548,   145,   562,   705,   703,   158,   585,   585,   708,   238,
     544,   548,   680,   544,   544,   548,   548,   548,   227,   294,
     306,   544,    22,   297,   298,    46,   342,    46,   342,    46,
     342,    46,   342,   295,   585,   562,   343,   175,   238,   223,
     311,   336,   226,   562,   802,   544,   559,    17,    18,    20,
     352,   563,   797,   563,   796,   284,   286,   293,   284,   283,
     271,   293,   309,   310,   309,   146,   562,   315,   322,   271,
     271,   330,   328,   230,   265,   297,   562,   339,   341,   559,
     353,   130,   544,   548,   810,   544,   548,   548,   424,   175,
     667,   562,   144,   559,   562,   145,   349,   562,   342,   822,
     680,   544,   548,   548,   562,    15,    47,   182,    15,   228,
     231,   154,   155,   544,   544,   559,   135,   136,   151,   156,
     171,   177,   628,   684,   171,   684,    20,   683,   171,   210,
     159,   544,   544,   548,   548,   548,   548,    18,    19,    20,
     577,   580,   238,   159,   544,   544,    80,   289,   318,   327,
     491,   492,   493,   934,   935,   548,   940,   175,   559,   334,
     159,   562,   284,   562,   544,   544,   548,   548,   970,   974,
     284,   544,     7,   653,   653,   653,   660,    17,    18,   646,
     653,   653,    14,    15,    15,    32,   656,   660,    29,    30,
     134,    30,   606,   606,   683,   660,   660,   660,   660,   660,
     660,    15,   547,   546,   547,    31,   639,   641,   660,    29,
      30,   548,     7,   547,   552,   547,   552,    15,    15,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,    50,    51,    58,    84,    86,   110,   119,
     120,   122,   123,   130,   131,   132,    46,    48,    49,   163,
     164,   165,   166,   167,   168,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   732,   160,   161,   162,
     183,   184,   187,   706,   707,     3,     3,     3,     3,   160,
     214,   709,   710,     3,   760,     3,     3,     3,   135,   147,
     151,   154,   155,   159,   178,   196,   197,   198,   200,   202,
     203,   204,   580,   628,   731,     3,    74,   135,   147,   148,
     159,   561,   724,   724,   724,   724,   724,   724,   724,   863,
     151,   724,   151,   724,     3,   724,   724,     3,     3,   547,
     549,     3,     3,     3,   135,   159,   182,   628,     3,   963,
     559,     3,   660,   545,   624,   625,   626,   629,   544,   547,
     547,   697,   698,   660,   544,   660,   560,   544,   559,   221,
     222,   353,   946,   559,   947,   151,   548,   949,   559,    41,
      42,    43,   209,   671,   674,    20,   667,   691,   694,   695,
     562,   679,   681,   764,   783,   284,   284,   563,   544,   559,
     559,    81,   360,   544,   544,   226,   344,   284,   335,   562,
     562,   320,   562,   214,   544,   544,   548,   719,   544,    20,
     574,   579,    33,   564,    44,   230,   348,   349,   544,   564,
      44,   230,   544,   559,   284,   284,   559,   284,   562,   284,
     562,   145,   562,   562,   544,   562,   562,   562,   562,   562,
     562,   350,   230,   562,   544,   562,   562,   544,   354,   585,
     230,   809,   811,   815,   562,   284,   335,   562,   562,   171,
     559,   562,   681,   828,    15,    15,   560,   560,    20,   626,
     627,   660,    38,   559,   686,   178,   686,   686,   562,   683,
     874,   908,   921,   562,   683,    22,   563,   563,    46,   116,
     261,   451,   934,   939,   544,   562,   562,   559,   559,   695,
     696,   559,    15,   546,   552,    47,    15,   546,   547,   134,
      30,   607,   608,   546,   547,   546,   547,   547,   547,   547,
     546,   660,   660,   547,     7,   547,   547,   546,    15,   545,
     637,   644,   648,   230,   230,   545,   547,   549,   547,   549,
       3,   627,    20,   159,   159,    20,   151,    17,    18,    19,
      20,   566,   567,   568,   569,   570,   729,   730,    20,   733,
       3,   586,   586,   586,   586,   586,   586,     3,    20,    58,
     144,   238,   290,   383,   415,   416,   724,   586,   724,   586,
     586,   586,   951,   627,    22,   683,   585,     3,   544,   546,
     623,   629,   548,   622,   585,    20,   695,   544,   546,   546,
      22,    42,    43,    42,    43,   585,   585,   950,   544,   544,
      30,   693,   547,   544,   150,   549,   677,   678,    79,   153,
     262,   263,   549,   675,   763,   153,   282,   549,   675,   682,
     782,   559,   559,   544,   544,   544,   562,   548,   562,   798,
     175,   284,   559,   544,   544,   544,   562,   544,   562,   718,
     803,   797,   561,   797,   559,   559,   796,   559,   559,   544,
     559,   559,   544,   559,   544,   559,   544,   667,   544,   544,
     544,   544,   544,   544,   544,   544,   562,   544,   559,   544,
     544,   544,   559,   544,   562,    53,   125,   154,   155,   222,
     226,   316,   325,   326,   332,   336,   347,   356,   358,   549,
     678,   808,   135,   159,   373,   374,   375,   549,   628,   675,
     814,   559,   559,   153,   158,   252,   349,   385,   402,   404,
     408,   412,   413,   549,   829,   836,   839,   172,   685,   562,
     544,    85,   153,   453,   454,   457,   462,   549,   675,   682,
     871,   153,   411,   467,   549,   675,   682,   907,    44,   286,
     319,   320,   481,   487,   489,   549,   675,   682,   922,   924,
     544,   544,   564,    46,    15,   582,   583,   559,   562,   562,
      20,    75,    76,    77,    78,    79,    80,    81,    98,   101,
     117,   139,   141,   549,   657,   659,   661,   663,   761,   938,
     171,   965,   548,   973,   653,   653,    18,   660,    30,    30,
     604,   605,   660,   660,   660,   660,   660,   547,   546,   547,
      31,   639,   660,   639,    31,   639,   639,   547,   660,    15,
      15,   660,   707,   710,    20,   733,   733,    47,    17,    18,
       3,     3,     3,     3,     3,     3,    15,   667,   667,   667,
     586,     3,   586,     3,     3,     3,   622,   632,   633,   634,
     663,   561,   546,   547,   549,    22,   586,   692,   694,   705,
     544,   767,   768,   774,   768,   775,   563,   779,   544,   785,
     790,   144,   544,   547,   544,   544,    85,   212,   360,   362,
     364,   365,   368,   799,   800,   544,   335,   562,   559,   544,
     544,   544,   181,   226,   231,   232,   235,   236,   549,   717,
     544,   544,   544,   544,   544,   544,   544,   544,   544,   544,
     544,   544,   544,   279,   334,   159,   159,   343,   175,   317,
     159,   152,   327,   562,    53,   562,   357,   562,   559,   544,
     627,    22,   683,   585,   559,   125,   544,   848,   854,   358,
     387,   412,   562,   831,   358,   562,   830,   238,   579,   832,
     833,   414,   562,   544,   417,   849,   173,   174,   175,   176,
      20,   567,   578,   885,   890,   876,   884,   872,   873,   578,
     161,   544,   910,   916,   562,   559,   544,   559,   177,   923,
     228,   923,    20,   563,   585,   925,    60,   486,   926,   923,
     544,   583,    32,    24,   660,   662,   662,   545,   660,   660,
     660,    24,   545,   545,   544,    24,   662,    24,    35,   559,
     972,    32,    30,    44,    50,    51,    52,    53,    55,    56,
      57,    60,    62,    63,    68,   549,   589,   590,   591,   592,
     594,   602,    69,   549,   590,   591,   592,   593,   594,   603,
     547,   546,   546,   546,   546,   660,   660,   546,   547,     7,
     546,   547,   546,   547,     7,   546,   547,   547,    15,   546,
      18,     3,     3,   561,   549,   633,   544,    15,    17,    18,
      20,   566,   567,   581,   152,   163,   164,   262,   766,   696,
     548,   773,    33,   264,   776,   696,   145,   559,   171,   371,
     128,   363,   367,   366,   369,   370,   547,   549,   544,   544,
     544,   562,   233,   234,   234,   560,   559,   544,   177,   290,
     306,   233,   234,   562,   562,   562,   226,   344,   562,   290,
     318,   319,   807,   683,   279,   291,   695,   850,   559,   559,
     562,   548,   559,   548,   667,   548,   559,   559,   548,   548,
     889,   696,   548,   563,   891,   896,    22,   548,   897,   902,
     562,   696,   171,   559,    62,   559,   924,   927,   928,   559,
      15,   660,   547,   544,   544,   761,   544,    99,   548,   660,
     664,   664,   660,   544,   660,   125,   126,   129,   134,   135,
     447,   549,   971,    15,    30,    54,    58,    59,    61,     8,
       9,    10,    24,    25,    26,   102,   103,   559,   587,   595,
     596,   597,    34,   598,   599,   599,   601,   579,   544,   595,
     598,   601,   598,   578,   544,   660,   546,   546,    31,   639,
      31,   639,    31,   639,     7,    31,   639,    31,   639,   549,
     544,   546,   546,   773,   772,   769,   561,   585,   265,   777,
     548,   789,   562,   544,   361,   255,   800,   235,   235,   235,
     345,   346,   562,   806,   806,   563,   175,   284,   562,   562,
     851,   548,   853,   841,   841,   834,   837,   888,   887,   548,
     883,   892,   898,   548,   915,   559,   562,   548,   544,   662,
     546,   548,   635,   663,   650,   544,   660,    20,   117,   659,
     665,   761,   544,   544,   545,   545,   545,   544,   545,   563,
     544,     7,   559,    11,    12,   588,   547,    12,   547,   588,
     559,    64,    65,    66,    67,   600,   547,   588,    70,   546,
     546,   546,   546,   547,     7,   546,   546,   546,   547,   545,
     546,     7,   546,   546,     7,   546,   769,   180,   181,   207,
     231,   232,   235,   236,   266,   549,   711,   713,   714,   770,
     563,   262,   778,   788,   786,   560,   560,   560,   562,   559,
     849,   852,   549,   579,   842,   843,   549,   252,   358,   403,
     549,   835,   227,   266,   273,   388,   389,   390,   549,   711,
     838,   446,   447,   450,   451,   452,   549,   886,   882,   881,
     895,   901,   914,   911,   929,   544,   632,   100,     6,    15,
      16,   545,   549,   636,   638,   640,   642,   643,   645,   647,
     664,   664,   660,   660,   660,   660,   559,   597,   587,   596,
     599,   599,    32,   599,   599,    15,    31,   639,    31,   639,
     639,     7,   639,   585,   562,   548,   233,   234,   234,   560,
     559,   156,   189,   267,   268,   771,   548,   544,   562,    44,
      53,    58,   171,   233,   234,   237,   272,   273,   274,   549,
     787,    58,   227,   233,   234,   237,   238,   257,   261,   266,
     273,   278,   329,   338,   358,   385,   388,   389,   390,   396,
     401,   411,   418,   549,   711,   840,   403,   409,   844,   562,
     559,   562,   544,   559,   156,   267,   399,   559,   559,   293,
     198,   559,   544,   449,   449,   562,   562,   562,   544,    85,
     158,   223,   228,   231,   238,   435,   437,   438,   442,   443,
     445,   453,   454,   549,   877,   449,   455,   549,   893,   449,
     456,   549,   899,    44,   181,   233,   234,   237,   261,   266,
     271,   274,   306,   329,   388,   411,   431,   468,   469,   470,
     471,   473,   477,   549,   711,   912,   481,   482,   488,   549,
     930,   549,   635,   632,   660,     7,   547,   550,   546,   547,
     546,   546,   546,   546,   559,   559,   559,   559,   600,   600,
     546,   546,   546,   547,   546,   545,   546,   712,   713,   235,
     235,   235,   191,   192,   189,    47,    79,   145,   182,   188,
     205,   715,   559,   279,   275,   276,   559,   277,    62,    63,
     218,   278,   699,   238,   559,   235,   235,   544,   391,   392,
     393,   394,   395,   396,   397,   398,   559,   277,    62,   278,
     699,   238,   421,   548,   562,   156,   267,   399,   559,   559,
     330,   393,   559,   562,   559,   293,   198,   559,   306,   419,
     559,   116,   391,   544,   559,   544,   559,   559,   559,   559,
     440,   890,   117,   449,   117,   440,   449,   434,   293,   434,
     441,   434,   562,   439,   284,   444,   279,   265,   878,   265,
     879,   544,   448,   559,   903,   891,   894,   544,   903,   897,
     900,   544,   559,   562,   277,    62,   278,   699,   238,   475,
     562,   156,   191,   399,   476,   913,   559,   284,   563,   330,
     284,   116,   342,   391,   284,   284,   405,   559,   472,   474,
     478,   544,   484,   483,   585,   931,   544,   546,   545,   638,
     645,   632,   544,   660,   544,   544,   544,   544,    32,    32,
     639,   639,   549,   544,   560,   560,   560,   191,   192,    22,
     584,    47,   182,   559,   584,   189,   190,   716,    47,   182,
     549,   163,   164,   559,   559,   559,   559,   559,   562,   560,
     560,   406,   407,   559,   559,   559,   562,   422,   845,   234,
     562,   562,   559,   559,   562,   562,   559,   562,   458,   904,
     904,   284,   459,   460,   461,   880,   559,   880,   284,   559,
     235,   559,   235,   559,   436,   562,   559,   559,   171,   562,
     896,   562,   902,   559,   559,   559,   559,   562,   562,   559,
     234,   562,   560,   559,   559,   559,   562,   562,   562,   562,
     485,   485,   660,   546,   559,   559,   546,   547,   712,   544,
     584,   584,   544,   544,   191,   192,   193,   194,   195,   191,
     192,   193,   194,   195,   544,   584,   584,   563,   563,   562,
     549,   563,   847,   405,   562,   559,   904,   559,   904,   559,
     559,   562,   559,   405,   585,   585,   544,   639,   715,   544,
     544,   715,   715,   715,   544,   544,   400,   846,   547,   715,
     715,   715,   715,   544,   639,   546
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   554,   555,   555,   556,   556,   557,   557,   558,   559,
     559,   559,   560,   560,   560,   561,   561,   562,   562,   562,
     562,   562,   562,   563,   563,   563,   564,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   574,   575,
     575,   576,   576,   577,   577,   577,   577,   577,   577,   578,
     578,   579,   579,   580,   580,   581,   581,   581,   581,   581,
     582,   583,   583,   584,   585,   585,   586,   586,   587,   587,
     587,   587,   587,   587,   587,   587,   588,   588,   589,   589,
     589,   589,   589,   589,   589,   589,   589,   590,   591,   592,
     593,   594,   594,   595,   595,   595,   595,   596,   596,   597,
     597,   598,   598,   598,   599,   599,   600,   600,   600,   600,
     601,   601,   601,   602,   602,   602,   602,   603,   603,   603,
     603,   603,   603,   604,   604,   605,   605,   606,   607,   608,
     609,   610,   611,   611,   612,   613,   612,   614,   612,   615,
     557,   617,   616,   557,   618,   557,   619,   557,   620,   557,
     621,   622,   622,   622,   622,   622,   622,   622,   622,   622,
     622,   622,   622,   622,   622,   622,   622,   623,   623,   624,
     624,   625,   625,   626,   627,   627,   628,   629,   557,   631,
     630,   632,   632,   633,   634,   634,   635,   635,   636,   636,
     637,   637,   637,   637,   637,   637,   638,   638,   638,   638,
     639,   640,   640,   640,   640,   640,   640,   640,   640,   640,
     640,   641,   641,   641,   641,   642,   642,   642,   643,   643,
     643,   643,   643,   643,   643,   643,   644,   644,   644,   644,
     644,   645,   645,   645,   645,   645,   646,   646,   647,   647,
     648,   648,   648,   648,   649,   649,   650,   650,   650,   651,
     651,   652,   653,   653,   653,   653,   653,   653,   653,   653,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     655,   655,   655,   655,   656,   656,   656,   657,   658,   659,
     659,   659,   659,   659,   659,   659,   659,   659,   659,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   661,   661,   661,
     662,   662,   662,   663,   663,   663,   663,   663,   663,   663,
     663,   663,   663,   663,   663,   663,   663,   663,   663,   663,
     663,   663,   663,   664,   665,   665,   665,   665,   557,   666,
     666,   667,   667,   667,   667,   557,   668,   557,   669,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   557,
     671,   671,   672,   557,   673,   673,   674,   674,   674,   674,
     675,   675,   675,   675,   675,   675,   675,   675,   676,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   678,   678,
     679,   679,   680,   680,   681,   682,   683,   684,   684,   684,
     684,   685,   685,   685,   685,   685,   686,   686,   557,   687,
     687,   687,   557,   688,   688,   688,   688,   689,   689,   689,
     689,   689,   689,   689,   689,   690,   691,   692,   692,   693,
     693,   694,   695,   695,   696,   697,   698,   699,   699,   700,
     701,   702,   702,   702,   702,   702,   703,   704,   705,   705,
     705,   706,   706,   707,   707,   707,   707,   707,   707,   708,
     708,   708,   709,   709,   710,   710,   711,   711,   712,   712,
     713,   713,   714,   715,   715,   715,   715,   715,   715,   715,
     715,   715,   716,   716,   716,   716,   716,   716,   716,   716,
     716,   716,   717,   717,   717,   717,   717,   717,   717,   718,
     718,   719,   612,   720,   612,   721,   612,   722,   612,   723,
     724,   724,   612,   725,   612,   726,   612,   727,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   729,   729,   729,   729,   729,
     729,   729,   729,   730,   730,   730,   730,   731,   731,   731,
     731,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   733,   612,   734,   735,   735,   735,   735,   735,   735,
     735,   612,   736,   612,   737,   612,   738,   612,   739,   612,
     740,   612,   741,   612,   742,   612,   743,   612,   744,   612,
     745,   612,   746,   747,   747,   747,   748,   748,   612,   749,
     612,   750,   612,   751,   612,   752,   612,   753,   612,   754,
     612,   755,   756,   756,   612,   757,   612,   758,   759,   759,
     759,   760,   760,   760,   761,   700,   762,   763,   763,   763,
     763,   763,   764,   764,   765,   766,   766,   766,   766,   767,
     767,   768,   769,   770,   770,   770,   770,   770,   770,   770,
     770,   771,   771,   771,   771,   771,   771,   772,   772,   773,
     773,   774,   775,   776,   776,   776,   777,   777,   778,   778,
     779,   612,   780,   700,   781,   782,   782,   782,   782,   783,
     783,   784,   785,   786,   787,   787,   787,   787,   787,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   788,
     788,   789,   789,   790,   761,   612,   791,   612,   792,   612,
     793,   612,   794,   700,   795,   796,   796,   796,   797,   797,
     797,   797,   797,   798,   798,   799,   799,   800,   800,   800,
     800,   800,   800,   800,   800,   800,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   801,   802,   803,   801,
     801,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   805,   806,   806,   806,   807,   807,   807,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   808,   809,   809,   810,   810,   811,   812,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   700,   813,   814,   814,   814,   814,   814,   814,   814,
     814,   815,   815,   816,   612,   817,   818,   818,   818,   818,
     818,   818,   700,   819,   819,   819,   820,   821,   821,   822,
     822,   823,   824,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   826,   827,
     828,   828,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   830,   829,   831,   829,   829,   829,   829,   832,   832,
     833,   834,   834,   835,   835,   835,   836,   836,   837,   837,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   839,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   841,   841,   842,   843,   844,   844,   844,   845,   845,
     846,   846,   847,   848,   849,   849,   851,   850,   852,   852,
     853,   853,   854,   761,   761,   761,   761,   612,   855,   612,
     856,   612,   857,   612,   858,   612,   859,   612,   860,   612,
     861,   612,   862,   863,   863,   863,   863,   863,   863,   863,
     863,   863,   700,   864,   865,   865,   865,   866,   866,   866,
     866,   866,   866,   866,   866,   866,   866,   700,   868,   867,
     869,   869,   869,   869,   700,   870,   871,   871,   871,   871,
     872,   871,   873,   871,   871,   871,   874,   874,   875,   876,
     877,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   878,   877,   879,
     877,   877,   877,   880,   880,   880,   881,   882,   882,   883,
     883,   884,   885,   886,   886,   886,   886,   886,   887,   888,
     888,   889,   889,   890,   891,   892,   893,   893,   893,   894,
     895,   895,   896,   896,   897,   898,   899,   899,   899,   900,
     901,   901,   902,   902,   903,   903,   904,   904,   761,   761,
     700,   905,   905,   906,   907,   907,   907,   907,   907,   907,
     908,   908,   909,   910,   911,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   913,   913,   913,   913,   914,   914,   915,   915,
     916,   761,   761,   612,   917,   612,   918,   700,   919,   920,
     921,   921,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   923,   923,   924,   925,   925,   926,   926,   927,
     928,   929,   929,   930,   930,   930,   931,   700,   932,   933,
     933,   933,   933,   933,   933,   934,   934,   934,   934,   934,
     934,   935,   935,   936,   937,   937,   937,   937,   937,   937,
     937,   937,   937,   938,   939,   939,   940,   940,   612,   941,
     942,   943,   943,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   557,   944,   945,   946,   946,   947,   947,   948,   948,
     948,   949,   949,   950,   950,   951,   951,   951,   951,   951,
     951,   951,   951,   951,   557,   952,   952,   557,   953,   953,
     953,   953,   612,   954,   612,   955,   612,   956,   612,   957,
     612,   958,   612,   959,   612,   960,   612,   961,   962,   962,
     963,   963,   963,   700,   964,   942,   942,   965,   965,   966,
     966,   966,   966,   966,   966,   966,   700,   967,   968,   968,
     969,   969,   969,   970,   971,   972,   972,   973,   973,   974,
     761,   761
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     1,     3,     1,     3,     1,
       3,     4,     6,     6,     0,     1,     1,     1,     1,     1,
       2,     4,     4,     2,     2,     2,     2,     2,     4,     2,
       2,     2,     2,     0,     3,     0,     3,     0,     0,     0,
       6,     6,     1,     1,     1,     2,     1,     2,     1,     2,
       1,     0,     4,     1,     2,     1,     4,     1,     6,     1,
       8,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     0,     4,     2,
       5,     0,     4,     1,     1,     1,     2,     4,     1,     0,
       5,     0,     1,     1,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     3,     1,     1,
       1,     5,     7,     5,     7,     9,     7,     5,     7,     5,
      11,     1,     1,     2,     1,     7,     9,     7,     7,     9,
       7,     9,     7,     9,     7,    15,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     3,     1,     3,     1,     3,
       1,     2,     2,     6,     1,     3,     0,     4,     3,     1,
       3,     3,     2,     4,     4,     2,     2,     2,     2,     0,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     1,
       5,     7,     7,     1,     0,     1,     3,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     6,     3,     3,     3,     3,     3,     5,     7,     6,
       6,     6,     6,     4,     8,     4,     1,     1,     1,     1,
       0,     1,     3,     4,     6,     4,     3,     4,     4,     4,
       5,     3,     3,     3,     2,     5,     4,     7,     7,     7,
       7,     7,     9,     0,     1,     1,     1,     1,     1,     4,
       5,     1,     3,     1,     1,     1,     3,     1,     5,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     4,     1,     1,     1,     0,     1,     2,     3,
       0,     2,     2,     2,     3,     2,     2,     2,     1,     2,
       2,     2,     3,     3,     3,     2,     4,     3,     1,     2,
       0,     3,     0,     3,     0,     3,     1,     2,     1,     1,
       1,     0,     2,     2,     2,     2,     2,     1,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     2,     4,     3,
       4,     4,     3,     4,     4,     3,     0,     1,     2,     0,
       1,     3,     1,     3,     1,     0,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     5,     0,     3,     1,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     1,     1,     4,     1,     0,     3,
       4,     1,     2,     0,     5,     5,     5,     5,     4,     4,
       4,     4,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     4,     4,     4,     2,     2,     1,     0,
       3,     3,     1,     3,     1,     3,     1,     4,     1,     5,
       1,     0,     1,     3,     1,     4,     1,     4,     0,     2,
       3,     3,     3,     4,     4,     3,     2,     2,     2,     2,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     4,     1,
       3,     1,     4,     1,     1,     3,     0,     1,     1,     4,
       1,     4,     1,     4,     1,     3,     1,     4,     1,     4,
       1,     3,     2,     2,     1,     4,     1,     2,     1,     1,
       1,     1,     0,     1,     1,     1,     2,     1,     2,     2,
       2,     2,     0,     3,     5,     1,     1,     1,     1,     0,
       2,     0,     0,     2,     4,     4,     4,     2,     2,     2,
       1,     1,     1,     2,     2,     3,     3,     0,     3,     0,
       3,     4,     3,     0,     2,     2,     0,     2,     0,     2,
       4,     1,     5,     1,     2,     1,     1,     2,     4,     0,
       3,     5,     0,     0,     0,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     2,     3,     3,     4,     4,     0,
       3,     0,     3,     4,     1,     1,     6,     1,     6,     1,
       6,     1,     6,     2,     2,     0,     3,     3,     0,     3,
       3,     2,     2,     1,     3,     1,     3,     1,     3,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     4,
       6,     4,     6,     6,     4,     6,     5,     5,     4,     5,
       5,     6,     3,     3,     4,     5,     6,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     6,     6,     6,     5,
       6,     8,     6,     6,     6,     5,     6,     5,     4,     4,
       4,     4,     5,     5,     6,     5,     6,     5,     5,     6,
       7,     7,     7,     5,     5,     4,     4,     0,     0,     6,
       6,     1,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     4,     2,     3,     2,     2,     2,     3,
       5,     5,     4,     3,     3,     3,     3,     3,     2,     2,
       2,     3,     0,     3,     0,     3,     0,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     2,     2,     2,     1,     2,     2,
       4,     0,     3,     5,     1,     4,     0,     3,     3,     3,
       2,     3,     2,     1,     2,     2,     2,     3,     3,     0,
       1,     2,     3,     1,     1,     2,     2,     3,     3,     3,
       3,     4,     2,     4,     3,     2,     3,     1,     2,     4,
       0,     3,     2,     1,     2,     3,     3,     3,     3,     2,
       3,     0,     5,     0,     5,     2,     2,     1,     4,     1,
       1,     0,     3,     2,     2,     2,     5,     2,     0,     3,
       0,     2,     2,     3,     2,     2,     3,     2,     2,     2,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     2,     3,     2,     3,     3,     4,     4,     2,     2,
       2,     3,     3,     3,     2,     3,     3,     3,     4,     2,
       1,     0,     2,     3,     1,     0,     1,     2,     0,     2,
       0,     1,     3,     0,     0,     2,     0,     3,     0,     3,
       0,     3,     3,     1,     1,     1,     1,     1,     4,     1,
       6,     1,     6,     1,     6,     1,     7,     1,     6,     1,
       7,     1,     5,     0,     2,     3,     2,     3,     3,     2,
       3,     2,     2,     2,     3,     3,     3,     1,     3,     3,
       2,     3,     3,     2,     2,     2,     2,     2,     0,     4,
       2,     3,     3,     5,     1,     2,     1,     1,     2,     2,
       0,     3,     0,     3,     2,     3,     0,     3,     5,     0,
       4,     4,     3,     4,     2,     3,     3,     3,     3,     4,
       4,     4,     3,     3,     4,     4,     2,     0,     3,     0,
       3,     3,     3,     1,     1,     1,     0,     0,     3,     0,
       3,     4,     1,     2,     2,     2,     4,     4,     0,     0,
       3,     0,     3,     3,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     2,     0,     2,     1,     1,
       1,     1,     2,     2,     1,     1,     2,     4,     2,     2,
       0,     3,     5,     0,     0,     2,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     3,     3,     4,     3,     2,
       2,     1,     1,     1,     1,     1,     0,     3,     0,     3,
       4,     1,     1,     1,     6,     1,     6,     1,     2,     5,
       0,     3,     1,     1,     2,     3,     1,     2,     3,     3,
       3,     4,     0,     1,     2,     1,     1,     2,     6,     0,
       0,     0,     3,     4,     4,     2,     0,     2,     2,     3,
       3,     3,     5,     5,     4,     3,     2,     3,     3,     3,
       3,     1,     2,     2,     2,     3,     5,     1,     2,     2,
       2,     2,     2,     1,     0,     2,     0,     3,     1,     4,
       3,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     2,     0,     0,     2,     2,     2,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     1,     3,     4,
       3,     3,     1,     4,     1,     5,     1,     3,     1,     3,
       1,     3,     1,     4,     1,     2,     1,     3,     0,     1,
       0,     1,     2,     2,     2,     3,     3,     0,     2,     1,
       1,     2,     3,     2,     3,     4,     2,     2,     3,     3,
       1,     2,     3,     0,     2,     0,     3,     0,     3,     3,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyo, yytype, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, int yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYPTRDIFF_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
#  else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                yy_state_t *yyesa, yy_state_t **yyes,
                YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, int yytoken)
{
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Actual size of YYARG. */
  int yycount = 0;
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYPTRDIFF_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
      yysize = yysize0;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYPTRDIFF_T yysize1
                    = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    /* Don't count the "%s"s in the final size, but reserve room for
       the terminator.  */
    YYPTRDIFF_T yysize1 = yysize + (yystrlen (yyformat) - 2 * yycount) + 1;
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss;
    yy_state_t *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYPTRDIFF_T yystacksize;

    yy_state_t yyesa[20];
    yy_state_t *yyes;
    YYPTRDIFF_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = 20;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 2:
#line 134 "conf/confbase.Y"
                         { return 0; }
#line 5822 "obj/conf/cf-parse.tab.c"
    break;

  case 3:
#line 135 "conf/confbase.Y"
                      { return 0; }
#line 5828 "obj/conf/cf-parse.tab.c"
    break;

  case 8:
#line 151 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 5838 "obj/conf/cf-parse.tab.c"
    break;

  case 10:
#line 160 "conf/confbase.Y"
                { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 5844 "obj/conf/cf-parse.tab.c"
    break;

  case 11:
#line 161 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 5852 "obj/conf/cf-parse.tab.c"
    break;

  case 12:
#line 167 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 5858 "obj/conf/cf-parse.tab.c"
    break;

  case 13:
#line 168 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 5864 "obj/conf/cf-parse.tab.c"
    break;

  case 14:
#line 169 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 5870 "obj/conf/cf-parse.tab.c"
    break;

  case 17:
#line 177 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 5876 "obj/conf/cf-parse.tab.c"
    break;

  case 18:
#line 178 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 5882 "obj/conf/cf-parse.tab.c"
    break;

  case 19:
#line 179 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 5888 "obj/conf/cf-parse.tab.c"
    break;

  case 20:
#line 180 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 5894 "obj/conf/cf-parse.tab.c"
    break;

  case 21:
#line 181 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 5900 "obj/conf/cf-parse.tab.c"
    break;

  case 22:
#line 182 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 5906 "obj/conf/cf-parse.tab.c"
    break;

  case 23:
#line 189 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 5912 "obj/conf/cf-parse.tab.c"
    break;

  case 24:
#line 190 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 5918 "obj/conf/cf-parse.tab.c"
    break;

  case 25:
#line 191 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 5927 "obj/conf/cf-parse.tab.c"
    break;

  case 26:
#line 198 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 5933 "obj/conf/cf-parse.tab.c"
    break;

  case 27:
#line 199 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 5939 "obj/conf/cf-parse.tab.c"
    break;

  case 28:
#line 206 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 5948 "obj/conf/cf-parse.tab.c"
    break;

  case 29:
#line 213 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 5961 "obj/conf/cf-parse.tab.c"
    break;

  case 30:
#line 223 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 5977 "obj/conf/cf-parse.tab.c"
    break;

  case 31:
#line 236 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 5999 "obj/conf/cf-parse.tab.c"
    break;

  case 32:
#line 255 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6008 "obj/conf/cf-parse.tab.c"
    break;

  case 33:
#line 261 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6017 "obj/conf/cf-parse.tab.c"
    break;

  case 34:
#line 267 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6028 "obj/conf/cf-parse.tab.c"
    break;

  case 35:
#line 275 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6039 "obj/conf/cf-parse.tab.c"
    break;

  case 36:
#line 283 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6048 "obj/conf/cf-parse.tab.c"
    break;

  case 43:
#line 293 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6054 "obj/conf/cf-parse.tab.c"
    break;

  case 50:
#line 306 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6064 "obj/conf/cf-parse.tab.c"
    break;

  case 52:
#line 315 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6074 "obj/conf/cf-parse.tab.c"
    break;

  case 54:
#line 324 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6084 "obj/conf/cf-parse.tab.c"
    break;

  case 57:
#line 334 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6090 "obj/conf/cf-parse.tab.c"
    break;

  case 58:
#line 335 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6096 "obj/conf/cf-parse.tab.c"
    break;

  case 59:
#line 336 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6109 "obj/conf/cf-parse.tab.c"
    break;

  case 60:
#line 347 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6119 "obj/conf/cf-parse.tab.c"
    break;

  case 62:
#line 355 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6130 "obj/conf/cf-parse.tab.c"
    break;

  case 63:
#line 364 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6140 "obj/conf/cf-parse.tab.c"
    break;

  case 65:
#line 373 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6149 "obj/conf/cf-parse.tab.c"
    break;

  case 67:
#line 381 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 6155 "obj/conf/cf-parse.tab.c"
    break;

  case 68:
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 6161 "obj/conf/cf-parse.tab.c"
    break;

  case 69:
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 6167 "obj/conf/cf-parse.tab.c"
    break;

  case 70:
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 6173 "obj/conf/cf-parse.tab.c"
    break;

  case 71:
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 6179 "obj/conf/cf-parse.tab.c"
    break;

  case 72:
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 6185 "obj/conf/cf-parse.tab.c"
    break;

  case 73:
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 6191 "obj/conf/cf-parse.tab.c"
    break;

  case 74:
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 6197 "obj/conf/cf-parse.tab.c"
    break;

  case 75:
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 6203 "obj/conf/cf-parse.tab.c"
    break;

  case 76:
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 6209 "obj/conf/cf-parse.tab.c"
    break;

  case 77:
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 6215 "obj/conf/cf-parse.tab.c"
    break;

  case 78:
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6221 "obj/conf/cf-parse.tab.c"
    break;

  case 79:
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6227 "obj/conf/cf-parse.tab.c"
    break;

  case 80:
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6233 "obj/conf/cf-parse.tab.c"
    break;

  case 81:
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6239 "obj/conf/cf-parse.tab.c"
    break;

  case 82:
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6245 "obj/conf/cf-parse.tab.c"
    break;

  case 83:
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6251 "obj/conf/cf-parse.tab.c"
    break;

  case 84:
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6257 "obj/conf/cf-parse.tab.c"
    break;

  case 85:
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6263 "obj/conf/cf-parse.tab.c"
    break;

  case 86:
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6269 "obj/conf/cf-parse.tab.c"
    break;

  case 87:
#line 64 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6275 "obj/conf/cf-parse.tab.c"
    break;

  case 88:
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6281 "obj/conf/cf-parse.tab.c"
    break;

  case 89:
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6287 "obj/conf/cf-parse.tab.c"
    break;

  case 90:
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_LABEL); }
#line 6293 "obj/conf/cf-parse.tab.c"
    break;

  case 91:
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6299 "obj/conf/cf-parse.tab.c"
    break;

  case 92:
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6305 "obj/conf/cf-parse.tab.c"
    break;

  case 93:
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6314 "obj/conf/cf-parse.tab.c"
    break;

  case 94:
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6323 "obj/conf/cf-parse.tab.c"
    break;

  case 97:
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6332 "obj/conf/cf-parse.tab.c"
    break;

  case 98:
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6343 "obj/conf/cf-parse.tab.c"
    break;

  case 101:
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6352 "obj/conf/cf-parse.tab.c"
    break;

  case 102:
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6361 "obj/conf/cf-parse.tab.c"
    break;

  case 103:
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6370 "obj/conf/cf-parse.tab.c"
    break;

  case 104:
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 6376 "obj/conf/cf-parse.tab.c"
    break;

  case 105:
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 6382 "obj/conf/cf-parse.tab.c"
    break;

  case 106:
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 6388 "obj/conf/cf-parse.tab.c"
    break;

  case 107:
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 6394 "obj/conf/cf-parse.tab.c"
    break;

  case 108:
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 6400 "obj/conf/cf-parse.tab.c"
    break;

  case 109:
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 6406 "obj/conf/cf-parse.tab.c"
    break;

  case 110:
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6414 "obj/conf/cf-parse.tab.c"
    break;

  case 111:
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6422 "obj/conf/cf-parse.tab.c"
    break;

  case 112:
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6430 "obj/conf/cf-parse.tab.c"
    break;

  case 113:
#line 145 "conf/flowspec.Y"
                      {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6439 "obj/conf/cf-parse.tab.c"
    break;

  case 117:
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6448 "obj/conf/cf-parse.tab.c"
    break;

  case 118:
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6459 "obj/conf/cf-parse.tab.c"
    break;

  case 127:
#line 182 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 6470 "obj/conf/cf-parse.tab.c"
    break;

  case 128:
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 6476 "obj/conf/cf-parse.tab.c"
    break;

  case 129:
#line 190 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 6482 "obj/conf/cf-parse.tab.c"
    break;

  case 130:
#line 193 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6491 "obj/conf/cf-parse.tab.c"
    break;

  case 131:
#line 199 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6500 "obj/conf/cf-parse.tab.c"
    break;

  case 141:
#line 317 "filter/config.Y"
                 { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6506 "obj/conf/cf-parse.tab.c"
    break;

  case 142:
#line 318 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6518 "obj/conf/cf-parse.tab.c"
    break;

  case 144:
#line 329 "filter/config.Y"
             { f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6524 "obj/conf/cf-parse.tab.c"
    break;

  case 146:
#line 333 "filter/config.Y"
                                       {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 6532 "obj/conf/cf-parse.tab.c"
    break;

  case 148:
#line 339 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 6546 "obj/conf/cf-parse.tab.c"
    break;

  case 150:
#line 352 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 6562 "obj/conf/cf-parse.tab.c"
    break;

  case 151:
#line 366 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 6568 "obj/conf/cf-parse.tab.c"
    break;

  case 152:
#line 367 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 6574 "obj/conf/cf-parse.tab.c"
    break;

  case 153:
#line 368 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 6580 "obj/conf/cf-parse.tab.c"
    break;

  case 154:
#line 369 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 6586 "obj/conf/cf-parse.tab.c"
    break;

  case 155:
#line 370 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 6592 "obj/conf/cf-parse.tab.c"
    break;

  case 156:
#line 371 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 6598 "obj/conf/cf-parse.tab.c"
    break;

  case 157:
#line 372 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 6604 "obj/conf/cf-parse.tab.c"
    break;

  case 158:
#line 373 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 6610 "obj/conf/cf-parse.tab.c"
    break;

  case 159:
#line 374 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 6616 "obj/conf/cf-parse.tab.c"
    break;

  case 160:
#line 375 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 6622 "obj/conf/cf-parse.tab.c"
    break;

  case 161:
#line 376 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 6628 "obj/conf/cf-parse.tab.c"
    break;

  case 162:
#line 377 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 6634 "obj/conf/cf-parse.tab.c"
    break;

  case 163:
#line 378 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 6640 "obj/conf/cf-parse.tab.c"
    break;

  case 164:
#line 379 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 6646 "obj/conf/cf-parse.tab.c"
    break;

  case 165:
#line 380 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 6652 "obj/conf/cf-parse.tab.c"
    break;

  case 166:
#line 381 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 6677 "obj/conf/cf-parse.tab.c"
    break;

  case 168:
#line 405 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
   }
#line 6686 "obj/conf/cf-parse.tab.c"
    break;

  case 169:
#line 412 "filter/config.Y"
           { (yyval.i) = 0; }
#line 6692 "obj/conf/cf-parse.tab.c"
    break;

  case 170:
#line 413 "filter/config.Y"
                                      {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-1].s)->scope->slots;
   }
#line 6701 "obj/conf/cf-parse.tab.c"
    break;

  case 171:
#line 420 "filter/config.Y"
               { (yyval.i) = 0; }
#line 6707 "obj/conf/cf-parse.tab.c"
    break;

  case 172:
#line 421 "filter/config.Y"
                                 {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 6716 "obj/conf/cf-parse.tab.c"
    break;

  case 174:
#line 430 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 6725 "obj/conf/cf-parse.tab.c"
    break;

  case 175:
#line 434 "filter/config.Y"
               {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;
   }
#line 6735 "obj/conf/cf-parse.tab.c"
    break;

  case 176:
#line 442 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 6744 "obj/conf/cf-parse.tab.c"
    break;

  case 177:
#line 449 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x));
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 6753 "obj/conf/cf-parse.tab.c"
    break;

  case 179:
#line 457 "filter/config.Y"
                   { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6762 "obj/conf/cf-parse.tab.c"
    break;

  case 180:
#line 460 "filter/config.Y"
                                 {
     DBG("Definition of function %s with %u args and %u local vars.\n", (yyvsp[-3].s)->name, (yyvsp[-1].i), (yyvsp[0].fl)->vars);
     (yyvsp[0].fl)->args = (yyvsp[-1].i);
     (yyvsp[-3].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 6773 "obj/conf/cf-parse.tab.c"
    break;

  case 181:
#line 470 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 6779 "obj/conf/cf-parse.tab.c"
    break;

  case 182:
#line 471 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 6785 "obj/conf/cf-parse.tab.c"
    break;

  case 183:
#line 474 "filter/config.Y"
              {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 6796 "obj/conf/cf-parse.tab.c"
    break;

  case 185:
#line 483 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 6812 "obj/conf/cf-parse.tab.c"
    break;

  case 186:
#line 497 "filter/config.Y"
       {
     (yyval.x)=(yyvsp[0].x);
   }
#line 6820 "obj/conf/cf-parse.tab.c"
    break;

  case 187:
#line 500 "filter/config.Y"
                {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 6828 "obj/conf/cf-parse.tab.c"
    break;

  case 188:
#line 509 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6834 "obj/conf/cf-parse.tab.c"
    break;

  case 189:
#line 510 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6840 "obj/conf/cf-parse.tab.c"
    break;

  case 190:
#line 523 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6846 "obj/conf/cf-parse.tab.c"
    break;

  case 191:
#line 524 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 6852 "obj/conf/cf-parse.tab.c"
    break;

  case 192:
#line 525 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 6858 "obj/conf/cf-parse.tab.c"
    break;

  case 193:
#line 526 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6864 "obj/conf/cf-parse.tab.c"
    break;

  case 194:
#line 527 "filter/config.Y"
                {
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 6873 "obj/conf/cf-parse.tab.c"
    break;

  case 195:
#line 531 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 6883 "obj/conf/cf-parse.tab.c"
    break;

  case 196:
#line 539 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6889 "obj/conf/cf-parse.tab.c"
    break;

  case 197:
#line 540 "filter/config.Y"
                { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 6895 "obj/conf/cf-parse.tab.c"
    break;

  case 198:
#line 541 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 6901 "obj/conf/cf-parse.tab.c"
    break;

  case 199:
#line 542 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6907 "obj/conf/cf-parse.tab.c"
    break;

  case 200:
#line 546 "filter/config.Y"
        { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6913 "obj/conf/cf-parse.tab.c"
    break;

  case 201:
#line 549 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6919 "obj/conf/cf-parse.tab.c"
    break;

  case 202:
#line 550 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6925 "obj/conf/cf-parse.tab.c"
    break;

  case 203:
#line 551 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6931 "obj/conf/cf-parse.tab.c"
    break;

  case 204:
#line 552 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6937 "obj/conf/cf-parse.tab.c"
    break;

  case 205:
#line 553 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6943 "obj/conf/cf-parse.tab.c"
    break;

  case 206:
#line 554 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6949 "obj/conf/cf-parse.tab.c"
    break;

  case 207:
#line 555 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6955 "obj/conf/cf-parse.tab.c"
    break;

  case 208:
#line 556 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6961 "obj/conf/cf-parse.tab.c"
    break;

  case 209:
#line 557 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 6967 "obj/conf/cf-parse.tab.c"
    break;

  case 210:
#line 559 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 6973 "obj/conf/cf-parse.tab.c"
    break;

  case 211:
#line 563 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 6979 "obj/conf/cf-parse.tab.c"
    break;

  case 212:
#line 564 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 6985 "obj/conf/cf-parse.tab.c"
    break;

  case 213:
#line 565 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 6991 "obj/conf/cf-parse.tab.c"
    break;

  case 214:
#line 566 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 6997 "obj/conf/cf-parse.tab.c"
    break;

  case 215:
#line 570 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7003 "obj/conf/cf-parse.tab.c"
    break;

  case 216:
#line 571 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7009 "obj/conf/cf-parse.tab.c"
    break;

  case 217:
#line 572 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7015 "obj/conf/cf-parse.tab.c"
    break;

  case 218:
#line 576 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7021 "obj/conf/cf-parse.tab.c"
    break;

  case 219:
#line 577 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7027 "obj/conf/cf-parse.tab.c"
    break;

  case 220:
#line 578 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7033 "obj/conf/cf-parse.tab.c"
    break;

  case 221:
#line 579 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7039 "obj/conf/cf-parse.tab.c"
    break;

  case 222:
#line 580 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7045 "obj/conf/cf-parse.tab.c"
    break;

  case 223:
#line 581 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7051 "obj/conf/cf-parse.tab.c"
    break;

  case 224:
#line 582 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7057 "obj/conf/cf-parse.tab.c"
    break;

  case 225:
#line 584 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7063 "obj/conf/cf-parse.tab.c"
    break;

  case 229:
#line 591 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7069 "obj/conf/cf-parse.tab.c"
    break;

  case 230:
#line 592 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7075 "obj/conf/cf-parse.tab.c"
    break;

  case 234:
#line 599 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7081 "obj/conf/cf-parse.tab.c"
    break;

  case 235:
#line 600 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7087 "obj/conf/cf-parse.tab.c"
    break;

  case 237:
#line 605 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7093 "obj/conf/cf-parse.tab.c"
    break;

  case 239:
#line 610 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7099 "obj/conf/cf-parse.tab.c"
    break;

  case 240:
#line 614 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7105 "obj/conf/cf-parse.tab.c"
    break;

  case 241:
#line 615 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7111 "obj/conf/cf-parse.tab.c"
    break;

  case 242:
#line 616 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7117 "obj/conf/cf-parse.tab.c"
    break;

  case 243:
#line 617 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7127 "obj/conf/cf-parse.tab.c"
    break;

  case 244:
#line 625 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7133 "obj/conf/cf-parse.tab.c"
    break;

  case 245:
#line 626 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7139 "obj/conf/cf-parse.tab.c"
    break;

  case 246:
#line 629 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 7145 "obj/conf/cf-parse.tab.c"
    break;

  case 247:
#line 630 "filter/config.Y"
                                      {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x));
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7158 "obj/conf/cf-parse.tab.c"
    break;

  case 248:
#line 638 "filter/config.Y"
                            {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x));
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7170 "obj/conf/cf-parse.tab.c"
    break;

  case 249:
#line 648 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 7176 "obj/conf/cf-parse.tab.c"
    break;

  case 250:
#line 649 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 7182 "obj/conf/cf-parse.tab.c"
    break;

  case 251:
#line 653 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 7188 "obj/conf/cf-parse.tab.c"
    break;

  case 252:
#line 657 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7194 "obj/conf/cf-parse.tab.c"
    break;

  case 253:
#line 658 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7200 "obj/conf/cf-parse.tab.c"
    break;

  case 254:
#line 659 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7209 "obj/conf/cf-parse.tab.c"
    break;

  case 255:
#line 663 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7215 "obj/conf/cf-parse.tab.c"
    break;

  case 256:
#line 664 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7221 "obj/conf/cf-parse.tab.c"
    break;

  case 257:
#line 665 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7227 "obj/conf/cf-parse.tab.c"
    break;

  case 258:
#line 666 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7233 "obj/conf/cf-parse.tab.c"
    break;

  case 259:
#line 667 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 7239 "obj/conf/cf-parse.tab.c"
    break;

  case 260:
#line 671 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7245 "obj/conf/cf-parse.tab.c"
    break;

  case 261:
#line 672 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7251 "obj/conf/cf-parse.tab.c"
    break;

  case 262:
#line 673 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7257 "obj/conf/cf-parse.tab.c"
    break;

  case 263:
#line 674 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7263 "obj/conf/cf-parse.tab.c"
    break;

  case 264:
#line 675 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7269 "obj/conf/cf-parse.tab.c"
    break;

  case 265:
#line 676 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7275 "obj/conf/cf-parse.tab.c"
    break;

  case 266:
#line 677 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7281 "obj/conf/cf-parse.tab.c"
    break;

  case 267:
#line 678 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7291 "obj/conf/cf-parse.tab.c"
    break;

  case 268:
#line 683 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7297 "obj/conf/cf-parse.tab.c"
    break;

  case 269:
#line 684 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7303 "obj/conf/cf-parse.tab.c"
    break;

  case 270:
#line 688 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7309 "obj/conf/cf-parse.tab.c"
    break;

  case 271:
#line 689 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7315 "obj/conf/cf-parse.tab.c"
    break;

  case 272:
#line 690 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7321 "obj/conf/cf-parse.tab.c"
    break;

  case 273:
#line 691 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7327 "obj/conf/cf-parse.tab.c"
    break;

  case 274:
#line 696 "filter/config.Y"
                      { (yyval.x) = NULL; }
#line 7333 "obj/conf/cf-parse.tab.c"
    break;

  case 275:
#line 697 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 7339 "obj/conf/cf-parse.tab.c"
    break;

  case 276:
#line 698 "filter/config.Y"
                     { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7345 "obj/conf/cf-parse.tab.c"
    break;

  case 277:
#line 701 "filter/config.Y"
                                 {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     struct f_inst *fc = f_new_inst(FI_CALL, (yyvsp[-3].s));
     uint args = 0;
     while ((yyvsp[-1].x)) {
       args++;
       struct f_inst *tmp = (yyvsp[-1].x)->next;
       (yyvsp[-1].x)->next = fc;

       fc = (yyvsp[-1].x);
       (yyvsp[-1].x) = tmp;
     }

     if (args != (yyvsp[-3].s)->function->args)
       cf_error("Function call '%s' got %u arguments, need %u arguments.",
	   (yyvsp[-3].s)->name, args, (yyvsp[-3].s)->function->args);

     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
     (yyval.x)->next = fc;
   }
#line 7372 "obj/conf/cf-parse.tab.c"
    break;

  case 278:
#line 726 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7392 "obj/conf/cf-parse.tab.c"
    break;

  case 279:
#line 744 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7398 "obj/conf/cf-parse.tab.c"
    break;

  case 280:
#line 745 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7404 "obj/conf/cf-parse.tab.c"
    break;

  case 281:
#line 746 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7410 "obj/conf/cf-parse.tab.c"
    break;

  case 282:
#line 747 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7416 "obj/conf/cf-parse.tab.c"
    break;

  case 283:
#line 748 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7422 "obj/conf/cf-parse.tab.c"
    break;

  case 284:
#line 749 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7428 "obj/conf/cf-parse.tab.c"
    break;

  case 285:
#line 750 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7434 "obj/conf/cf-parse.tab.c"
    break;

  case 286:
#line 751 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7440 "obj/conf/cf-parse.tab.c"
    break;

  case 287:
#line 752 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7446 "obj/conf/cf-parse.tab.c"
    break;

  case 288:
#line 753 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 7452 "obj/conf/cf-parse.tab.c"
    break;

  case 289:
#line 757 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 7458 "obj/conf/cf-parse.tab.c"
    break;

  case 290:
#line 758 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7464 "obj/conf/cf-parse.tab.c"
    break;

  case 291:
#line 759 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7470 "obj/conf/cf-parse.tab.c"
    break;

  case 292:
#line 760 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7476 "obj/conf/cf-parse.tab.c"
    break;

  case 293:
#line 761 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7482 "obj/conf/cf-parse.tab.c"
    break;

  case 294:
#line 762 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7488 "obj/conf/cf-parse.tab.c"
    break;

  case 295:
#line 763 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7494 "obj/conf/cf-parse.tab.c"
    break;

  case 296:
#line 764 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7500 "obj/conf/cf-parse.tab.c"
    break;

  case 297:
#line 765 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7506 "obj/conf/cf-parse.tab.c"
    break;

  case 298:
#line 766 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7512 "obj/conf/cf-parse.tab.c"
    break;

  case 299:
#line 767 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7518 "obj/conf/cf-parse.tab.c"
    break;

  case 300:
#line 768 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7524 "obj/conf/cf-parse.tab.c"
    break;

  case 301:
#line 769 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7530 "obj/conf/cf-parse.tab.c"
    break;

  case 302:
#line 770 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7536 "obj/conf/cf-parse.tab.c"
    break;

  case 303:
#line 771 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7542 "obj/conf/cf-parse.tab.c"
    break;

  case 304:
#line 772 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 7548 "obj/conf/cf-parse.tab.c"
    break;

  case 305:
#line 773 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 7554 "obj/conf/cf-parse.tab.c"
    break;

  case 306:
#line 775 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 7560 "obj/conf/cf-parse.tab.c"
    break;

  case 307:
#line 776 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 7566 "obj/conf/cf-parse.tab.c"
    break;

  case 308:
#line 777 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 7572 "obj/conf/cf-parse.tab.c"
    break;

  case 309:
#line 779 "filter/config.Y"
              { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 7578 "obj/conf/cf-parse.tab.c"
    break;

  case 310:
#line 781 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 7584 "obj/conf/cf-parse.tab.c"
    break;

  case 311:
#line 783 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 7590 "obj/conf/cf-parse.tab.c"
    break;

  case 312:
#line 785 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 7596 "obj/conf/cf-parse.tab.c"
    break;

  case 313:
#line 786 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 7602 "obj/conf/cf-parse.tab.c"
    break;

  case 314:
#line 787 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 7608 "obj/conf/cf-parse.tab.c"
    break;

  case 315:
#line 788 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 7614 "obj/conf/cf-parse.tab.c"
    break;

  case 316:
#line 789 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 7620 "obj/conf/cf-parse.tab.c"
    break;

  case 317:
#line 790 "filter/config.Y"
                   { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 7626 "obj/conf/cf-parse.tab.c"
    break;

  case 318:
#line 791 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_ROA_ASN, (yyvsp[-2].x)); }
#line 7632 "obj/conf/cf-parse.tab.c"
    break;

  case 319:
#line 792 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_SRC, (yyvsp[-2].x)); }
#line 7638 "obj/conf/cf-parse.tab.c"
    break;

  case 320:
#line 793 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_DST, (yyvsp[-2].x)); }
#line 7644 "obj/conf/cf-parse.tab.c"
    break;

  case 321:
#line 794 "filter/config.Y"
                              { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 7650 "obj/conf/cf-parse.tab.c"
    break;

  case 322:
#line 795 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 7656 "obj/conf/cf-parse.tab.c"
    break;

  case 323:
#line 796 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 7662 "obj/conf/cf-parse.tab.c"
    break;

  case 324:
#line 797 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 7668 "obj/conf/cf-parse.tab.c"
    break;

  case 325:
#line 807 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 7674 "obj/conf/cf-parse.tab.c"
    break;

  case 326:
#line 808 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 7680 "obj/conf/cf-parse.tab.c"
    break;

  case 327:
#line 809 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 7686 "obj/conf/cf-parse.tab.c"
    break;

  case 328:
#line 810 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 7692 "obj/conf/cf-parse.tab.c"
    break;

  case 329:
#line 811 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7698 "obj/conf/cf-parse.tab.c"
    break;

  case 330:
#line 812 "filter/config.Y"
                             { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7704 "obj/conf/cf-parse.tab.c"
    break;

  case 331:
#line 813 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7710 "obj/conf/cf-parse.tab.c"
    break;

  case 332:
#line 814 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7716 "obj/conf/cf-parse.tab.c"
    break;

  case 333:
#line 816 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 7722 "obj/conf/cf-parse.tab.c"
    break;

  case 334:
#line 817 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 7728 "obj/conf/cf-parse.tab.c"
    break;

  case 335:
#line 819 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 7734 "obj/conf/cf-parse.tab.c"
    break;

  case 337:
#line 827 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 7740 "obj/conf/cf-parse.tab.c"
    break;

  case 338:
#line 828 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 7746 "obj/conf/cf-parse.tab.c"
    break;

  case 339:
#line 829 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 7752 "obj/conf/cf-parse.tab.c"
    break;

  case 340:
#line 832 "filter/config.Y"
                        { (yyval.x) = NULL; }
#line 7758 "obj/conf/cf-parse.tab.c"
    break;

  case 341:
#line 833 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 7764 "obj/conf/cf-parse.tab.c"
    break;

  case 342:
#line 834 "filter/config.Y"
                       {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 7775 "obj/conf/cf-parse.tab.c"
    break;

  case 343:
#line 843 "filter/config.Y"
                      {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 7783 "obj/conf/cf-parse.tab.c"
    break;

  case 344:
#line 846 "filter/config.Y"
                                 {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 7791 "obj/conf/cf-parse.tab.c"
    break;

  case 345:
#line 849 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 7808 "obj/conf/cf-parse.tab.c"
    break;

  case 346:
#line 861 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 7817 "obj/conf/cf-parse.tab.c"
    break;

  case 347:
#line 865 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 7825 "obj/conf/cf-parse.tab.c"
    break;

  case 348:
#line 868 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 7835 "obj/conf/cf-parse.tab.c"
    break;

  case 349:
#line 873 "filter/config.Y"
                           {
     (yyval.x) = f_new_inst(FI_PREF_SET, (yyvsp[-1].x));
   }
#line 7843 "obj/conf/cf-parse.tab.c"
    break;

  case 350:
#line 876 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 7851 "obj/conf/cf-parse.tab.c"
    break;

  case 351:
#line 879 "filter/config.Y"
                                {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 7867 "obj/conf/cf-parse.tab.c"
    break;

  case 352:
#line 890 "filter/config.Y"
                        {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 7876 "obj/conf/cf-parse.tab.c"
    break;

  case 353:
#line 894 "filter/config.Y"
                         {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 7884 "obj/conf/cf-parse.tab.c"
    break;

  case 354:
#line 897 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 7890 "obj/conf/cf-parse.tab.c"
    break;

  case 355:
#line 898 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 7898 "obj/conf/cf-parse.tab.c"
    break;

  case 356:
#line 902 "filter/config.Y"
                              { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 7904 "obj/conf/cf-parse.tab.c"
    break;

  case 357:
#line 903 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7910 "obj/conf/cf-parse.tab.c"
    break;

  case 358:
#line 904 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7916 "obj/conf/cf-parse.tab.c"
    break;

  case 359:
#line 905 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7922 "obj/conf/cf-parse.tab.c"
    break;

  case 360:
#line 906 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7928 "obj/conf/cf-parse.tab.c"
    break;

  case 361:
#line 907 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 7934 "obj/conf/cf-parse.tab.c"
    break;

  case 362:
#line 908 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 7940 "obj/conf/cf-parse.tab.c"
    break;

  case 363:
#line 912 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 7948 "obj/conf/cf-parse.tab.c"
    break;

  case 364:
#line 917 "filter/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 7954 "obj/conf/cf-parse.tab.c"
    break;

  case 365:
#line 918 "filter/config.Y"
              { (yyval.flv) = (struct f_lval) { .type = F_LVAL_PREFERENCE }; }
#line 7960 "obj/conf/cf-parse.tab.c"
    break;

  case 366:
#line 919 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 7966 "obj/conf/cf-parse.tab.c"
    break;

  case 367:
#line 920 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 7972 "obj/conf/cf-parse.tab.c"
    break;

  case 369:
#line 136 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 7978 "obj/conf/cf-parse.tab.c"
    break;

  case 370:
#line 137 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 7984 "obj/conf/cf-parse.tab.c"
    break;

  case 371:
#line 141 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 7990 "obj/conf/cf-parse.tab.c"
    break;

  case 372:
#line 142 "nest/config.Y"
                { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 7996 "obj/conf/cf-parse.tab.c"
    break;

  case 373:
#line 143 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8002 "obj/conf/cf-parse.tab.c"
    break;

  case 374:
#line 144 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8015 "obj/conf/cf-parse.tab.c"
    break;

  case 376:
#line 156 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 8021 "obj/conf/cf-parse.tab.c"
    break;

  case 378:
#line 160 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 8027 "obj/conf/cf-parse.tab.c"
    break;

  case 379:
#line 166 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 8033 "obj/conf/cf-parse.tab.c"
    break;

  case 380:
#line 167 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 8039 "obj/conf/cf-parse.tab.c"
    break;

  case 381:
#line 168 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 8045 "obj/conf/cf-parse.tab.c"
    break;

  case 382:
#line 169 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 8051 "obj/conf/cf-parse.tab.c"
    break;

  case 383:
#line 170 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 8057 "obj/conf/cf-parse.tab.c"
    break;

  case 384:
#line 171 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 8063 "obj/conf/cf-parse.tab.c"
    break;

  case 385:
#line 172 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 8069 "obj/conf/cf-parse.tab.c"
    break;

  case 386:
#line 173 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 8075 "obj/conf/cf-parse.tab.c"
    break;

  case 387:
#line 174 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 8081 "obj/conf/cf-parse.tab.c"
    break;

  case 388:
#line 175 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 8087 "obj/conf/cf-parse.tab.c"
    break;

  case 390:
#line 186 "nest/config.Y"
          { (yyval.i) = 0; }
#line 8093 "obj/conf/cf-parse.tab.c"
    break;

  case 391:
#line 187 "nest/config.Y"
          { (yyval.i) = 1; }
#line 8099 "obj/conf/cf-parse.tab.c"
    break;

  case 392:
#line 190 "nest/config.Y"
                                          {
   struct rtable_config *cf;
   cf = rt_new_table((yyvsp[-1].s), (yyvsp[-3].i));
   cf->sorted = (yyvsp[0].i);
   }
#line 8109 "obj/conf/cf-parse.tab.c"
    break;

  case 393:
#line 200 "nest/config.Y"
            { proto_postconfig(); }
#line 8115 "obj/conf/cf-parse.tab.c"
    break;

  case 394:
#line 203 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 8121 "obj/conf/cf-parse.tab.c"
    break;

  case 395:
#line 204 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 8127 "obj/conf/cf-parse.tab.c"
    break;

  case 396:
#line 208 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8138 "obj/conf/cf-parse.tab.c"
    break;

  case 397:
#line 214 "nest/config.Y"
          {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8147 "obj/conf/cf-parse.tab.c"
    break;

  case 398:
#line 218 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8162 "obj/conf/cf-parse.tab.c"
    break;

  case 399:
#line 228 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8175 "obj/conf/cf-parse.tab.c"
    break;

  case 401:
#line 240 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 8181 "obj/conf/cf-parse.tab.c"
    break;

  case 402:
#line 241 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 8187 "obj/conf/cf-parse.tab.c"
    break;

  case 403:
#line 242 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 8193 "obj/conf/cf-parse.tab.c"
    break;

  case 404:
#line 243 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 8199 "obj/conf/cf-parse.tab.c"
    break;

  case 405:
#line 244 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 8205 "obj/conf/cf-parse.tab.c"
    break;

  case 406:
#line 245 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8211 "obj/conf/cf-parse.tab.c"
    break;

  case 407:
#line 246 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8217 "obj/conf/cf-parse.tab.c"
    break;

  case 408:
#line 251 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8225 "obj/conf/cf-parse.tab.c"
    break;

  case 409:
#line 256 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8235 "obj/conf/cf-parse.tab.c"
    break;

  case 410:
#line 261 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 8241 "obj/conf/cf-parse.tab.c"
    break;

  case 411:
#line 262 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 8247 "obj/conf/cf-parse.tab.c"
    break;

  case 412:
#line 263 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8253 "obj/conf/cf-parse.tab.c"
    break;

  case 413:
#line 264 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 8259 "obj/conf/cf-parse.tab.c"
    break;

  case 414:
#line 265 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 8265 "obj/conf/cf-parse.tab.c"
    break;

  case 415:
#line 266 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8271 "obj/conf/cf-parse.tab.c"
    break;

  case 416:
#line 267 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8277 "obj/conf/cf-parse.tab.c"
    break;

  case 417:
#line 268 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 8283 "obj/conf/cf-parse.tab.c"
    break;

  case 419:
#line 274 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 8289 "obj/conf/cf-parse.tab.c"
    break;

  case 424:
#line 288 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8300 "obj/conf/cf-parse.tab.c"
    break;

  case 426:
#line 298 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8306 "obj/conf/cf-parse.tab.c"
    break;

  case 427:
#line 301 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 8312 "obj/conf/cf-parse.tab.c"
    break;

  case 429:
#line 303 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 8318 "obj/conf/cf-parse.tab.c"
    break;

  case 430:
#line 304 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 8324 "obj/conf/cf-parse.tab.c"
    break;

  case 431:
#line 308 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 8330 "obj/conf/cf-parse.tab.c"
    break;

  case 432:
#line 309 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 8336 "obj/conf/cf-parse.tab.c"
    break;

  case 433:
#line 310 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 8342 "obj/conf/cf-parse.tab.c"
    break;

  case 434:
#line 311 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 8348 "obj/conf/cf-parse.tab.c"
    break;

  case 435:
#line 312 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 8354 "obj/conf/cf-parse.tab.c"
    break;

  case 436:
#line 316 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8360 "obj/conf/cf-parse.tab.c"
    break;

  case 437:
#line 317 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 8366 "obj/conf/cf-parse.tab.c"
    break;

  case 439:
#line 324 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8372 "obj/conf/cf-parse.tab.c"
    break;

  case 440:
#line 325 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 8378 "obj/conf/cf-parse.tab.c"
    break;

  case 441:
#line 326 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 8384 "obj/conf/cf-parse.tab.c"
    break;

  case 443:
#line 334 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 8390 "obj/conf/cf-parse.tab.c"
    break;

  case 444:
#line 335 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 8396 "obj/conf/cf-parse.tab.c"
    break;

  case 445:
#line 336 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 8402 "obj/conf/cf-parse.tab.c"
    break;

  case 446:
#line 337 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 8408 "obj/conf/cf-parse.tab.c"
    break;

  case 447:
#line 341 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8414 "obj/conf/cf-parse.tab.c"
    break;

  case 448:
#line 342 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8420 "obj/conf/cf-parse.tab.c"
    break;

  case 449:
#line 343 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8426 "obj/conf/cf-parse.tab.c"
    break;

  case 450:
#line 344 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8432 "obj/conf/cf-parse.tab.c"
    break;

  case 451:
#line 345 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8438 "obj/conf/cf-parse.tab.c"
    break;

  case 452:
#line 346 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8444 "obj/conf/cf-parse.tab.c"
    break;

  case 453:
#line 347 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8450 "obj/conf/cf-parse.tab.c"
    break;

  case 454:
#line 348 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8456 "obj/conf/cf-parse.tab.c"
    break;

  case 456:
#line 359 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8466 "obj/conf/cf-parse.tab.c"
    break;

  case 457:
#line 367 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8472 "obj/conf/cf-parse.tab.c"
    break;

  case 458:
#line 368 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 8478 "obj/conf/cf-parse.tab.c"
    break;

  case 459:
#line 372 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 8484 "obj/conf/cf-parse.tab.c"
    break;

  case 460:
#line 373 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 8490 "obj/conf/cf-parse.tab.c"
    break;

  case 464:
#line 387 "nest/config.Y"
                                      { iface_patt_check(); }
#line 8496 "obj/conf/cf-parse.tab.c"
    break;

  case 465:
#line 389 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 8506 "obj/conf/cf-parse.tab.c"
    break;

  case 467:
#line 401 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 8512 "obj/conf/cf-parse.tab.c"
    break;

  case 468:
#line 402 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 8518 "obj/conf/cf-parse.tab.c"
    break;

  case 470:
#line 409 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 8527 "obj/conf/cf-parse.tab.c"
    break;

  case 475:
#line 420 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 8533 "obj/conf/cf-parse.tab.c"
    break;

  case 476:
#line 424 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 8543 "obj/conf/cf-parse.tab.c"
    break;

  case 478:
#line 438 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 8549 "obj/conf/cf-parse.tab.c"
    break;

  case 479:
#line 439 "nest/config.Y"
       { (yyval.i) = 0; }
#line 8555 "obj/conf/cf-parse.tab.c"
    break;

  case 480:
#line 440 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 8561 "obj/conf/cf-parse.tab.c"
    break;

  case 482:
#line 445 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8567 "obj/conf/cf-parse.tab.c"
    break;

  case 483:
#line 449 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 8573 "obj/conf/cf-parse.tab.c"
    break;

  case 484:
#line 450 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 8579 "obj/conf/cf-parse.tab.c"
    break;

  case 485:
#line 451 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 8585 "obj/conf/cf-parse.tab.c"
    break;

  case 486:
#line 452 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 8591 "obj/conf/cf-parse.tab.c"
    break;

  case 487:
#line 453 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 8597 "obj/conf/cf-parse.tab.c"
    break;

  case 488:
#line 454 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 8603 "obj/conf/cf-parse.tab.c"
    break;

  case 489:
#line 460 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 8609 "obj/conf/cf-parse.tab.c"
    break;

  case 490:
#line 461 "nest/config.Y"
       { (yyval.i) = 0; }
#line 8615 "obj/conf/cf-parse.tab.c"
    break;

  case 491:
#line 462 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 8621 "obj/conf/cf-parse.tab.c"
    break;

  case 493:
#line 467 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8627 "obj/conf/cf-parse.tab.c"
    break;

  case 494:
#line 471 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 8633 "obj/conf/cf-parse.tab.c"
    break;

  case 495:
#line 472 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 8639 "obj/conf/cf-parse.tab.c"
    break;

  case 502:
#line 493 "nest/config.Y"
                 {
     if (!this_p_list) {
	this_p_list = cfg_allocz(sizeof(list));
	init_list(this_p_list);
	password_id = 1;
     }
     this_p_item = cfg_allocz(sizeof(struct password_item));
     this_p_item->password = (yyvsp[0].t);
     this_p_item->length = strlen((yyvsp[0].t));
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     this_p_item->alg = ALG_UNDEFINED;
     add_tail(this_p_list, &this_p_item->n);
   }
#line 8661 "obj/conf/cf-parse.tab.c"
    break;

  case 503:
#line 513 "nest/config.Y"
               { }
#line 8667 "obj/conf/cf-parse.tab.c"
    break;

  case 504:
#line 514 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 8673 "obj/conf/cf-parse.tab.c"
    break;

  case 505:
#line 515 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 8679 "obj/conf/cf-parse.tab.c"
    break;

  case 506:
#line 516 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 8685 "obj/conf/cf-parse.tab.c"
    break;

  case 507:
#line 517 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 8691 "obj/conf/cf-parse.tab.c"
    break;

  case 508:
#line 518 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 8697 "obj/conf/cf-parse.tab.c"
    break;

  case 509:
#line 519 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 8703 "obj/conf/cf-parse.tab.c"
    break;

  case 510:
#line 520 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 8709 "obj/conf/cf-parse.tab.c"
    break;

  case 511:
#line 521 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 8715 "obj/conf/cf-parse.tab.c"
    break;

  case 512:
#line 525 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 8721 "obj/conf/cf-parse.tab.c"
    break;

  case 513:
#line 526 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 8727 "obj/conf/cf-parse.tab.c"
    break;

  case 514:
#line 527 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 8733 "obj/conf/cf-parse.tab.c"
    break;

  case 515:
#line 528 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 8739 "obj/conf/cf-parse.tab.c"
    break;

  case 516:
#line 529 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 8745 "obj/conf/cf-parse.tab.c"
    break;

  case 517:
#line 530 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 8751 "obj/conf/cf-parse.tab.c"
    break;

  case 518:
#line 531 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 8757 "obj/conf/cf-parse.tab.c"
    break;

  case 519:
#line 532 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 8763 "obj/conf/cf-parse.tab.c"
    break;

  case 520:
#line 533 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 8769 "obj/conf/cf-parse.tab.c"
    break;

  case 521:
#line 534 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 8775 "obj/conf/cf-parse.tab.c"
    break;

  case 522:
#line 541 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 8781 "obj/conf/cf-parse.tab.c"
    break;

  case 523:
#line 542 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 8787 "obj/conf/cf-parse.tab.c"
    break;

  case 524:
#line 543 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 8793 "obj/conf/cf-parse.tab.c"
    break;

  case 525:
#line 544 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 8799 "obj/conf/cf-parse.tab.c"
    break;

  case 526:
#line 545 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 8805 "obj/conf/cf-parse.tab.c"
    break;

  case 527:
#line 546 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 8811 "obj/conf/cf-parse.tab.c"
    break;

  case 528:
#line 547 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 8817 "obj/conf/cf-parse.tab.c"
    break;

  case 533:
#line 563 "nest/config.Y"
{ cmd_show_status(); }
#line 8823 "obj/conf/cf-parse.tab.c"
    break;

  case 535:
#line 566 "nest/config.Y"
{ cmd_show_memory(); }
#line 8829 "obj/conf/cf-parse.tab.c"
    break;

  case 537:
#line 569 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 8835 "obj/conf/cf-parse.tab.c"
    break;

  case 539:
#line 572 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 8841 "obj/conf/cf-parse.tab.c"
    break;

  case 540:
#line 575 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 8847 "obj/conf/cf-parse.tab.c"
    break;

  case 541:
#line 576 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 8853 "obj/conf/cf-parse.tab.c"
    break;

  case 543:
#line 580 "nest/config.Y"
{ if_show(); }
#line 8859 "obj/conf/cf-parse.tab.c"
    break;

  case 545:
#line 583 "nest/config.Y"
{ if_show_summary(); }
#line 8865 "obj/conf/cf-parse.tab.c"
    break;

  case 547:
#line 587 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 8871 "obj/conf/cf-parse.tab.c"
    break;

  case 548:
#line 590 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 8882 "obj/conf/cf-parse.tab.c"
    break;

  case 549:
#line 596 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8892 "obj/conf/cf-parse.tab.c"
    break;

  case 550:
#line 601 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->show_for = 1;
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8903 "obj/conf/cf-parse.tab.c"
    break;

  case 551:
#line 607 "nest/config.Y"
                             {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8914 "obj/conf/cf-parse.tab.c"
    break;

  case 552:
#line 613 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 8926 "obj/conf/cf-parse.tab.c"
    break;

  case 553:
#line 620 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8936 "obj/conf/cf-parse.tab.c"
    break;

  case 554:
#line 625 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8946 "obj/conf/cf-parse.tab.c"
    break;

  case 555:
#line 630 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8956 "obj/conf/cf-parse.tab.c"
    break;

  case 556:
#line 635 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8966 "obj/conf/cf-parse.tab.c"
    break;

  case 557:
#line 640 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 8975 "obj/conf/cf-parse.tab.c"
    break;

  case 558:
#line 644 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 8984 "obj/conf/cf-parse.tab.c"
    break;

  case 559:
#line 648 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 8993 "obj/conf/cf-parse.tab.c"
    break;

  case 560:
#line 652 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9008 "obj/conf/cf-parse.tab.c"
    break;

  case 561:
#line 662 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9020 "obj/conf/cf-parse.tab.c"
    break;

  case 562:
#line 669 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9034 "obj/conf/cf-parse.tab.c"
    break;

  case 563:
#line 678 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9043 "obj/conf/cf-parse.tab.c"
    break;

  case 564:
#line 682 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9052 "obj/conf/cf-parse.tab.c"
    break;

  case 565:
#line 689 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9061 "obj/conf/cf-parse.tab.c"
    break;

  case 569:
#line 696 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9070 "obj/conf/cf-parse.tab.c"
    break;

  case 570:
#line 700 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9079 "obj/conf/cf-parse.tab.c"
    break;

  case 571:
#line 704 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9088 "obj/conf/cf-parse.tab.c"
    break;

  case 572:
#line 708 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9104 "obj/conf/cf-parse.tab.c"
    break;

  case 575:
#line 724 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9110 "obj/conf/cf-parse.tab.c"
    break;

  case 576:
#line 725 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9116 "obj/conf/cf-parse.tab.c"
    break;

  case 577:
#line 728 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 9122 "obj/conf/cf-parse.tab.c"
    break;

  case 578:
#line 729 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 9128 "obj/conf/cf-parse.tab.c"
    break;

  case 579:
#line 730 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 9134 "obj/conf/cf-parse.tab.c"
    break;

  case 580:
#line 731 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 9140 "obj/conf/cf-parse.tab.c"
    break;

  case 581:
#line 736 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 9146 "obj/conf/cf-parse.tab.c"
    break;

  case 582:
#line 737 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 9152 "obj/conf/cf-parse.tab.c"
    break;

  case 583:
#line 738 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 9158 "obj/conf/cf-parse.tab.c"
    break;

  case 584:
#line 739 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 9164 "obj/conf/cf-parse.tab.c"
    break;

  case 585:
#line 740 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 9170 "obj/conf/cf-parse.tab.c"
    break;

  case 586:
#line 741 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 9176 "obj/conf/cf-parse.tab.c"
    break;

  case 587:
#line 742 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 9182 "obj/conf/cf-parse.tab.c"
    break;

  case 588:
#line 743 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 9188 "obj/conf/cf-parse.tab.c"
    break;

  case 589:
#line 744 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 9194 "obj/conf/cf-parse.tab.c"
    break;

  case 590:
#line 745 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 9200 "obj/conf/cf-parse.tab.c"
    break;

  case 591:
#line 746 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 9206 "obj/conf/cf-parse.tab.c"
    break;

  case 592:
#line 747 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 9212 "obj/conf/cf-parse.tab.c"
    break;

  case 593:
#line 748 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 9218 "obj/conf/cf-parse.tab.c"
    break;

  case 594:
#line 749 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 9224 "obj/conf/cf-parse.tab.c"
    break;

  case 595:
#line 750 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 9230 "obj/conf/cf-parse.tab.c"
    break;

  case 596:
#line 751 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 9236 "obj/conf/cf-parse.tab.c"
    break;

  case 597:
#line 752 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 9242 "obj/conf/cf-parse.tab.c"
    break;

  case 598:
#line 753 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 9248 "obj/conf/cf-parse.tab.c"
    break;

  case 599:
#line 754 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 9254 "obj/conf/cf-parse.tab.c"
    break;

  case 600:
#line 755 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 9260 "obj/conf/cf-parse.tab.c"
    break;

  case 601:
#line 759 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 9272 "obj/conf/cf-parse.tab.c"
    break;

  case 603:
#line 770 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 9278 "obj/conf/cf-parse.tab.c"
    break;

  case 604:
#line 773 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9286 "obj/conf/cf-parse.tab.c"
    break;

  case 605:
#line 776 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9292 "obj/conf/cf-parse.tab.c"
    break;

  case 606:
#line 777 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9298 "obj/conf/cf-parse.tab.c"
    break;

  case 607:
#line 778 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9304 "obj/conf/cf-parse.tab.c"
    break;

  case 608:
#line 779 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9310 "obj/conf/cf-parse.tab.c"
    break;

  case 609:
#line 780 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9316 "obj/conf/cf-parse.tab.c"
    break;

  case 610:
#line 781 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9322 "obj/conf/cf-parse.tab.c"
    break;

  case 612:
#line 787 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 9328 "obj/conf/cf-parse.tab.c"
    break;

  case 614:
#line 789 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 9334 "obj/conf/cf-parse.tab.c"
    break;

  case 616:
#line 791 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 9340 "obj/conf/cf-parse.tab.c"
    break;

  case 618:
#line 793 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 9346 "obj/conf/cf-parse.tab.c"
    break;

  case 620:
#line 795 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 9352 "obj/conf/cf-parse.tab.c"
    break;

  case 622:
#line 797 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 9358 "obj/conf/cf-parse.tab.c"
    break;

  case 624:
#line 799 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 9364 "obj/conf/cf-parse.tab.c"
    break;

  case 626:
#line 801 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 9370 "obj/conf/cf-parse.tab.c"
    break;

  case 628:
#line 803 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 9376 "obj/conf/cf-parse.tab.c"
    break;

  case 630:
#line 806 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x))); }
#line 9382 "obj/conf/cf-parse.tab.c"
    break;

  case 632:
#line 809 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9391 "obj/conf/cf-parse.tab.c"
    break;

  case 633:
#line 815 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9397 "obj/conf/cf-parse.tab.c"
    break;

  case 634:
#line 816 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9403 "obj/conf/cf-parse.tab.c"
    break;

  case 635:
#line 817 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 9409 "obj/conf/cf-parse.tab.c"
    break;

  case 636:
#line 821 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 9415 "obj/conf/cf-parse.tab.c"
    break;

  case 637:
#line 822 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9424 "obj/conf/cf-parse.tab.c"
    break;

  case 639:
#line 829 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9430 "obj/conf/cf-parse.tab.c"
    break;

  case 641:
#line 831 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9436 "obj/conf/cf-parse.tab.c"
    break;

  case 643:
#line 833 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9442 "obj/conf/cf-parse.tab.c"
    break;

  case 645:
#line 835 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 9448 "obj/conf/cf-parse.tab.c"
    break;

  case 647:
#line 837 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 9454 "obj/conf/cf-parse.tab.c"
    break;

  case 649:
#line 839 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 9460 "obj/conf/cf-parse.tab.c"
    break;

  case 651:
#line 843 "nest/config.Y"
{ /* Done in debug_args */  }
#line 9466 "obj/conf/cf-parse.tab.c"
    break;

  case 652:
#line 846 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 9472 "obj/conf/cf-parse.tab.c"
    break;

  case 653:
#line 847 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 9478 "obj/conf/cf-parse.tab.c"
    break;

  case 655:
#line 852 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 9484 "obj/conf/cf-parse.tab.c"
    break;

  case 657:
#line 855 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 9490 "obj/conf/cf-parse.tab.c"
    break;

  case 658:
#line 858 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9496 "obj/conf/cf-parse.tab.c"
    break;

  case 659:
#line 859 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9502 "obj/conf/cf-parse.tab.c"
    break;

  case 660:
#line 860 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9508 "obj/conf/cf-parse.tab.c"
    break;

  case 661:
#line 864 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9514 "obj/conf/cf-parse.tab.c"
    break;

  case 662:
#line 865 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9520 "obj/conf/cf-parse.tab.c"
    break;

  case 663:
#line 866 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9526 "obj/conf/cf-parse.tab.c"
    break;

  case 664:
#line 869 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 9532 "obj/conf/cf-parse.tab.c"
    break;

  case 666:
#line 37 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 9544 "obj/conf/cf-parse.tab.c"
    break;

  case 675:
#line 63 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 9550 "obj/conf/cf-parse.tab.c"
    break;

  case 676:
#line 64 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 9556 "obj/conf/cf-parse.tab.c"
    break;

  case 677:
#line 65 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 9562 "obj/conf/cf-parse.tab.c"
    break;

  case 678:
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 9568 "obj/conf/cf-parse.tab.c"
    break;

  case 679:
#line 70 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 9577 "obj/conf/cf-parse.tab.c"
    break;

  case 681:
#line 78 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 9594 "obj/conf/cf-parse.tab.c"
    break;

  case 682:
#line 92 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 9617 "obj/conf/cf-parse.tab.c"
    break;

  case 683:
#line 112 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9623 "obj/conf/cf-parse.tab.c"
    break;

  case 684:
#line 113 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 9629 "obj/conf/cf-parse.tab.c"
    break;

  case 685:
#line 114 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9635 "obj/conf/cf-parse.tab.c"
    break;

  case 686:
#line 115 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 9641 "obj/conf/cf-parse.tab.c"
    break;

  case 687:
#line 116 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 9647 "obj/conf/cf-parse.tab.c"
    break;

  case 688:
#line 117 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 9653 "obj/conf/cf-parse.tab.c"
    break;

  case 689:
#line 118 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 9659 "obj/conf/cf-parse.tab.c"
    break;

  case 690:
#line 119 "proto/bfd/config.Y"
                 {}
#line 9665 "obj/conf/cf-parse.tab.c"
    break;

  case 691:
#line 123 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 9671 "obj/conf/cf-parse.tab.c"
    break;

  case 692:
#line 124 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 9677 "obj/conf/cf-parse.tab.c"
    break;

  case 693:
#line 125 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 9683 "obj/conf/cf-parse.tab.c"
    break;

  case 694:
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 9689 "obj/conf/cf-parse.tab.c"
    break;

  case 695:
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 9695 "obj/conf/cf-parse.tab.c"
    break;

  case 696:
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 9701 "obj/conf/cf-parse.tab.c"
    break;

  case 702:
#line 146 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 9707 "obj/conf/cf-parse.tab.c"
    break;

  case 703:
#line 150 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 9713 "obj/conf/cf-parse.tab.c"
    break;

  case 704:
#line 151 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 9719 "obj/conf/cf-parse.tab.c"
    break;

  case 705:
#line 152 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 9725 "obj/conf/cf-parse.tab.c"
    break;

  case 706:
#line 156 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 9731 "obj/conf/cf-parse.tab.c"
    break;

  case 707:
#line 157 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 9737 "obj/conf/cf-parse.tab.c"
    break;

  case 708:
#line 161 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 9743 "obj/conf/cf-parse.tab.c"
    break;

  case 709:
#line 162 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 9749 "obj/conf/cf-parse.tab.c"
    break;

  case 710:
#line 166 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 9769 "obj/conf/cf-parse.tab.c"
    break;

  case 712:
#line 185 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 9775 "obj/conf/cf-parse.tab.c"
    break;

  case 714:
#line 35 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 9785 "obj/conf/cf-parse.tab.c"
    break;

  case 718:
#line 45 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 9791 "obj/conf/cf-parse.tab.c"
    break;

  case 722:
#line 58 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 9807 "obj/conf/cf-parse.tab.c"
    break;

  case 723:
#line 72 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);
}
#line 9835 "obj/conf/cf-parse.tab.c"
    break;

  case 725:
#line 98 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9841 "obj/conf/cf-parse.tab.c"
    break;

  case 726:
#line 99 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 9847 "obj/conf/cf-parse.tab.c"
    break;

  case 727:
#line 100 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 9853 "obj/conf/cf-parse.tab.c"
    break;

  case 728:
#line 101 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 9859 "obj/conf/cf-parse.tab.c"
    break;

  case 729:
#line 102 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 9865 "obj/conf/cf-parse.tab.c"
    break;

  case 730:
#line 103 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 9871 "obj/conf/cf-parse.tab.c"
    break;

  case 731:
#line 104 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 9877 "obj/conf/cf-parse.tab.c"
    break;

  case 732:
#line 105 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 9883 "obj/conf/cf-parse.tab.c"
    break;

  case 733:
#line 106 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 9889 "obj/conf/cf-parse.tab.c"
    break;

  case 734:
#line 107 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 9895 "obj/conf/cf-parse.tab.c"
    break;

  case 735:
#line 108 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 9901 "obj/conf/cf-parse.tab.c"
    break;

  case 736:
#line 109 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 9907 "obj/conf/cf-parse.tab.c"
    break;

  case 737:
#line 110 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 9913 "obj/conf/cf-parse.tab.c"
    break;

  case 738:
#line 111 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 9919 "obj/conf/cf-parse.tab.c"
    break;

  case 744:
#line 128 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 9925 "obj/conf/cf-parse.tab.c"
    break;

  case 746:
#line 133 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 9931 "obj/conf/cf-parse.tab.c"
    break;

  case 748:
#line 136 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 9937 "obj/conf/cf-parse.tab.c"
    break;

  case 750:
#line 139 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 9943 "obj/conf/cf-parse.tab.c"
    break;

  case 752:
#line 142 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 9949 "obj/conf/cf-parse.tab.c"
    break;

  case 754:
#line 49 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 9983 "obj/conf/cf-parse.tab.c"
    break;

  case 756:
#line 82 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9989 "obj/conf/cf-parse.tab.c"
    break;

  case 757:
#line 83 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 9995 "obj/conf/cf-parse.tab.c"
    break;

  case 759:
#line 88 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10001 "obj/conf/cf-parse.tab.c"
    break;

  case 760:
#line 89 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 10007 "obj/conf/cf-parse.tab.c"
    break;

  case 761:
#line 90 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 10013 "obj/conf/cf-parse.tab.c"
    break;

  case 762:
#line 91 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 10019 "obj/conf/cf-parse.tab.c"
    break;

  case 763:
#line 96 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 10025 "obj/conf/cf-parse.tab.c"
    break;

  case 764:
#line 97 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 10031 "obj/conf/cf-parse.tab.c"
    break;

  case 766:
#line 102 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10037 "obj/conf/cf-parse.tab.c"
    break;

  case 767:
#line 106 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 10043 "obj/conf/cf-parse.tab.c"
    break;

  case 768:
#line 107 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 10049 "obj/conf/cf-parse.tab.c"
    break;

  case 769:
#line 108 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 10055 "obj/conf/cf-parse.tab.c"
    break;

  case 770:
#line 109 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 10061 "obj/conf/cf-parse.tab.c"
    break;

  case 771:
#line 110 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 10067 "obj/conf/cf-parse.tab.c"
    break;

  case 772:
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 10073 "obj/conf/cf-parse.tab.c"
    break;

  case 773:
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 10079 "obj/conf/cf-parse.tab.c"
    break;

  case 774:
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 10085 "obj/conf/cf-parse.tab.c"
    break;

  case 775:
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 10091 "obj/conf/cf-parse.tab.c"
    break;

  case 780:
#line 122 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10100 "obj/conf/cf-parse.tab.c"
    break;

  case 782:
#line 127 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10111 "obj/conf/cf-parse.tab.c"
    break;

  case 783:
#line 133 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 10123 "obj/conf/cf-parse.tab.c"
    break;

  case 784:
#line 140 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 10129 "obj/conf/cf-parse.tab.c"
    break;

  case 785:
#line 141 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 10135 "obj/conf/cf-parse.tab.c"
    break;

  case 786:
#line 142 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 10141 "obj/conf/cf-parse.tab.c"
    break;

  case 787:
#line 143 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 10147 "obj/conf/cf-parse.tab.c"
    break;

  case 788:
#line 144 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 10153 "obj/conf/cf-parse.tab.c"
    break;

  case 789:
#line 145 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 10159 "obj/conf/cf-parse.tab.c"
    break;

  case 790:
#line 146 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 10165 "obj/conf/cf-parse.tab.c"
    break;

  case 791:
#line 147 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 10171 "obj/conf/cf-parse.tab.c"
    break;

  case 792:
#line 148 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 10177 "obj/conf/cf-parse.tab.c"
    break;

  case 793:
#line 149 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 10183 "obj/conf/cf-parse.tab.c"
    break;

  case 794:
#line 150 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 10189 "obj/conf/cf-parse.tab.c"
    break;

  case 795:
#line 151 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 10199 "obj/conf/cf-parse.tab.c"
    break;

  case 796:
#line 156 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 10205 "obj/conf/cf-parse.tab.c"
    break;

  case 797:
#line 157 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 10211 "obj/conf/cf-parse.tab.c"
    break;

  case 798:
#line 158 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 10217 "obj/conf/cf-parse.tab.c"
    break;

  case 799:
#line 159 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 10223 "obj/conf/cf-parse.tab.c"
    break;

  case 800:
#line 160 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 10229 "obj/conf/cf-parse.tab.c"
    break;

  case 801:
#line 161 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 10235 "obj/conf/cf-parse.tab.c"
    break;

  case 802:
#line 162 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 10241 "obj/conf/cf-parse.tab.c"
    break;

  case 803:
#line 163 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 10247 "obj/conf/cf-parse.tab.c"
    break;

  case 804:
#line 164 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 10253 "obj/conf/cf-parse.tab.c"
    break;

  case 805:
#line 165 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 10259 "obj/conf/cf-parse.tab.c"
    break;

  case 806:
#line 166 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 10265 "obj/conf/cf-parse.tab.c"
    break;

  case 807:
#line 167 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 10271 "obj/conf/cf-parse.tab.c"
    break;

  case 808:
#line 168 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 10277 "obj/conf/cf-parse.tab.c"
    break;

  case 809:
#line 169 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 10283 "obj/conf/cf-parse.tab.c"
    break;

  case 810:
#line 170 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 10289 "obj/conf/cf-parse.tab.c"
    break;

  case 811:
#line 171 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 10295 "obj/conf/cf-parse.tab.c"
    break;

  case 812:
#line 172 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 10301 "obj/conf/cf-parse.tab.c"
    break;

  case 813:
#line 173 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 10307 "obj/conf/cf-parse.tab.c"
    break;

  case 814:
#line 174 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 10313 "obj/conf/cf-parse.tab.c"
    break;

  case 815:
#line 175 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 10319 "obj/conf/cf-parse.tab.c"
    break;

  case 816:
#line 176 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 10325 "obj/conf/cf-parse.tab.c"
    break;

  case 817:
#line 177 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 10331 "obj/conf/cf-parse.tab.c"
    break;

  case 818:
#line 178 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 10337 "obj/conf/cf-parse.tab.c"
    break;

  case 819:
#line 179 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 10343 "obj/conf/cf-parse.tab.c"
    break;

  case 820:
#line 180 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10349 "obj/conf/cf-parse.tab.c"
    break;

  case 821:
#line 181 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10355 "obj/conf/cf-parse.tab.c"
    break;

  case 822:
#line 182 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10361 "obj/conf/cf-parse.tab.c"
    break;

  case 823:
#line 183 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 10367 "obj/conf/cf-parse.tab.c"
    break;

  case 824:
#line 184 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10373 "obj/conf/cf-parse.tab.c"
    break;

  case 825:
#line 185 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10379 "obj/conf/cf-parse.tab.c"
    break;

  case 826:
#line 186 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 10385 "obj/conf/cf-parse.tab.c"
    break;

  case 827:
#line 187 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 10391 "obj/conf/cf-parse.tab.c"
    break;

  case 828:
#line 188 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 10397 "obj/conf/cf-parse.tab.c"
    break;

  case 829:
#line 189 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 10403 "obj/conf/cf-parse.tab.c"
    break;

  case 830:
#line 190 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 10409 "obj/conf/cf-parse.tab.c"
    break;

  case 831:
#line 191 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 10415 "obj/conf/cf-parse.tab.c"
    break;

  case 832:
#line 192 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 10421 "obj/conf/cf-parse.tab.c"
    break;

  case 833:
#line 193 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 10427 "obj/conf/cf-parse.tab.c"
    break;

  case 834:
#line 194 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 10433 "obj/conf/cf-parse.tab.c"
    break;

  case 835:
#line 195 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 10439 "obj/conf/cf-parse.tab.c"
    break;

  case 836:
#line 196 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 10445 "obj/conf/cf-parse.tab.c"
    break;

  case 837:
#line 197 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 10451 "obj/conf/cf-parse.tab.c"
    break;

  case 838:
#line 197 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 10457 "obj/conf/cf-parse.tab.c"
    break;

  case 840:
#line 198 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 10463 "obj/conf/cf-parse.tab.c"
    break;

  case 841:
#line 202 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 10469 "obj/conf/cf-parse.tab.c"
    break;

  case 842:
#line 203 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 10475 "obj/conf/cf-parse.tab.c"
    break;

  case 843:
#line 204 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 10481 "obj/conf/cf-parse.tab.c"
    break;

  case 844:
#line 205 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 10487 "obj/conf/cf-parse.tab.c"
    break;

  case 845:
#line 206 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 10493 "obj/conf/cf-parse.tab.c"
    break;

  case 846:
#line 207 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 10499 "obj/conf/cf-parse.tab.c"
    break;

  case 847:
#line 208 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 10505 "obj/conf/cf-parse.tab.c"
    break;

  case 848:
#line 209 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 10511 "obj/conf/cf-parse.tab.c"
    break;

  case 849:
#line 210 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 10517 "obj/conf/cf-parse.tab.c"
    break;

  case 850:
#line 211 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 10523 "obj/conf/cf-parse.tab.c"
    break;

  case 851:
#line 212 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 10529 "obj/conf/cf-parse.tab.c"
    break;

  case 852:
#line 213 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 10535 "obj/conf/cf-parse.tab.c"
    break;

  case 853:
#line 217 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 10563 "obj/conf/cf-parse.tab.c"
    break;

  case 854:
#line 242 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 10569 "obj/conf/cf-parse.tab.c"
    break;

  case 855:
#line 243 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 10575 "obj/conf/cf-parse.tab.c"
    break;

  case 856:
#line 244 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 10581 "obj/conf/cf-parse.tab.c"
    break;

  case 861:
#line 250 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 10587 "obj/conf/cf-parse.tab.c"
    break;

  case 862:
#line 251 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 10593 "obj/conf/cf-parse.tab.c"
    break;

  case 863:
#line 252 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 10599 "obj/conf/cf-parse.tab.c"
    break;

  case 864:
#line 253 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 10605 "obj/conf/cf-parse.tab.c"
    break;

  case 865:
#line 254 "proto/bgp/config.Y"
                             { log(L_WARN "%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 10611 "obj/conf/cf-parse.tab.c"
    break;

  case 866:
#line 255 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 10617 "obj/conf/cf-parse.tab.c"
    break;

  case 867:
#line 256 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 10623 "obj/conf/cf-parse.tab.c"
    break;

  case 868:
#line 257 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 10629 "obj/conf/cf-parse.tab.c"
    break;

  case 869:
#line 258 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 10635 "obj/conf/cf-parse.tab.c"
    break;

  case 870:
#line 259 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 10641 "obj/conf/cf-parse.tab.c"
    break;

  case 871:
#line 260 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 10647 "obj/conf/cf-parse.tab.c"
    break;

  case 872:
#line 261 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 10653 "obj/conf/cf-parse.tab.c"
    break;

  case 873:
#line 262 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 10659 "obj/conf/cf-parse.tab.c"
    break;

  case 874:
#line 263 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 10665 "obj/conf/cf-parse.tab.c"
    break;

  case 875:
#line 264 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 10671 "obj/conf/cf-parse.tab.c"
    break;

  case 876:
#line 265 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 10677 "obj/conf/cf-parse.tab.c"
    break;

  case 877:
#line 266 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 10683 "obj/conf/cf-parse.tab.c"
    break;

  case 878:
#line 267 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 10689 "obj/conf/cf-parse.tab.c"
    break;

  case 879:
#line 268 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 10695 "obj/conf/cf-parse.tab.c"
    break;

  case 880:
#line 269 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 10701 "obj/conf/cf-parse.tab.c"
    break;

  case 881:
#line 270 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 10717 "obj/conf/cf-parse.tab.c"
    break;

  case 886:
#line 294 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10728 "obj/conf/cf-parse.tab.c"
    break;

  case 888:
#line 305 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 10734 "obj/conf/cf-parse.tab.c"
    break;

  case 889:
#line 307 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 10740 "obj/conf/cf-parse.tab.c"
    break;

  case 890:
#line 309 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 10746 "obj/conf/cf-parse.tab.c"
    break;

  case 891:
#line 311 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 10752 "obj/conf/cf-parse.tab.c"
    break;

  case 892:
#line 313 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 10758 "obj/conf/cf-parse.tab.c"
    break;

  case 893:
#line 315 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 10764 "obj/conf/cf-parse.tab.c"
    break;

  case 894:
#line 317 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 10770 "obj/conf/cf-parse.tab.c"
    break;

  case 895:
#line 319 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 10776 "obj/conf/cf-parse.tab.c"
    break;

  case 896:
#line 321 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 10782 "obj/conf/cf-parse.tab.c"
    break;

  case 897:
#line 323 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 10788 "obj/conf/cf-parse.tab.c"
    break;

  case 898:
#line 325 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 10794 "obj/conf/cf-parse.tab.c"
    break;

  case 899:
#line 327 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 10800 "obj/conf/cf-parse.tab.c"
    break;

  case 900:
#line 329 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 10806 "obj/conf/cf-parse.tab.c"
    break;

  case 902:
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 10814 "obj/conf/cf-parse.tab.c"
    break;

  case 904:
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 10820 "obj/conf/cf-parse.tab.c"
    break;

  case 905:
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 10826 "obj/conf/cf-parse.tab.c"
    break;

  case 906:
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 10832 "obj/conf/cf-parse.tab.c"
    break;

  case 907:
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 10838 "obj/conf/cf-parse.tab.c"
    break;

  case 908:
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 10844 "obj/conf/cf-parse.tab.c"
    break;

  case 909:
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 10850 "obj/conf/cf-parse.tab.c"
    break;

  case 910:
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 10856 "obj/conf/cf-parse.tab.c"
    break;

  case 913:
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 10862 "obj/conf/cf-parse.tab.c"
    break;

  case 915:
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 10868 "obj/conf/cf-parse.tab.c"
    break;

  case 916:
#line 57 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 10874 "obj/conf/cf-parse.tab.c"
    break;

  case 917:
#line 58 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 10880 "obj/conf/cf-parse.tab.c"
    break;

  case 918:
#line 59 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 10886 "obj/conf/cf-parse.tab.c"
    break;

  case 919:
#line 60 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10892 "obj/conf/cf-parse.tab.c"
    break;

  case 920:
#line 61 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10898 "obj/conf/cf-parse.tab.c"
    break;

  case 921:
#line 62 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 10904 "obj/conf/cf-parse.tab.c"
    break;

  case 922:
#line 211 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 10910 "obj/conf/cf-parse.tab.c"
    break;

  case 923:
#line 214 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 10916 "obj/conf/cf-parse.tab.c"
    break;

  case 924:
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 10922 "obj/conf/cf-parse.tab.c"
    break;

  case 925:
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 10928 "obj/conf/cf-parse.tab.c"
    break;

  case 926:
#line 220 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 10946 "obj/conf/cf-parse.tab.c"
    break;

  case 929:
#line 240 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 10952 "obj/conf/cf-parse.tab.c"
    break;

  case 930:
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 10958 "obj/conf/cf-parse.tab.c"
    break;

  case 931:
#line 246 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  if (this_channel == proto_cf_main_channel(this_proto))
    OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 10971 "obj/conf/cf-parse.tab.c"
    break;

  case 934:
#line 259 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10977 "obj/conf/cf-parse.tab.c"
    break;

  case 935:
#line 260 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 10983 "obj/conf/cf-parse.tab.c"
    break;

  case 936:
#line 261 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 10989 "obj/conf/cf-parse.tab.c"
    break;

  case 937:
#line 262 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 10995 "obj/conf/cf-parse.tab.c"
    break;

  case 938:
#line 263 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 11001 "obj/conf/cf-parse.tab.c"
    break;

  case 939:
#line 264 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 11007 "obj/conf/cf-parse.tab.c"
    break;

  case 940:
#line 265 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 11013 "obj/conf/cf-parse.tab.c"
    break;

  case 941:
#line 266 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 11019 "obj/conf/cf-parse.tab.c"
    break;

  case 942:
#line 267 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 11025 "obj/conf/cf-parse.tab.c"
    break;

  case 943:
#line 268 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11031 "obj/conf/cf-parse.tab.c"
    break;

  case 944:
#line 269 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 11037 "obj/conf/cf-parse.tab.c"
    break;

  case 945:
#line 270 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 11043 "obj/conf/cf-parse.tab.c"
    break;

  case 946:
#line 271 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11049 "obj/conf/cf-parse.tab.c"
    break;

  case 948:
#line 275 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 11067 "obj/conf/cf-parse.tab.c"
    break;

  case 949:
#line 290 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 11073 "obj/conf/cf-parse.tab.c"
    break;

  case 952:
#line 299 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 11079 "obj/conf/cf-parse.tab.c"
    break;

  case 953:
#line 300 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 11085 "obj/conf/cf-parse.tab.c"
    break;

  case 954:
#line 301 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 11091 "obj/conf/cf-parse.tab.c"
    break;

  case 955:
#line 302 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 11097 "obj/conf/cf-parse.tab.c"
    break;

  case 956:
#line 303 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11103 "obj/conf/cf-parse.tab.c"
    break;

  case 957:
#line 304 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 11109 "obj/conf/cf-parse.tab.c"
    break;

  case 958:
#line 305 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11115 "obj/conf/cf-parse.tab.c"
    break;

  case 959:
#line 306 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 11121 "obj/conf/cf-parse.tab.c"
    break;

  case 960:
#line 307 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 11127 "obj/conf/cf-parse.tab.c"
    break;

  case 961:
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 11133 "obj/conf/cf-parse.tab.c"
    break;

  case 963:
#line 309 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 11139 "obj/conf/cf-parse.tab.c"
    break;

  case 970:
#line 321 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 11150 "obj/conf/cf-parse.tab.c"
    break;

  case 973:
#line 335 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 11156 "obj/conf/cf-parse.tab.c"
    break;

  case 974:
#line 336 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 11162 "obj/conf/cf-parse.tab.c"
    break;

  case 975:
#line 337 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 11168 "obj/conf/cf-parse.tab.c"
    break;

  case 976:
#line 341 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 11174 "obj/conf/cf-parse.tab.c"
    break;

  case 977:
#line 342 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 11180 "obj/conf/cf-parse.tab.c"
    break;

  case 981:
#line 351 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11186 "obj/conf/cf-parse.tab.c"
    break;

  case 982:
#line 352 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11192 "obj/conf/cf-parse.tab.c"
    break;

  case 983:
#line 353 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11198 "obj/conf/cf-parse.tab.c"
    break;

  case 984:
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11204 "obj/conf/cf-parse.tab.c"
    break;

  case 985:
#line 355 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11210 "obj/conf/cf-parse.tab.c"
    break;

  case 986:
#line 356 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11216 "obj/conf/cf-parse.tab.c"
    break;

  case 987:
#line 357 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 11222 "obj/conf/cf-parse.tab.c"
    break;

  case 988:
#line 358 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11228 "obj/conf/cf-parse.tab.c"
    break;

  case 989:
#line 359 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11234 "obj/conf/cf-parse.tab.c"
    break;

  case 991:
#line 364 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 11254 "obj/conf/cf-parse.tab.c"
    break;

  case 992:
#line 382 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 11260 "obj/conf/cf-parse.tab.c"
    break;

  case 993:
#line 383 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11266 "obj/conf/cf-parse.tab.c"
    break;

  case 994:
#line 384 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 11272 "obj/conf/cf-parse.tab.c"
    break;

  case 995:
#line 385 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11278 "obj/conf/cf-parse.tab.c"
    break;

  case 996:
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11284 "obj/conf/cf-parse.tab.c"
    break;

  case 997:
#line 387 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11290 "obj/conf/cf-parse.tab.c"
    break;

  case 998:
#line 388 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11296 "obj/conf/cf-parse.tab.c"
    break;

  case 999:
#line 389 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11302 "obj/conf/cf-parse.tab.c"
    break;

  case 1000:
#line 390 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11308 "obj/conf/cf-parse.tab.c"
    break;

  case 1001:
#line 391 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11314 "obj/conf/cf-parse.tab.c"
    break;

  case 1002:
#line 392 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11320 "obj/conf/cf-parse.tab.c"
    break;

  case 1003:
#line 393 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11326 "obj/conf/cf-parse.tab.c"
    break;

  case 1004:
#line 394 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11332 "obj/conf/cf-parse.tab.c"
    break;

  case 1005:
#line 395 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11338 "obj/conf/cf-parse.tab.c"
    break;

  case 1006:
#line 396 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11344 "obj/conf/cf-parse.tab.c"
    break;

  case 1007:
#line 397 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 11350 "obj/conf/cf-parse.tab.c"
    break;

  case 1008:
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 11356 "obj/conf/cf-parse.tab.c"
    break;

  case 1009:
#line 399 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 11362 "obj/conf/cf-parse.tab.c"
    break;

  case 1010:
#line 400 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11368 "obj/conf/cf-parse.tab.c"
    break;

  case 1011:
#line 401 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 11374 "obj/conf/cf-parse.tab.c"
    break;

  case 1012:
#line 402 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 11380 "obj/conf/cf-parse.tab.c"
    break;

  case 1013:
#line 403 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 11386 "obj/conf/cf-parse.tab.c"
    break;

  case 1014:
#line 404 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 11392 "obj/conf/cf-parse.tab.c"
    break;

  case 1015:
#line 405 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11398 "obj/conf/cf-parse.tab.c"
    break;

  case 1016:
#line 406 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 11404 "obj/conf/cf-parse.tab.c"
    break;

  case 1018:
#line 408 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 11410 "obj/conf/cf-parse.tab.c"
    break;

  case 1019:
#line 409 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11416 "obj/conf/cf-parse.tab.c"
    break;

  case 1020:
#line 410 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11422 "obj/conf/cf-parse.tab.c"
    break;

  case 1021:
#line 411 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 11428 "obj/conf/cf-parse.tab.c"
    break;

  case 1022:
#line 412 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 11434 "obj/conf/cf-parse.tab.c"
    break;

  case 1023:
#line 413 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 11440 "obj/conf/cf-parse.tab.c"
    break;

  case 1024:
#line 414 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 11446 "obj/conf/cf-parse.tab.c"
    break;

  case 1025:
#line 415 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 11452 "obj/conf/cf-parse.tab.c"
    break;

  case 1026:
#line 416 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 11458 "obj/conf/cf-parse.tab.c"
    break;

  case 1027:
#line 417 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 11464 "obj/conf/cf-parse.tab.c"
    break;

  case 1028:
#line 418 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 11470 "obj/conf/cf-parse.tab.c"
    break;

  case 1029:
#line 419 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 11476 "obj/conf/cf-parse.tab.c"
    break;

  case 1034:
#line 431 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 11486 "obj/conf/cf-parse.tab.c"
    break;

  case 1036:
#line 440 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 11492 "obj/conf/cf-parse.tab.c"
    break;

  case 1037:
#line 441 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 11498 "obj/conf/cf-parse.tab.c"
    break;

  case 1040:
#line 450 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 11504 "obj/conf/cf-parse.tab.c"
    break;

  case 1041:
#line 451 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 11510 "obj/conf/cf-parse.tab.c"
    break;

  case 1042:
#line 455 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 11521 "obj/conf/cf-parse.tab.c"
    break;

  case 1043:
#line 464 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 11546 "obj/conf/cf-parse.tab.c"
    break;

  case 1045:
#line 488 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11552 "obj/conf/cf-parse.tab.c"
    break;

  case 1046:
#line 492 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 11558 "obj/conf/cf-parse.tab.c"
    break;

  case 1052:
#line 506 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 11564 "obj/conf/cf-parse.tab.c"
    break;

  case 1053:
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 11570 "obj/conf/cf-parse.tab.c"
    break;

  case 1054:
#line 510 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 11576 "obj/conf/cf-parse.tab.c"
    break;

  case 1055:
#line 511 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 11582 "obj/conf/cf-parse.tab.c"
    break;

  case 1056:
#line 512 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 11588 "obj/conf/cf-parse.tab.c"
    break;

  case 1058:
#line 516 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 11594 "obj/conf/cf-parse.tab.c"
    break;

  case 1060:
#line 519 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 11600 "obj/conf/cf-parse.tab.c"
    break;

  case 1062:
#line 522 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 11606 "obj/conf/cf-parse.tab.c"
    break;

  case 1064:
#line 527 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 11612 "obj/conf/cf-parse.tab.c"
    break;

  case 1066:
#line 530 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 11618 "obj/conf/cf-parse.tab.c"
    break;

  case 1068:
#line 535 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 11624 "obj/conf/cf-parse.tab.c"
    break;

  case 1070:
#line 538 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 11630 "obj/conf/cf-parse.tab.c"
    break;

  case 1072:
#line 542 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 11641 "obj/conf/cf-parse.tab.c"
    break;

  case 1073:
#line 550 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 11649 "obj/conf/cf-parse.tab.c"
    break;

  case 1074:
#line 553 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 11655 "obj/conf/cf-parse.tab.c"
    break;

  case 1075:
#line 554 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 11661 "obj/conf/cf-parse.tab.c"
    break;

  case 1076:
#line 555 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 11667 "obj/conf/cf-parse.tab.c"
    break;

  case 1077:
#line 556 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 11673 "obj/conf/cf-parse.tab.c"
    break;

  case 1078:
#line 557 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 11679 "obj/conf/cf-parse.tab.c"
    break;

  case 1079:
#line 558 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 11685 "obj/conf/cf-parse.tab.c"
    break;

  case 1080:
#line 559 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 11691 "obj/conf/cf-parse.tab.c"
    break;

  case 1081:
#line 560 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 11697 "obj/conf/cf-parse.tab.c"
    break;

  case 1083:
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 11713 "obj/conf/cf-parse.tab.c"
    break;

  case 1087:
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11719 "obj/conf/cf-parse.tab.c"
    break;

  case 1088:
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 11725 "obj/conf/cf-parse.tab.c"
    break;

  case 1089:
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 11731 "obj/conf/cf-parse.tab.c"
    break;

  case 1090:
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 11737 "obj/conf/cf-parse.tab.c"
    break;

  case 1091:
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 11743 "obj/conf/cf-parse.tab.c"
    break;

  case 1092:
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 11749 "obj/conf/cf-parse.tab.c"
    break;

  case 1093:
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 11755 "obj/conf/cf-parse.tab.c"
    break;

  case 1094:
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 11761 "obj/conf/cf-parse.tab.c"
    break;

  case 1095:
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 11767 "obj/conf/cf-parse.tab.c"
    break;

  case 1096:
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 11773 "obj/conf/cf-parse.tab.c"
    break;

  case 1097:
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 11779 "obj/conf/cf-parse.tab.c"
    break;

  case 1098:
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 11787 "obj/conf/cf-parse.tab.c"
    break;

  case 1099:
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 11800 "obj/conf/cf-parse.tab.c"
    break;

  case 1103:
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 11806 "obj/conf/cf-parse.tab.c"
    break;

  case 1105:
#line 47 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 11819 "obj/conf/cf-parse.tab.c"
    break;

  case 1109:
#line 60 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 11825 "obj/conf/cf-parse.tab.c"
    break;

  case 1110:
#line 61 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 11831 "obj/conf/cf-parse.tab.c"
    break;

  case 1111:
#line 61 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 11837 "obj/conf/cf-parse.tab.c"
    break;

  case 1112:
#line 62 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 11843 "obj/conf/cf-parse.tab.c"
    break;

  case 1113:
#line 62 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 11849 "obj/conf/cf-parse.tab.c"
    break;

  case 1114:
#line 63 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 11855 "obj/conf/cf-parse.tab.c"
    break;

  case 1115:
#line 64 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 11861 "obj/conf/cf-parse.tab.c"
    break;

  case 1119:
#line 77 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 11887 "obj/conf/cf-parse.tab.c"
    break;

  case 1120:
#line 100 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 11893 "obj/conf/cf-parse.tab.c"
    break;

  case 1121:
#line 101 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 11899 "obj/conf/cf-parse.tab.c"
    break;

  case 1122:
#line 102 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 11905 "obj/conf/cf-parse.tab.c"
    break;

  case 1123:
#line 103 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 11911 "obj/conf/cf-parse.tab.c"
    break;

  case 1124:
#line 104 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 11917 "obj/conf/cf-parse.tab.c"
    break;

  case 1125:
#line 105 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 11923 "obj/conf/cf-parse.tab.c"
    break;

  case 1126:
#line 106 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 11929 "obj/conf/cf-parse.tab.c"
    break;

  case 1127:
#line 107 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 11935 "obj/conf/cf-parse.tab.c"
    break;

  case 1128:
#line 108 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 11941 "obj/conf/cf-parse.tab.c"
    break;

  case 1129:
#line 109 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 11947 "obj/conf/cf-parse.tab.c"
    break;

  case 1130:
#line 110 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11957 "obj/conf/cf-parse.tab.c"
    break;

  case 1131:
#line 115 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11966 "obj/conf/cf-parse.tab.c"
    break;

  case 1132:
#line 119 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 11972 "obj/conf/cf-parse.tab.c"
    break;

  case 1133:
#line 120 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 11978 "obj/conf/cf-parse.tab.c"
    break;

  case 1134:
#line 121 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 11984 "obj/conf/cf-parse.tab.c"
    break;

  case 1135:
#line 122 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 11990 "obj/conf/cf-parse.tab.c"
    break;

  case 1136:
#line 123 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 11996 "obj/conf/cf-parse.tab.c"
    break;

  case 1137:
#line 124 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12002 "obj/conf/cf-parse.tab.c"
    break;

  case 1138:
#line 124 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 12008 "obj/conf/cf-parse.tab.c"
    break;

  case 1139:
#line 125 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12014 "obj/conf/cf-parse.tab.c"
    break;

  case 1140:
#line 125 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 12020 "obj/conf/cf-parse.tab.c"
    break;

  case 1141:
#line 126 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 12026 "obj/conf/cf-parse.tab.c"
    break;

  case 1142:
#line 127 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 12032 "obj/conf/cf-parse.tab.c"
    break;

  case 1143:
#line 131 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 12038 "obj/conf/cf-parse.tab.c"
    break;

  case 1144:
#line 132 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 12044 "obj/conf/cf-parse.tab.c"
    break;

  case 1145:
#line 133 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 12050 "obj/conf/cf-parse.tab.c"
    break;

  case 1146:
#line 136 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 12091 "obj/conf/cf-parse.tab.c"
    break;

  case 1152:
#line 189 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 12105 "obj/conf/cf-parse.tab.c"
    break;

  case 1153:
#line 200 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 12111 "obj/conf/cf-parse.tab.c"
    break;

  case 1154:
#line 201 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 12117 "obj/conf/cf-parse.tab.c"
    break;

  case 1155:
#line 202 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 12123 "obj/conf/cf-parse.tab.c"
    break;

  case 1156:
#line 203 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12132 "obj/conf/cf-parse.tab.c"
    break;

  case 1157:
#line 207 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12141 "obj/conf/cf-parse.tab.c"
    break;

  case 1158:
#line 214 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 12153 "obj/conf/cf-parse.tab.c"
    break;

  case 1164:
#line 238 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12165 "obj/conf/cf-parse.tab.c"
    break;

  case 1165:
#line 247 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12174 "obj/conf/cf-parse.tab.c"
    break;

  case 1168:
#line 254 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 12180 "obj/conf/cf-parse.tab.c"
    break;

  case 1169:
#line 258 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 12196 "obj/conf/cf-parse.tab.c"
    break;

  case 1174:
#line 282 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 12211 "obj/conf/cf-parse.tab.c"
    break;

  case 1175:
#line 294 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12220 "obj/conf/cf-parse.tab.c"
    break;

  case 1178:
#line 301 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 12226 "obj/conf/cf-parse.tab.c"
    break;

  case 1179:
#line 305 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 12242 "obj/conf/cf-parse.tab.c"
    break;

  case 1184:
#line 329 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 12248 "obj/conf/cf-parse.tab.c"
    break;

  case 1185:
#line 330 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 12254 "obj/conf/cf-parse.tab.c"
    break;

  case 1186:
#line 334 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 12260 "obj/conf/cf-parse.tab.c"
    break;

  case 1187:
#line 335 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 12266 "obj/conf/cf-parse.tab.c"
    break;

  case 1188:
#line 338 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 12272 "obj/conf/cf-parse.tab.c"
    break;

  case 1189:
#line 339 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 12278 "obj/conf/cf-parse.tab.c"
    break;

  case 1191:
#line 49 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 12284 "obj/conf/cf-parse.tab.c"
    break;

  case 1192:
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 12290 "obj/conf/cf-parse.tab.c"
    break;

  case 1193:
#line 54 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 12306 "obj/conf/cf-parse.tab.c"
    break;

  case 1196:
#line 69 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 12312 "obj/conf/cf-parse.tab.c"
    break;

  case 1197:
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12318 "obj/conf/cf-parse.tab.c"
    break;

  case 1198:
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 12324 "obj/conf/cf-parse.tab.c"
    break;

  case 1203:
#line 85 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 12352 "obj/conf/cf-parse.tab.c"
    break;

  case 1204:
#line 110 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 12385 "obj/conf/cf-parse.tab.c"
    break;

  case 1205:
#line 140 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 12391 "obj/conf/cf-parse.tab.c"
    break;

  case 1206:
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 12397 "obj/conf/cf-parse.tab.c"
    break;

  case 1207:
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 12403 "obj/conf/cf-parse.tab.c"
    break;

  case 1208:
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 12409 "obj/conf/cf-parse.tab.c"
    break;

  case 1209:
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 12415 "obj/conf/cf-parse.tab.c"
    break;

  case 1210:
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12421 "obj/conf/cf-parse.tab.c"
    break;

  case 1211:
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 12430 "obj/conf/cf-parse.tab.c"
    break;

  case 1212:
#line 150 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 12436 "obj/conf/cf-parse.tab.c"
    break;

  case 1213:
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 12442 "obj/conf/cf-parse.tab.c"
    break;

  case 1214:
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 12448 "obj/conf/cf-parse.tab.c"
    break;

  case 1215:
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 12454 "obj/conf/cf-parse.tab.c"
    break;

  case 1216:
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 12460 "obj/conf/cf-parse.tab.c"
    break;

  case 1217:
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 12466 "obj/conf/cf-parse.tab.c"
    break;

  case 1218:
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 12472 "obj/conf/cf-parse.tab.c"
    break;

  case 1219:
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 12478 "obj/conf/cf-parse.tab.c"
    break;

  case 1220:
#line 158 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 12484 "obj/conf/cf-parse.tab.c"
    break;

  case 1221:
#line 159 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12490 "obj/conf/cf-parse.tab.c"
    break;

  case 1222:
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 12496 "obj/conf/cf-parse.tab.c"
    break;

  case 1223:
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12502 "obj/conf/cf-parse.tab.c"
    break;

  case 1224:
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 12508 "obj/conf/cf-parse.tab.c"
    break;

  case 1225:
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 12514 "obj/conf/cf-parse.tab.c"
    break;

  case 1226:
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 12520 "obj/conf/cf-parse.tab.c"
    break;

  case 1227:
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 12526 "obj/conf/cf-parse.tab.c"
    break;

  case 1228:
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 12532 "obj/conf/cf-parse.tab.c"
    break;

  case 1229:
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12538 "obj/conf/cf-parse.tab.c"
    break;

  case 1230:
#line 168 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 12544 "obj/conf/cf-parse.tab.c"
    break;

  case 1231:
#line 169 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 12550 "obj/conf/cf-parse.tab.c"
    break;

  case 1232:
#line 173 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 12556 "obj/conf/cf-parse.tab.c"
    break;

  case 1233:
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 12562 "obj/conf/cf-parse.tab.c"
    break;

  case 1234:
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12568 "obj/conf/cf-parse.tab.c"
    break;

  case 1235:
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12574 "obj/conf/cf-parse.tab.c"
    break;

  case 1241:
#line 193 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 12580 "obj/conf/cf-parse.tab.c"
    break;

  case 1242:
#line 194 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 12586 "obj/conf/cf-parse.tab.c"
    break;

  case 1244:
#line 199 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 12592 "obj/conf/cf-parse.tab.c"
    break;

  case 1246:
#line 202 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 12598 "obj/conf/cf-parse.tab.c"
    break;

  case 1248:
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 12609 "obj/conf/cf-parse.tab.c"
    break;

  case 1249:
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 12615 "obj/conf/cf-parse.tab.c"
    break;

  case 1258:
#line 64 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 12626 "obj/conf/cf-parse.tab.c"
    break;

  case 1259:
#line 70 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 12637 "obj/conf/cf-parse.tab.c"
    break;

  case 1260:
#line 76 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 12648 "obj/conf/cf-parse.tab.c"
    break;

  case 1261:
#line 82 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 12654 "obj/conf/cf-parse.tab.c"
    break;

  case 1262:
#line 86 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 12660 "obj/conf/cf-parse.tab.c"
    break;

  case 1263:
#line 87 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 12666 "obj/conf/cf-parse.tab.c"
    break;

  case 1264:
#line 90 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 12672 "obj/conf/cf-parse.tab.c"
    break;

  case 1265:
#line 93 "proto/rpki/config.Y"
        {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 12681 "obj/conf/cf-parse.tab.c"
    break;

  case 1266:
#line 97 "proto/rpki/config.Y"
       {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 12694 "obj/conf/cf-parse.tab.c"
    break;

  case 1269:
#line 113 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 12704 "obj/conf/cf-parse.tab.c"
    break;

  case 1270:
#line 120 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 12718 "obj/conf/cf-parse.tab.c"
    break;

  case 1273:
#line 136 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 12724 "obj/conf/cf-parse.tab.c"
    break;

  case 1274:
#line 137 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 12730 "obj/conf/cf-parse.tab.c"
    break;

  case 1275:
#line 138 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 12736 "obj/conf/cf-parse.tab.c"
    break;

  case 1276:
#line 142 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 12745 "obj/conf/cf-parse.tab.c"
    break;

  case 1278:
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 12754 "obj/conf/cf-parse.tab.c"
    break;

  case 1281:
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 12760 "obj/conf/cf-parse.tab.c"
    break;

  case 1282:
#line 66 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 12766 "obj/conf/cf-parse.tab.c"
    break;

  case 1283:
#line 67 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 12779 "obj/conf/cf-parse.tab.c"
    break;

  case 1284:
#line 75 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 12785 "obj/conf/cf-parse.tab.c"
    break;

  case 1285:
#line 79 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 12795 "obj/conf/cf-parse.tab.c"
    break;

  case 1286:
#line 84 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 12805 "obj/conf/cf-parse.tab.c"
    break;

  case 1287:
#line 89 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 12813 "obj/conf/cf-parse.tab.c"
    break;

  case 1288:
#line 92 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 12821 "obj/conf/cf-parse.tab.c"
    break;

  case 1289:
#line 95 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 12830 "obj/conf/cf-parse.tab.c"
    break;

  case 1290:
#line 99 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 12838 "obj/conf/cf-parse.tab.c"
    break;

  case 1293:
#line 109 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 12852 "obj/conf/cf-parse.tab.c"
    break;

  case 1295:
#line 122 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 12861 "obj/conf/cf-parse.tab.c"
    break;

  case 1296:
#line 126 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 12871 "obj/conf/cf-parse.tab.c"
    break;

  case 1297:
#line 131 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 12877 "obj/conf/cf-parse.tab.c"
    break;

  case 1298:
#line 132 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 12883 "obj/conf/cf-parse.tab.c"
    break;

  case 1299:
#line 133 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 12889 "obj/conf/cf-parse.tab.c"
    break;

  case 1300:
#line 134 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 12895 "obj/conf/cf-parse.tab.c"
    break;

  case 1301:
#line 135 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 12901 "obj/conf/cf-parse.tab.c"
    break;

  case 1302:
#line 136 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 12907 "obj/conf/cf-parse.tab.c"
    break;

  case 1303:
#line 140 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 12919 "obj/conf/cf-parse.tab.c"
    break;

  case 1309:
#line 161 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 12925 "obj/conf/cf-parse.tab.c"
    break;

  case 1311:
#line 25 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 12931 "obj/conf/cf-parse.tab.c"
    break;

  case 1312:
#line 26 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 12937 "obj/conf/cf-parse.tab.c"
    break;

  case 1313:
#line 29 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 12943 "obj/conf/cf-parse.tab.c"
    break;

  case 1314:
#line 30 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 12949 "obj/conf/cf-parse.tab.c"
    break;

  case 1315:
#line 31 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 12955 "obj/conf/cf-parse.tab.c"
    break;

  case 1316:
#line 33 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 12961 "obj/conf/cf-parse.tab.c"
    break;

  case 1317:
#line 34 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 12967 "obj/conf/cf-parse.tab.c"
    break;

  case 1318:
#line 35 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 12973 "obj/conf/cf-parse.tab.c"
    break;

  case 1319:
#line 36 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 12979 "obj/conf/cf-parse.tab.c"
    break;

  case 1320:
#line 37 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 12985 "obj/conf/cf-parse.tab.c"
    break;

  case 1321:
#line 38 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 12991 "obj/conf/cf-parse.tab.c"
    break;

  case 1322:
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 12997 "obj/conf/cf-parse.tab.c"
    break;

  case 1323:
#line 40 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 13003 "obj/conf/cf-parse.tab.c"
    break;

  case 1324:
#line 41 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 13009 "obj/conf/cf-parse.tab.c"
    break;

  case 1325:
#line 42 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 13015 "obj/conf/cf-parse.tab.c"
    break;

  case 1326:
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 13021 "obj/conf/cf-parse.tab.c"
    break;

  case 1327:
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 13027 "obj/conf/cf-parse.tab.c"
    break;

  case 1328:
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 13033 "obj/conf/cf-parse.tab.c"
    break;

  case 1329:
#line 49 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 13039 "obj/conf/cf-parse.tab.c"
    break;

  case 1330:
#line 50 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 13045 "obj/conf/cf-parse.tab.c"
    break;

  case 1331:
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 13051 "obj/conf/cf-parse.tab.c"
    break;

  case 1332:
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 13057 "obj/conf/cf-parse.tab.c"
    break;

  case 1333:
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 13063 "obj/conf/cf-parse.tab.c"
    break;

  case 1334:
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 13069 "obj/conf/cf-parse.tab.c"
    break;

  case 1335:
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 13075 "obj/conf/cf-parse.tab.c"
    break;

  case 1336:
#line 56 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 13081 "obj/conf/cf-parse.tab.c"
    break;

  case 1337:
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 13087 "obj/conf/cf-parse.tab.c"
    break;

  case 1338:
#line 58 "sysdep/linux/netlink.Y"
                               { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 13093 "obj/conf/cf-parse.tab.c"
    break;

  case 1339:
#line 60 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 13099 "obj/conf/cf-parse.tab.c"
    break;

  case 1340:
#line 61 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 13105 "obj/conf/cf-parse.tab.c"
    break;

  case 1342:
#line 33 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 13111 "obj/conf/cf-parse.tab.c"
    break;

  case 1343:
#line 35 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 13120 "obj/conf/cf-parse.tab.c"
    break;

  case 1344:
#line 42 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 13126 "obj/conf/cf-parse.tab.c"
    break;

  case 1345:
#line 43 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 13132 "obj/conf/cf-parse.tab.c"
    break;

  case 1347:
#line 48 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 13138 "obj/conf/cf-parse.tab.c"
    break;

  case 1348:
#line 52 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 13153 "obj/conf/cf-parse.tab.c"
    break;

  case 1349:
#line 62 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 13159 "obj/conf/cf-parse.tab.c"
    break;

  case 1350:
#line 63 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 13165 "obj/conf/cf-parse.tab.c"
    break;

  case 1351:
#line 67 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 13171 "obj/conf/cf-parse.tab.c"
    break;

  case 1352:
#line 68 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 13177 "obj/conf/cf-parse.tab.c"
    break;

  case 1353:
#line 72 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 13183 "obj/conf/cf-parse.tab.c"
    break;

  case 1354:
#line 73 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 13189 "obj/conf/cf-parse.tab.c"
    break;

  case 1355:
#line 77 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 13195 "obj/conf/cf-parse.tab.c"
    break;

  case 1356:
#line 78 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 13201 "obj/conf/cf-parse.tab.c"
    break;

  case 1357:
#line 79 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 13207 "obj/conf/cf-parse.tab.c"
    break;

  case 1358:
#line 80 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 13213 "obj/conf/cf-parse.tab.c"
    break;

  case 1359:
#line 81 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 13219 "obj/conf/cf-parse.tab.c"
    break;

  case 1360:
#line 82 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 13225 "obj/conf/cf-parse.tab.c"
    break;

  case 1361:
#line 83 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 13231 "obj/conf/cf-parse.tab.c"
    break;

  case 1362:
#line 84 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 13237 "obj/conf/cf-parse.tab.c"
    break;

  case 1363:
#line 85 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 13243 "obj/conf/cf-parse.tab.c"
    break;

  case 1365:
#line 92 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 13249 "obj/conf/cf-parse.tab.c"
    break;

  case 1366:
#line 93 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 13262 "obj/conf/cf-parse.tab.c"
    break;

  case 1368:
#line 107 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 13268 "obj/conf/cf-parse.tab.c"
    break;

  case 1369:
#line 108 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 13274 "obj/conf/cf-parse.tab.c"
    break;

  case 1370:
#line 109 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 13280 "obj/conf/cf-parse.tab.c"
    break;

  case 1371:
#line 110 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 13286 "obj/conf/cf-parse.tab.c"
    break;

  case 1373:
#line 119 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 13292 "obj/conf/cf-parse.tab.c"
    break;

  case 1375:
#line 122 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 13298 "obj/conf/cf-parse.tab.c"
    break;

  case 1377:
#line 129 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 13304 "obj/conf/cf-parse.tab.c"
    break;

  case 1379:
#line 132 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 13310 "obj/conf/cf-parse.tab.c"
    break;

  case 1381:
#line 135 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 13316 "obj/conf/cf-parse.tab.c"
    break;

  case 1383:
#line 138 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 13322 "obj/conf/cf-parse.tab.c"
    break;

  case 1385:
#line 141 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 13328 "obj/conf/cf-parse.tab.c"
    break;

  case 1387:
#line 146 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 13334 "obj/conf/cf-parse.tab.c"
    break;

  case 1388:
#line 150 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 13340 "obj/conf/cf-parse.tab.c"
    break;

  case 1390:
#line 155 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 13346 "obj/conf/cf-parse.tab.c"
    break;

  case 1391:
#line 156 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 13352 "obj/conf/cf-parse.tab.c"
    break;

  case 1392:
#line 157 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 13358 "obj/conf/cf-parse.tab.c"
    break;

  case 1394:
#line 43 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 13366 "obj/conf/cf-parse.tab.c"
    break;

  case 1397:
#line 52 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 13372 "obj/conf/cf-parse.tab.c"
    break;

  case 1398:
#line 53 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 13378 "obj/conf/cf-parse.tab.c"
    break;

  case 1400:
#line 58 "sysdep/unix/krt.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13384 "obj/conf/cf-parse.tab.c"
    break;

  case 1401:
#line 59 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 13390 "obj/conf/cf-parse.tab.c"
    break;

  case 1402:
#line 60 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 13399 "obj/conf/cf-parse.tab.c"
    break;

  case 1403:
#line 64 "sysdep/unix/krt.Y"
              {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 13411 "obj/conf/cf-parse.tab.c"
    break;

  case 1404:
#line 71 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 13417 "obj/conf/cf-parse.tab.c"
    break;

  case 1405:
#line 72 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 13429 "obj/conf/cf-parse.tab.c"
    break;

  case 1407:
#line 85 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 13435 "obj/conf/cf-parse.tab.c"
    break;

  case 1412:
#line 94 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 13444 "obj/conf/cf-parse.tab.c"
    break;

  case 1413:
#line 101 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 13454 "obj/conf/cf-parse.tab.c"
    break;

  case 1414:
#line 108 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 13460 "obj/conf/cf-parse.tab.c"
    break;

  case 1420:
#line 125 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 13466 "obj/conf/cf-parse.tab.c"
    break;

  case 1421:
#line 126 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 13472 "obj/conf/cf-parse.tab.c"
    break;


#line 13476 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *, YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 50 "conf/gen_parser.m4"

#line 385 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 207 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 872 "nest/config.Y"
/* C Code from nest/config.Y */

#line 187 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 144 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 335 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 563 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 341 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 205 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 147 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 64 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 160 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

